# Development report for 12 March 2017

The first weekly development report. Feel free to send PRs if you want to add to these reports (or correct them).

## Repository reorganisation

At the beginning of the week we removed all the remaining parts of the previous "monolithic" builds that we used for editions, in favour of the new build tool and yaml files. There are a whole lot of parts that need putting back, for example

- ssh
- userdata support
- Docker

Will get these restored over the next few days so the system is more useful and usable; it is rather minimal at present.

There is an open issue for more reorganisation of the repo structure see https://github.com/docker/moby/issues/1266

## New Contributors

Tycho @tych0 joined Docker this week, working on the kernel and security.
Thomas @samoht at Docker is working on privilege separation in userspace.

We welcome the IBM team, working on support for Bluemix, and look forward to their contributions:

- Lin Sun @linsun
- Eric Van Norman @ericvn
- Dave Freitag @davefreitag

Also three of the Docker Captains

- Phil Estes (also IBM) @estesp
- Marcos Nils @marcosnils
- Jonathan Leibiusky @xetorthio

Also the VMWare team

- Ben Corrie @corrieb
- Volodymyr Burenin @vburenin

It is our first week bringing in external contributors, please ask for all the help you need on #moby in the community Slack and with issues and PRs on github, and we look forward to working with all of you (and more coming soon).

## This week highlights

Added support for more output formats in the yaml config, see https://github.com/docker/moby/pull/1279 and https://github.com/docker/moby/pull/1277 for qcow2, GCE compressed raw image and VHD. More to come such as direct AMI support. You can add these to your yaml config eg
```
outputs:
  - format: vhd
```

Support for setting the kernel command line in the output format, removing the hard coded edition defaults. https://github.com/docker/moby/pull/1264

Support for generating configuration ISO images for hyperkit https://github.com/docker/moby/pull/1276 part of the move to make the hyperkit emulation environment look much more like a real cloud provider with consistent userdata support so that the hyperkit infrakit support can be a close model for real world "works on my laptop" usage https://github.com/docker/moby/tree/master/tools/infrakit.hyperkit

The docs for how we maintain the kernel tree were updated https://github.com/docker/moby/blob/master/docs/kernel-patches.md

Initial support for running the kernel LTP test suite https://github.com/docker/moby/pull/1282 as part of our roadmap for expanding testing.

## Next week priorities

- helping our new contributors get started
- two tutorials: single host get started guide, multi host get started guide
- yaml configuration file documentation
- restoring missing parts (ssh, userdata, docker, disk formatting), currently in progress, so system is more useful
- documentation

## Dockercon

- there will be a talk by @justincormack on Moby (currently billed as containerd...)
- there will be a session and lots of time to talk at the Thursday summit - get in touch if you need an invite.
