# Development report for 2 April 2017

The fourth weekly development report. Feel free to send PRs if you want to add to these reports (or correct them).

## New Contributors

Amir Chaudhry @amirmc and Avi Deitcher @deitch have helped out with documentation this week, which is very helpful.

We continued to invite people to participate; if you have any suggestions for additional people who are interested please let us know.

Welcome everyone, looking forward to your contributions and working with you. Please open issues on github if you need help, or ask on #moby in the [Docker community slack](https://community.docker.com/registrations/groups/4316).

## Projects

We moved some of our earlier work-in-progress things to [the projects directory](../projects/) while they are not completed, in particular the eBPF iovisor tools build that we had working previously, and the AWS build which should be completed soon. This helps clean up the things that are currently in use and working to help new users; hopefully they will be fixed shortly.

## This week

Support was added for `moby run` to support multiple backends on a platform eg `moby run hyperkit` [#1438](https://github.com/docker/moby/pull/1438). Each platform
retains a default. This will allow adding simple `moby run` support for other platforms, such as VMWare [#1447](https://github.com/docker/moby/pull/1447), and
cloud platforms. Each backend can have its own options for platform specific flags.

Lots of documentation improvements this week: an [architecture overview](../docs/architecture.md), the start of a [security events](../docs/security-events.md) document, and an in progress [security overview #1440](https://github.com/docker/moby/pull/1440).

Lots of progress in the [MirageSDK](https://github.com/docker/moby/tree/master/projects/miragesdk) this week, getting to a point where it can be usefully tested, and more design and API discussion.

Lots of discussion in Slack and on the [tracking issue](https://github.com/docker/moby/issues/1377) about arm64 support, looks like several people are making good progress. Having multiarch base images for Alpine sounds like it would be useful. Sounds like we should have some working boots next week, hopefully PRs following.

Small changes:
- `.yaml` files were renamed to `.yml` for consistency with common usage elsewhere
- fixes for console handling
- kernel updates, additional driver support
- `moby build` now logs what it is doing by default, to help debugging. There is a quiet option to disable.

## Planned for next week

- support for disk formatting [#1460](https://github.com/docker/moby/pull/1460)
- `containerd` and `runc` updates, fix the version incompatibilities
- arm64 prototypes
- documentation
- preparation for Dockercon

## Dockercon

- there will be a talk by @justincormack on Moby (currently billed as containerd...)
- there will be a Docker Security talk with @riyazdf (`Secure Substrate: Least Privilege Container Deployment`) that will highlight Moby
- there will be a session and lots of time to talk at the Thursday summit - get in touch if you need an invite. Please add topics you
  could like to talk about to [the list](../docs/dockercon-summit.md) via PR.
