# Development report for 16 April 2017

The sixth weekly development report. Feel free to send PRs if you want to add to these reports (or correct them).

The project was finally renamed to "LinuxKit".

We are just in the run up to the public release of LinuxKit on Tuesday, so a lot of the work this week has been tweaking for demos and trying not to break anything; lots of work planned for afterwards.

Welcome everyone, looking forward to your contributions and working with you. Please open issues on GitHub if you need help, or ask on #moby (soon to be #linuxkit) in the [Docker community slack](https://community.docker.com/registrations/groups/4316).

## Projects

Most of the project updates this week for around improved demos for Dockercon; we are looking forward to showing many of these over the course of the week.

## This week

This week @errordeveloper got the Kubernetes setup working with a three node cluster, which he will demo at DockerCon.

We added more useful system containers, such as `openntp`. We will add more as we port the base blueprints for the Docker Editions into the repo, so we have support for more platforms.

Thomas @samoht added yaml validation, to catch the errors, which has been very useful.

Anil @avsm added packet.net support into the CLI; this needs some further work but it will allow us to test on bare metal easily, which is useful where we need to test with VMs on top of LinuxKit, or we need bare metal support for other tests.

We cleaned up the GCP CLI support a bit, although there are still some design issues to resolve around the large number of options for cloud providers.

Added initial support to actually use `containerd` to run the system containers rather than `runc`. This is a temporary version; the plan is to switch to using the `containerd` image store after DockerCon but this needs some development work and build changes, but will be a big improvement. You can get `containerd` Prometheus metrics on the system containers now, which is nice.

## Planned for next week

- open sourcing the project
- introducing LinuxKit to many new people

## Dockercon

- there will be a talk by @justincormack on LinuxKit (billed as "Moby's Secret Session") with some demos by various people
- there will be a Docker Security talk with @riyazdf (`Secure Substrate: Least Privilege Container Deployment`) that will highlight LinuxKit
- there will be a session and lots of time to talk at the Thursday summit - get in touch if you need an invite. Please add topics you
  would like to talk about to [the list](../docs/dockercon-summit.md) via PR
