# Development report for 30 April 2017

The seventh weekly development report. Last week we had a [Moby Summit report](https://github.com/linuxkit/linuxkit/blob/master/reports/2017-04-20-summit.md) instead. Feel free to send PRs if you want to add to these reports (or correct them).

We are settling in to the project (finally) being open source, and have got lots of new contributions and interest. It has been a hectic few days during and after DockerCon, and it is good to shift from focus on launch, demos and preparation to getting the project on a good path, and welcoming new directions and contributions.

Welcome everyone, looking forward to your contributions and working with you. Please open issues on GitHub if you need help, or ask on #linuxkit in the [Docker community slack](https://community.docker.com/registrations/groups/4316).

## This week

Quite a few changes post DockerCon as we started making more breaking changes.

### Command move and rename

The `moby` command was split up, into [`moby/tool`](https://github.com/moby/tool/) for just the assembly phase, ie `moby build` and the `linuxkit` tool in the LinuxKit repo for the parts that are specific to VM images. This is not the final arrangement, in particular the build process will probably be reworked into more phases, and be made more modular. The `linuxkit` command had a `push` stage added, which can push VM images to remote store; currently this supports pushing images to Google Cloud but more will be added. A lot of rework is planned with the `moby` tool, and it will move to [https://github.com/moby/moby](https://github.com/moby/moby) soon.

### CI

The [CI repository](https://github.com/linuxkit/linuxkit-ci) and [build logs](https://github.com/linuxkit/linuxkit-logs) were added to the Github org. There is a lot of ongoing work to improve the test and CI, with testing on all the platforms that LinuxKit runs on. This is being led by @dave-tucker, and is outlined in the [testing issues](https://github.com/linuxkit/linuxkit/issues?q=is%3Aopen+is%3Aissue+label%3Aarea%2Ftesting) 

### Kernel tests

Support for using kernels from other Linux distros has been added, see the [kernel docs](https://github.com/linuxkit/linuxkit/blob/master/docs/kernels.md) for more details. The main planned use case is for testing software easily with a wide variety of kernels, for example [`containerd`](https://github.com/containerd/containerd/issues/767) and `runc`.

### Swap

@deitch added support for swap, including encrypted swap (which you should always use if using swap). Note that we added support for devicemapper to enable this; we also added `btrfs` (for testing `containerd`) and `xfs` (for better quota support and other advantages over ext4) in to the kernel config.

## Planned changes

Apart from ongoing tooling and test improvements mentioned above, work is starting on rebasing the Docker Editions on the open source version of LinuxKit, rather than the internal version. This will involve adding detailed blueprints for the platforms, porting over missing pieces, and adding testing for each platform. Making multiple architecture support work well, starting with Arm64 is also a priority.

## Recorded talks

Several more talk recordings will be available shortly.

- [Secure Substrate: Least Privilege Container Deployment](https://www.youtube.com/watch?v=iHQCVFMBdCA&index=10&list=PLkA60AVN3hh_nihZ1mh6cO3n-uMdF7UlV)

## Blogs and tutorials

- [Package Minio S3 as an appliance with LinuxKit](http://blog.alexellis.io/minio-linuxkit/)
- [LinuxKit operating system built for container](https://gianarb.it/blog/linuxkit-operating-system-build-for-containers)
- [Boot an OpenSSH server in 10 mins with LinuxKit](http://blog.alexellis.io/boot-linuxkit-in-10-mins/)
- [LinuxKit 101: Getting Started with Google Cloud](http://collabnix.com/archives/2929)
