# Development report for 15 May 2017

The ninth weekly development report. Feel free to send PRs if you want to add to these reports (or correct them).

Welcome everyone, looking forward to your contributions and working with you. Please open issues on GitHub if you need help, or ask on #linuxkit in the [Docker community slack](https://community.docker.com/registrations/groups/4316).

## This week

Lots of bug fixes this week as well as the changes discussed below. We finished the (previously partial) switch over to `containerd` after resolving the issues. The next stage of that migration is to use the `containerd` image store, which is in progress. We switched over to use simpler multistage builds for more packages.

### Moby tool

The `moby` tool added support for a base `tar` output format. All the others are now generated from this. It is just a tarball of the filesystem contents, with the `kernel` and `cmdline` files under `/boot` so they can be extracted by other targets. It is useful for debugging. An `img-gz` target which outputs a compressed disk image suitable for writing to a USB stick or for AWS was also added.

The output formats will probably be removed from the config file and reworked as a `moby package` stage soon.

### CI

An initial set of tests were added. See [#1783](https://github.com/linuxkit/linuxkit/pull/1783). These can now be expanded for more detailed testing.

### Kernel

We added 4.11 and later 4.11.1 kernel support. There is a new hyper-v socket implementation for the more recent kernels which we are still in the process of testing. There is a new project to work on improving the [manageability of the kernel config](https://github.com/linuxkit/linuxkit/tree/master/projects/kernel-config).

### Metadata

There is a new `linuxkit metadata create` command to create metadata in (currently) ISO format see [#1803](https://github.com/linuxkit/linuxkit/pull/1803).

### Multi architecture support

Some work is in progress on Arm64 builds, with a basic boot having taken place. Also there has been work on building multi arch Docker Hub images via automated builds, which will be the way to make these more manageable, in addition to the kernel config management discussed above.

## Recorded talks

- The DockerCon talk and demos recording is now available [LinuxKit by Justin Cormack](https://www.youtube.com/watch?v=FEtVxwsCUBY)

## Blogs and tutorials

- [Package Minio S3 as an appliance with LinuxKit](http://blog.alexellis.io/minio-linuxkit/)
- [LinuxKit operating system built for container](https://gianarb.it/blog/linuxkit-operating-system-build-for-containers)
- [Boot an OpenSSH server in 10 mins with LinuxKit](http://blog.alexellis.io/boot-linuxkit-in-10-mins/)
- [LinuxKit 101: Getting Started with Google Cloud](http://collabnix.com/archives/2929)
- [Docker's LinuxKit](https://medium.com/contino-io/dockers-linuxkit-2c460769f522)
