# Development report for 22 May 2017

The tenth weekly development report. Feel free to send PRs if you want to add to these reports (or correct them).

There is now a new [linuxkit/virtsock] repository that contains Go bindings and sample code for 
Hyper-V sockets and virtio sockets.

A [SIG Security](https://github.com/linuxkit/linuxkit/blob/master/sigs/security/README.md) has been instituted and there will be a [call on 24 May 2017](https://github.com/linuxkit/linuxkit/blob/master/reports/sig-security/2017-05-24.md).

## Overview

- We have mostly added a registry and hub org override so you can do `make ORG=myorg` when building packages, rather than pushing to the `linuxkit` org.
- ongoing work has continued to move all builds to use the same Alpine base package. [linuxkit/linuxkit#1856] [@rneugeba]
- Label support - images may now specify an `org.mobyproject.config` label which contains a JSON version of the config. Anything set in this config will be the default, but can be overridden by the yaml file. In many cases this means that the yaml is nor needed, simplifying the config a lot. [linuxkit/linuxkit#1862] [@justincormack]
- Testing has been significantly improved and more tests are being added.

## PRs merged

Kernel and Base:

- Update Hyper-V patches for 4.11 and add Hub org override for kernel builds [linuxkit/linuxkit#1844] [@justincormack] [@rneugeba]
- kernel: Add vmlinux to debug builds [linuxkit/linuxkit#1849] [@rneugeba]
- Update containerd [linuxkit/linuxkit#1861] [@justincormack]

Projects:

- add IMA namespacing project [linuxkit/linuxkit#1857] [@guimagalhaes] [@riyazdf] [@justincormack]

CLI:

- Allow forcing qemu backend to use container via command line [linuxkit/linuxkit#1854] [@rneugeba] [@ijc25]
- Pass `--tty` to `docker run` when running Qemu via a container [linuxkit/linuxkit#1855] [@justincormack] [@rneugeba] [@ijc25]

Tests/CI:

- Tidy up the tests [linuxkit/linuxkit#1830] [@talex5] [@justincormack] [@rneugeba]
- Save contents of test/_results after building [linuxkit/linuxkit-ci#5] [@talex5]
- Turn on vm.overcommit_memory on GCP builder [linuxkit/linuxkit-ci#7] [@rneugeba] [@talex5]

Documentation:

- Add a section on custom kernel builds [linuxkit/linuxkit#1838] [@justincormack] [@rneugeba]
- Document the CI setup [linuxkit/linuxkit#1840] [@dave-tucker] [@talex5] [@justincormack]
- update SIG agenda with IMA namespace support [linuxkit/linuxkit#1851] [@tych0] [@justincormack]
- Fix Github language detection [linuxkit/linuxkit#1842] [@dave-tucker]

## PRs closed without merge

- LinuxKit push and run on Azure - still being worked on [linuxkit/linuxkit#1864]  [@radu-matei]

## Issues of interest

- [linuxkit/linuxkit#1835] Build  my own kernel was closed ([@rneugeba] [@justincormack] [@yankunsam])
- [linuxkit/linuxkit#1841] Windows moby build failed was closed ([@rneugeba] [@tippexs])
- [linuxkit/linuxkit#1845] [Question] Run service container with elevated privileges was closed ([@radu-matei])
- [linuxkit/linuxkit#1846] Can busybox in the root fs be stripped down more? was closed ([@rneugeba] [@justincormack] [@avsm])
- [linuxkit/linuxkit#1847] Selection of architecture in config by `moby` tool was closed ([@mor1])
- [linuxkit/linuxkit#1115] bios iso test was opened and closed ([@rneugeba] [@justincormack])
- [linuxkit/linuxkit#1429] DockerCon and open source planning was opened and closed ([@rneugeba])
- [linuxkit/linuxkit#1453] unify nameing of compile containers was opened and closed ([@rneugeba])
- [linuxkit/linuxkit#1616] HVSock related crash with 17.05.0-rc1 was opened and closed ([@rneugeba] [@simonferquel])
- [linuxkit/linuxkit#1661] With containerd, sometimes service containers don't get started was opened and closed ([@rneugeba])
- [linuxkit/linuxkit#1824] Set docker hub repository linuxkit as variable  was opened and closed ([@rneugeba] [@pwFoo])
- [linuxkit/linuxkit#1828] Arrow keys do not work after boot with qemu running in a container was opened and closed ([@ijc25] [@rneugeba] [@mrmodolo])
- [linuxkit/linuxkit#1859] oomScoreAdj not working had 0 event ()
- [linuxkit/linuxkit#1863] linuxkit initial make failed on Windows had 0 event ([@justincormack])
- [linuxkit/rtf#14] Honour ordering for mixed tests/subgroups had 0 event ()
- [linuxkit/linuxkit#1742] Handle kernel module loading better had 1 event ([@pwFoo])
- [linuxkit/linuxkit#1767] no host networking on Linux/qemu had 1 event ([@justincormack])
- [linuxkit/linuxkit#1852] [Request] Update `sysctl.conf` and `limits.conf` defaults had 1 event ([@rneugeba] [@justincormack])
- [linuxkit/linuxkit#1376] kernel hang in fchownat? had 2 events ([@djs55] [@dsheets] [@rneugeba])
- [linuxkit/linuxkit#1377] [tracking] ARM boot status had 2 events ([@rneugeba] [@techninja1008] [@mor1])
- [linuxkit/linuxkit#1692] Proposal: example for Minio S3 as an appliance had 2 events ([@alexellis] [@rneugeba])
- [linuxkit/linuxkit#1848] Hyper-V socket crash with 4.11 kernels had 2 events ([@rneugeba] [@dcui])
- [linuxkit/linuxkit#492] preload a registry into test base image had 2 events ([@justincormack] [@rneugeba])
- [linuxkit/linuxkit#1426] replace busybox init had 3 events ([@justincormack] [@pwFoo])
- [linuxkit/linuxkit#1836] Trying to output as .vhd hangs / takes a lot of time had 3 events ([@justincormack] [@radu-matei] [@rneugeba])
- [linuxkit/rtf#13] Add ability to run a single test or a group had 3 events ([@rneugeba] [@dave-tucker])
- [linuxkit/linuxkit#1839] After halt, it will been blocked  and have no response had 4 events ([@yankunsam] [@avsm] [@rneugeba] [@thebsdbox])
- [linuxkit/linuxkit#1837] `ctr exec -t` hangs had 6 events ([@FrenchBen] [@avsm] [@rneugeba] [@justincormack])
- [linuxkit/linuxkit#1421] Add build support for Azure to `moby build` had 7 events ([@justincormack] [@radu-matei])

Other reports in this series can be browsed directly in the repository at [linuxkit/linuxkit:/reports](https://github.com/linuxkit/linuxkit/tree/master/reports/).

[@FrenchBen]: https://github.com/FrenchBen
[@MagnusS]: https://github.com/MagnusS
[@RobbKistler]: https://github.com/RobbKistler
[@alexellis]: https://github.com/alexellis
[@avsm]: https://github.com/avsm
[@dave-tucker]: https://github.com/dave-tucker
[@dcui]: https://github.com/dcui
[@djs55]: https://github.com/djs55
[@dsheets]: https://github.com/dsheets
[@guimagalhaes]: https://github.com/guimagalhaes
[@ijc25]: https://github.com/ijc25
[@justincormack]: https://github.com/justincormack
[@mor1]: https://github.com/mor1
[@mrmodolo]: https://github.com/mrmodolo
[@pwFoo]: https://github.com/pwFoo
[@radu-matei]: https://github.com/radu-matei
[@riyazdf]: https://github.com/riyazdf
[@rneugeba]: https://github.com/rneugeba
[@simonferquel]: https://github.com/simonferquel
[@talex5]: https://github.com/talex5
[@techninja1008]: https://github.com/techninja1008
[@thebsdbox]: https://github.com/thebsdbox
[@tippexs]: https://github.com/tippexs
[@tych0]: https://github.com/tych0
[@yankunsam]: https://github.com/yankunsam
[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/linuxkit#1115]: https://github.com/linuxkit/linuxkit/issues/1115
[linuxkit/linuxkit#1376]: https://github.com/linuxkit/linuxkit/issues/1376
[linuxkit/linuxkit#1377]: https://github.com/linuxkit/linuxkit/issues/1377
[linuxkit/linuxkit#1421]: https://github.com/linuxkit/linuxkit/issues/1421
[linuxkit/linuxkit#1426]: https://github.com/linuxkit/linuxkit/issues/1426
[linuxkit/linuxkit#1429]: https://github.com/linuxkit/linuxkit/issues/1429
[linuxkit/linuxkit#1453]: https://github.com/linuxkit/linuxkit/issues/1453
[linuxkit/linuxkit#1616]: https://github.com/linuxkit/linuxkit/issues/1616
[linuxkit/linuxkit#1661]: https://github.com/linuxkit/linuxkit/issues/1661
[linuxkit/linuxkit#1692]: https://github.com/linuxkit/linuxkit/issues/1692
[linuxkit/linuxkit#1742]: https://github.com/linuxkit/linuxkit/issues/1742
[linuxkit/linuxkit#1767]: https://github.com/linuxkit/linuxkit/issues/1767
[linuxkit/linuxkit#1783]: https://github.com/linuxkit/linuxkit/pull/1783
[linuxkit/linuxkit#1813]: https://github.com/linuxkit/linuxkit/pull/1813
[linuxkit/linuxkit#1824]: https://github.com/linuxkit/linuxkit/issues/1824
[linuxkit/linuxkit#1826]: https://github.com/linuxkit/linuxkit/pull/1826
[linuxkit/linuxkit#1827]: https://github.com/linuxkit/linuxkit/pull/1827
[linuxkit/linuxkit#1828]: https://github.com/linuxkit/linuxkit/issues/1828
[linuxkit/linuxkit#1829]: https://github.com/linuxkit/linuxkit/pull/1829
[linuxkit/linuxkit#1830]: https://github.com/linuxkit/linuxkit/pull/1830
[linuxkit/linuxkit#1831]: https://github.com/linuxkit/linuxkit/pull/1831
[linuxkit/linuxkit#1832]: https://github.com/linuxkit/linuxkit/pull/1832
[linuxkit/linuxkit#1833]: https://github.com/linuxkit/linuxkit/pull/1833
[linuxkit/linuxkit#1834]: https://github.com/linuxkit/linuxkit/pull/1834
[linuxkit/linuxkit#1835]: https://github.com/linuxkit/linuxkit/issues/1835
[linuxkit/linuxkit#1836]: https://github.com/linuxkit/linuxkit/issues/1836
[linuxkit/linuxkit#1837]: https://github.com/linuxkit/linuxkit/issues/1837
[linuxkit/linuxkit#1838]: https://github.com/linuxkit/linuxkit/pull/1838
[linuxkit/linuxkit#1839]: https://github.com/linuxkit/linuxkit/issues/1839
[linuxkit/linuxkit#1840]: https://github.com/linuxkit/linuxkit/pull/1840
[linuxkit/linuxkit#1841]: https://github.com/linuxkit/linuxkit/issues/1841
[linuxkit/linuxkit#1842]: https://github.com/linuxkit/linuxkit/pull/1842
[linuxkit/linuxkit#1843]: https://github.com/linuxkit/linuxkit/pull/1843
[linuxkit/linuxkit#1844]: https://github.com/linuxkit/linuxkit/pull/1844
[linuxkit/linuxkit#1845]: https://github.com/linuxkit/linuxkit/issues/1845
[linuxkit/linuxkit#1846]: https://github.com/linuxkit/linuxkit/issues/1846
[linuxkit/linuxkit#1847]: https://github.com/linuxkit/linuxkit/issues/1847
[linuxkit/linuxkit#1848]: https://github.com/linuxkit/linuxkit/issues/1848
[linuxkit/linuxkit#1849]: https://github.com/linuxkit/linuxkit/pull/1849
[linuxkit/linuxkit#1850]: https://github.com/linuxkit/linuxkit/pull/1850
[linuxkit/linuxkit#1851]: https://github.com/linuxkit/linuxkit/pull/1851
[linuxkit/linuxkit#1852]: https://github.com/linuxkit/linuxkit/issues/1852
[linuxkit/linuxkit#1853]: https://github.com/linuxkit/linuxkit/pull/1853
[linuxkit/linuxkit#1854]: https://github.com/linuxkit/linuxkit/pull/1854
[linuxkit/linuxkit#1855]: https://github.com/linuxkit/linuxkit/pull/1855
[linuxkit/linuxkit#1856]: https://github.com/linuxkit/linuxkit/pull/1856
[linuxkit/linuxkit#1857]: https://github.com/linuxkit/linuxkit/pull/1857
[linuxkit/linuxkit#1858]: https://github.com/linuxkit/linuxkit/pull/1858
[linuxkit/linuxkit#1859]: https://github.com/linuxkit/linuxkit/issues/1859
[linuxkit/linuxkit#1860]: https://github.com/linuxkit/linuxkit/pull/1860
[linuxkit/linuxkit#1861]: https://github.com/linuxkit/linuxkit/pull/1861
[linuxkit/linuxkit#1862]: https://github.com/linuxkit/linuxkit/pull/1862
[linuxkit/linuxkit#1863]: https://github.com/linuxkit/linuxkit/issues/1863
[linuxkit/linuxkit#1864]: https://github.com/linuxkit/linuxkit/pull/1864
[linuxkit/linuxkit#1865]: https://github.com/linuxkit/linuxkit/pull/1865
[linuxkit/linuxkit#492]: https://github.com/linuxkit/linuxkit/issues/492
[linuxkit/linuxkit-ci]: https://github.com/linuxkit/linuxkit-ci
[linuxkit/linuxkit-ci#5]: https://github.com/linuxkit/linuxkit-ci/pull/5
[linuxkit/linuxkit-ci#6]: https://github.com/linuxkit/linuxkit-ci/pull/6
[linuxkit/linuxkit-ci#7]: https://github.com/linuxkit/linuxkit-ci/pull/7
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/rtf#13]: https://github.com/linuxkit/rtf/issues/13
[linuxkit/rtf#14]: https://github.com/linuxkit/rtf/issues/14
[linuxkit/rtf#15]: https://github.com/linuxkit/rtf/pull/15
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/virtsock#28]: https://github.com/linuxkit/virtsock/pull/28
