# Weekly LinuxKit dev report for 2017-06-19 to 2017-06-25 (week 25)

This report covers weekly developments in the [linuxkit], [linuxkit-ci] and [virtsock] repositories. The Moby Summit held in San Francisco was very active and well attended ([blog](http://mobyproject.org/blog/2017/06/26/moby-summit-recap/) / [notes](2017-06-19-summit.md) [#2090] [#2033] [@mgoelzer] [@justincormack]). 

* **Kernel GPG verification:** The kernel compilation containers now verify the GPG and SHA256
  checksums before building the binaries. ([#2062] [#2083] [@mscribe] [@justincormack] [@rn] [@riyazdf]).
  The base Alpine build image now includes `gnupg` to support this feature ([#2091] [@riyazdf] [@rn]).

* **Security SIG on Landlock:** The third Moby Security SIG focussed on the [Landlock](https://github.com/landlock-lsm) security module that provides unprivileged fine-grained sandboxing to applications.  There are [meeting notes](2017-06-21.md) as well as videos and forum links ([#2087] [#2089] [#2073] [@riyazdf]).

* **Networking drivers now modules:** The kernels have been updated to 4.11.6/4.9.33/4.4.73, and many drivers are now loaded as modules to speed up boot-time ([#2095] [#2061] [@rn] [@justincormack] [@tych0])

- **Whaley important update:** The ASCII logo was updated and we fondly wave goodbye to the waves. ([#2084] [@thaJeztah] [@rn])

- **Containerised getty and sshd:** The login services now run in their own mount namespace, which was confusing people since they were expecting it to be on the host filesystem.  This is now being addressed via a reminder in the `motd` upon login ([#2078] [#2097] [@deitch] [@ijc] [@justincormack] [@riyazdf] [@rn])

- **Hardened user copying:** The RFC on ensuring that we use a hardened kernel/userspace copying system was closed, as it is enabled by default on all our modern kernels and a regression test is included by default ([#2086] [@fntlnz] [@riyazdf]).

- **Vultr provider:** There is an ongoing effort to add a metadata provider for [Vultr](http://vultr.com) ([#2101] [@furious-luke] [@justincormack]).

## Packages and Projects

- Simplified Makefiles for packages ([#2080] [@justincormack] [@rn])
- The MirageOS SDK is integrating many upstream changes from dependent libraries, for the DHCP client ([#2070] [#2072] [@samoht] [@talex5] [@avsm]).

## Documentation and Tests

- A comprehensive test suite for containerd is now integrated into LinuxKit tests ([#2062] [@AkihiroSuda] [@justincormack] [@rn])
- Fix documentation links ([#2074] [@ndauten] [@justincormack])
- Update RTF version ([#2077] [@justincormack])
- tests: add build test for Docker for Mac blueprint ([#2093]  [@riyazdf] [@MagnusS])
- Disable Qemu EFI ISO test for now ([#2100]  [@justincormack])
- The CI whitelists and ACLs were updated ([linuxkit-ci#11] [linuxkit-ci#15] [linuxkit/linuxkit-ci#10] [@rn] [@justincormack])
- Fix spelling errors ([#2079] [@ndauten])
- Fix typo in dev report ([#2094] [@justincormack])
- Fix dead Link to VMWare File ([#2082] [@davefreitag])

Other reports in this series can be browsed directly in the repository at [linuxkit:/reports](https://github.com/linuxkit/linuxkit/tree/master/reports/).

[@MagnusS]: https://github.com/MagnusS
[@dave-tucker]: https://github.com/dave-tucker
[@davefreitag]: https://github.com/davefreitag
[@deitch]: https://github.com/deitch
[@fntlnz]: https://github.com/fntlnz
[@furious-luke]: https://github.com/furious-luke
[@ijc]: https://github.com/ijc
[@justincormack]: https://github.com/justincormack
[@l0kod]: https://github.com/l0kod
[@mgoelzer]: https://github.com/mgoelzer
[@mscribe]: https://github.com/mscribe
[@ndauten]: https://github.com/ndauten
[@riyazdf]: https://github.com/riyazdf
[@rn]: https://github.com/rn
[@ryan-blunden]: https://github.com/ryan-blunden
[@samoht]: https://github.com/samoht
[@talex5]: https://github.com/talex5
[@thaJeztah]: https://github.com/thaJeztah
[@tych0]: https://github.com/tych0
[@vdemeester]: https://github.com/vdemeester
[@zlim]: https://github.com/zlim
[linuxkit]: https://github.com/linuxkit/linuxkit
[#1872]: https://github.com/linuxkit/linuxkit/issues/1872
[#2033]: https://github.com/linuxkit/linuxkit/issues/2033
[#2045]: https://github.com/linuxkit/linuxkit/issues/2045
[#2061]: https://github.com/linuxkit/linuxkit/issues/2061
[#2062]: https://github.com/linuxkit/linuxkit/pull/2062
[#2063]: https://github.com/linuxkit/linuxkit/pull/2063
[#2068]: https://github.com/linuxkit/linuxkit/pull/2068
[#2069]: https://github.com/linuxkit/linuxkit/pull/2069
[#2070]: https://github.com/linuxkit/linuxkit/pull/2070
[#2071]: https://github.com/linuxkit/linuxkit/issues/2071
[#2072]: https://github.com/linuxkit/linuxkit/pull/2072
[#2073]: https://github.com/linuxkit/linuxkit/pull/2073
[#2074]: https://github.com/linuxkit/linuxkit/pull/2074
[#2075]: https://github.com/linuxkit/linuxkit/pull/2075
[#2076]: https://github.com/linuxkit/linuxkit/issues/2076
[#2077]: https://github.com/linuxkit/linuxkit/pull/2077
[#2078]: https://github.com/linuxkit/linuxkit/issues/2078
[#2079]: https://github.com/linuxkit/linuxkit/pull/2079
[#2080]: https://github.com/linuxkit/linuxkit/pull/2080
[#2081]: https://github.com/linuxkit/linuxkit/issues/2081
[#2082]: https://github.com/linuxkit/linuxkit/pull/2082
[#2083]: https://github.com/linuxkit/linuxkit/pull/2083
[#2084]: https://github.com/linuxkit/linuxkit/pull/2084
[#2085]: https://github.com/linuxkit/linuxkit/issues/2085
[#2086]: https://github.com/linuxkit/linuxkit/issues/2086
[#2087]: https://github.com/linuxkit/linuxkit/pull/2087
[#2088]: https://github.com/linuxkit/linuxkit/issues/2088
[#2089]: https://github.com/linuxkit/linuxkit/pull/2089
[#2090]: https://github.com/linuxkit/linuxkit/pull/2090
[#2091]: https://github.com/linuxkit/linuxkit/pull/2091
[#2093]: https://github.com/linuxkit/linuxkit/pull/2093
[#2094]: https://github.com/linuxkit/linuxkit/pull/2094
[#2095]: https://github.com/linuxkit/linuxkit/pull/2095
[#2096]: https://github.com/linuxkit/linuxkit/issues/2096
[#2097]: https://github.com/linuxkit/linuxkit/issues/2097
[#2099]: https://github.com/linuxkit/linuxkit/issues/2099
[#2100]: https://github.com/linuxkit/linuxkit/pull/2100
[#2101]: https://github.com/linuxkit/linuxkit/pull/2101
[#52]: https://github.com/linuxkit/linuxkit/issues/52
[linuxkit-ci]: https://github.com/linuxkit/linuxkit-ci
[linuxkit-ci#10]: https://github.com/linuxkit/linuxkit-ci/pull/10
[linuxkit-ci#11]: https://github.com/linuxkit/linuxkit-ci/pull/11
[linuxkit-ci#12]: https://github.com/linuxkit/linuxkit-ci/pull/12
[linuxkit-ci#13]: https://github.com/linuxkit/linuxkit-ci/pull/13
[linuxkit-ci#14]: https://github.com/linuxkit/linuxkit-ci/pull/14
[linuxkit-ci#15]: https://github.com/linuxkit/linuxkit-ci/pull/15
[virtsock]: https://github.com/linuxkit/virtsock
