# Report for 2018-03-01 to 2018-03-31

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] [moby/tool] repositories. There were 170 contributions (PRs/Issues/Comments) from 25 individual contributors. 38 new PRs were opened and 41 PRs were merged. 13 new issues were opened and 10 issues were closed.

In March we added initial support for s390x as the third architecture to LinuxKit.

There have been the regular updates to the kernels. The latest supported kernels are 4.15.14/4.14.31/4.14.29-rt/4.9.91/4.4.125. We reduced the number of supported kernels for non-x86_64 architectures, primarily to cut down the kernel compile times on the servers available. On arm64 we now only support the 4.15.x, 4.14.x, and 4.14.x-rt kernels while for s390x we support 4.15.x and 4.14.x. The kernel configuration tests have been extended to also work on arm64. We also enabled support for CEPH in the kernels.

On the tooling side, we added support for qcow2 EFI images and enabled logging for `onboot` containers to `/var/log` for easier debugging. 

We updated Kubernetes to 1.9.6, WireGuard to 0.0.20180304, and `notary` to 0.6.0 (which should also remove the certificate expiry warnings).

For the Linux Container on Windows (LCOW) subproject, we again significantly increased the test suite, primarily around volume sharing.

## Merged PRs:

- Configure guest with 9P mount and vsock port when using existing VPNKit instance ([linuxkit/linuxkit#2933] [@ekcasey])
- Add s390 support for linuxkit kernel ([linuxkit/linuxkit#2939] [@alicefr] [@rn])
- Add logging to /var/log for onboot containers ([linuxkit/linuxkit#2942] [@deitch] [@ijc] [@justincormack])
- Update tools/alpine (wireguard tools and s390x) ([linuxkit/linuxkit#2943] [@rn] [@justincormack] [@ijc])
- Add s390 console to examples ([linuxkit/linuxkit#2946] [@alicefr] [@rn])
- wireguard: update to 0.0.20180304 ([linuxkit/linuxkit#2947] [@zx2c4] [@rn])
- Update README to include privileged flag ([linuxkit/linuxkit#2948] [@pratikmallya] [@deitch])
- Update moby tool ([linuxkit/linuxkit#2951] [@justincormack] [@rn])
- Subcommand serve should parse flags. ([linuxkit/linuxkit#2952] [@kojustin] [@rn])
- Add CI info and dependency to packages doc ([linuxkit/linuxkit#2953] [@deitch] [@rn])
- Tidy kernel build, tweak s390 config, and update kernels ([linuxkit/linuxkit#2955] [@rn] [@justincormack])
- Non-existent target check is marked phony ([linuxkit/linuxkit#2957] [@kojustin] [@justincormack])
- Enable IMA and multiple kernel updates ([linuxkit/linuxkit#2958] [@rn] [@justincormack])
- Update tools for s390x ([linuxkit/linuxkit#2959] [@rn] [@justincormack])
- A minor docs correction in 'Building and using custom kernels' section. ([linuxkit/linuxkit#2962] [@functor] [@rn])
- Enable CEPH, Update CPU ucode, update kernels 4.15.10/4.14.27/4.14.24-rt ([linuxkit/linuxkit#2963] [@rn] [@ijc])
- Kernel update to 4.15.11/4.14.28/4.9.88/4.4.122 ([linuxkit/linuxkit#2965] [@rn] [@ijc])
- Kernel update to 4.15.12/4.14.29/4.9.89/4.4.123 + Hyper-V SCSI fixes ([linuxkit/linuxkit#2966] [@rn] [@justincormack])
- Complete initial s390x support ([linuxkit/linuxkit#2969] [@rn] [@justincormack])
- Upgrade -rt kernel version to 4.14.29-rt25. ([linuxkit/linuxkit#2970] [@TiejunChina] [@ijc] [@rn])
- Kernel update to 4.15.13/4.15.14/4.14.30/4.14.31/4.9.90/4.9.91/4.4.124/4.4125 ([linuxkit/linuxkit#2974] [@rn] [@justincormack])
- Update AUTHORS ([linuxkit/linuxkit#2975] [@rn] [@justincormack])
- Fix support for arm kernel config tests ([linuxkit/linuxkit#2976] [@cji] [@justincormack])
- Update kernel config test ([linuxkit/linuxkit#2977] [@rn] [@justincormack])

- Version bumps ([linuxkit/kubernetes#66] [@ijc] [@rn])
- Upgrade kubernetes from 1.9.4 to 1.9.6 ([linuxkit/kubernetes#67] [@pgayvallet] [@ijc])

- Add qcow2 EFI image building support ([moby/tool#205] [@garthy] [@justincormack])
- Update notary vendor to 0.6.0 ([moby/tool#206] [@justincormack] [@rn])
- Reword the README to remove repeating statements ([moby/tool#207] [@nogoegst] [@justincormack])
- Update mkimage packages ([moby/tool#208] [@rn] [@justincormack])

- Reorganise the test to follow 'docker <command>' ([linuxkit/lcow#13] [@rn])
- Update LCOW to the latest kernel ([linuxkit/lcow#14] [@rn])
- Switch to current OpenGCS head of master ([linuxkit/lcow#15] [@rn] [@justincormack])
- Add a lot more tests ([linuxkit/lcow#16] [@rn] [@justincormack])
- tests: Make linked issues more explicit and add a few more tests ([linuxkit/lcow#17] [@rn])
- Update tests, add some performance tests, and update kernel ([linuxkit/lcow#18] [@rn] [@ijc])
- Update OpenGCS and kernel to latest ([linuxkit/lcow#19] [@rn] [@ijc])
- Update kernel to 4.14.29 ([linuxkit/lcow#20] [@rn])
- More tests, in particular perf tests ([linuxkit/lcow#21] [@rn] [@ijc])

- Change default location of Hyperkit, fix connectPath value ([linuxkit/virtsock#61] [@guillaumerose] [@rn])

## Closed Issues:

- copy /containers to /var? ([linuxkit/linuxkit#1285] [@justincormack])
- onboot logs not showing up anywhere ([linuxkit/linuxkit#1688] [@deitch] [@eyz] [@ernoaapa] [@riyazdf])
- add qcow2 efi support ([linuxkit/linuxkit#2691] [@justincormack] [@garthy] [@ijc])
- Adjust kernel config tests for arm64 ([linuxkit/linuxkit#2807] [@rn])
- Resolve `certificate with CN ABC DEF is near expiry` messages ([linuxkit/linuxkit#2911] [@ijc] [@justincormack] [@rn])
- finish initial s390x support ([linuxkit/linuxkit#2949] [@rn] [@alicefr] [@ijc])
- enable CONFIG_IMA ([linuxkit/linuxkit#2956] [@justincormack] [@rn])
- Enabling cephfs and rbd kernel modules ([linuxkit/linuxkit#2960] [@pgayvallet] [@rn])
- Building `pkg/rngd` with latest alpine base fails on x86 ([linuxkit/linuxkit#2967] [@rn])

- Allow extending the schema ([moby/tool#209] [@ernoaapa] [@justincormack])

## New or updated PRs and Issues (not closed):

- virtualbox support ([linuxkit/linuxkit#2076] [@justincormack] [@rgl] [@SwagMuffinMcYoloPants] [@ajeetraina] [@rn])
- Add scaleway support ([linuxkit/linuxkit#2487] [@yangm97] [@rn] [@justincormack] [@Sh4d1])
- Script to generate s390 kernel configs ([linuxkit/linuxkit#2940] [@alicefr])
- NVIDIA driver with LinuxKit host ([linuxkit/linuxkit#2944] [@jbremmer] [@rn] [@justincormack])
- zfs does not build on 4.14 ([linuxkit/linuxkit#2950] [@justincormack])
- Building an image with with a private repository fails with `Error response from daemon: unknown: User UserId` ([linuxkit/linuxkit#2954] [@kojustin] [@rn])
- Get architecture name from Docker image ([linuxkit/linuxkit#2961] [@arm64b])
- Add support for persisted disks in rpi3 ([linuxkit/linuxkit#2964] [@ernoaapa] [@rn])
- linuxkit run on s390x fails with kernel crash/and or KVM error ([linuxkit/linuxkit#2968] [@rn] [@alicefr] [@borntraeger])
- Update `linuxkit/extend` to support multiple partitions ([linuxkit/linuxkit#2971] [@ernoaapa] [@rn] [@justincormack])
- i915 console support ([linuxkit/linuxkit#2972] [@mash-graz] [@justincormack] [@rn] [@ijc])
- [vmware] Is there any examples on how to mount the hgfs shared folder in fusion/workstation ([linuxkit/linuxkit#2973] [@weikinhuang] [@rn])

- Enable 'moby build' for private repos ([moby/tool#202] [@rn] [@djs55])
- Default bind mounts to rshared not rprivate if not specified ([moby/tool#210] [@justincormack])

- Linux containers [LCOW]  working after tweaking instructions ([linuxkit/lcow#22] [@lohithkc])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/kubernetes#66]: https://github.com/linuxkit/kubernetes/pull/66
[linuxkit/kubernetes#67]: https://github.com/linuxkit/kubernetes/pull/67
[linuxkit/lcow#13]: https://github.com/linuxkit/lcow/pull/13
[linuxkit/lcow#14]: https://github.com/linuxkit/lcow/pull/14
[linuxkit/lcow#15]: https://github.com/linuxkit/lcow/pull/15
[linuxkit/lcow#16]: https://github.com/linuxkit/lcow/pull/16
[linuxkit/lcow#17]: https://github.com/linuxkit/lcow/pull/17
[linuxkit/lcow#18]: https://github.com/linuxkit/lcow/pull/18
[linuxkit/lcow#19]: https://github.com/linuxkit/lcow/pull/19
[linuxkit/lcow#20]: https://github.com/linuxkit/lcow/pull/20
[linuxkit/lcow#21]: https://github.com/linuxkit/lcow/pull/21
[linuxkit/linuxkit#2933]: https://github.com/linuxkit/linuxkit/pull/2933
[linuxkit/linuxkit#2939]: https://github.com/linuxkit/linuxkit/pull/2939
[linuxkit/linuxkit#2942]: https://github.com/linuxkit/linuxkit/pull/2942
[linuxkit/linuxkit#2943]: https://github.com/linuxkit/linuxkit/pull/2943
[linuxkit/linuxkit#2945]: https://github.com/linuxkit/linuxkit/pull/2945
[linuxkit/linuxkit#2946]: https://github.com/linuxkit/linuxkit/pull/2946
[linuxkit/linuxkit#2947]: https://github.com/linuxkit/linuxkit/pull/2947
[linuxkit/linuxkit#2948]: https://github.com/linuxkit/linuxkit/pull/2948
[linuxkit/linuxkit#2951]: https://github.com/linuxkit/linuxkit/pull/2951
[linuxkit/linuxkit#2952]: https://github.com/linuxkit/linuxkit/pull/2952
[linuxkit/linuxkit#2953]: https://github.com/linuxkit/linuxkit/pull/2953
[linuxkit/linuxkit#2955]: https://github.com/linuxkit/linuxkit/pull/2955
[linuxkit/linuxkit#2957]: https://github.com/linuxkit/linuxkit/pull/2957
[linuxkit/linuxkit#2958]: https://github.com/linuxkit/linuxkit/pull/2958
[linuxkit/linuxkit#2959]: https://github.com/linuxkit/linuxkit/pull/2959
[linuxkit/linuxkit#2962]: https://github.com/linuxkit/linuxkit/pull/2962
[linuxkit/linuxkit#2963]: https://github.com/linuxkit/linuxkit/pull/2963
[linuxkit/linuxkit#2965]: https://github.com/linuxkit/linuxkit/pull/2965
[linuxkit/linuxkit#2966]: https://github.com/linuxkit/linuxkit/pull/2966
[linuxkit/linuxkit#2969]: https://github.com/linuxkit/linuxkit/pull/2969
[linuxkit/linuxkit#2970]: https://github.com/linuxkit/linuxkit/pull/2970
[linuxkit/linuxkit#2974]: https://github.com/linuxkit/linuxkit/pull/2974
[linuxkit/linuxkit#2975]: https://github.com/linuxkit/linuxkit/pull/2975
[linuxkit/linuxkit#2976]: https://github.com/linuxkit/linuxkit/pull/2976
[linuxkit/linuxkit#2977]: https://github.com/linuxkit/linuxkit/pull/2977
[linuxkit/virtsock#61]: https://github.com/linuxkit/virtsock/pull/61
[moby/tool#205]: https://github.com/moby/tool/pull/205
[moby/tool#206]: https://github.com/moby/tool/pull/206
[moby/tool#207]: https://github.com/moby/tool/pull/207
[moby/tool#208]: https://github.com/moby/tool/pull/208
[linuxkit/linuxkit#1285]: https://github.com/linuxkit/linuxkit/issues/1285
[linuxkit/linuxkit#1688]: https://github.com/linuxkit/linuxkit/issues/1688
[linuxkit/linuxkit#2691]: https://github.com/linuxkit/linuxkit/issues/2691
[linuxkit/linuxkit#2807]: https://github.com/linuxkit/linuxkit/issues/2807
[linuxkit/linuxkit#2911]: https://github.com/linuxkit/linuxkit/issues/2911
[linuxkit/linuxkit#2949]: https://github.com/linuxkit/linuxkit/issues/2949
[linuxkit/linuxkit#2956]: https://github.com/linuxkit/linuxkit/issues/2956
[linuxkit/linuxkit#2960]: https://github.com/linuxkit/linuxkit/issues/2960
[linuxkit/linuxkit#2967]: https://github.com/linuxkit/linuxkit/issues/2967
[moby/tool#209]: https://github.com/moby/tool/issues/209
[linuxkit/lcow#22]: https://github.com/linuxkit/lcow/issues/22
[linuxkit/linuxkit#2076]: https://github.com/linuxkit/linuxkit/issues/2076
[linuxkit/linuxkit#2487]: https://github.com/linuxkit/linuxkit/issues/2487
[linuxkit/linuxkit#2940]: https://github.com/linuxkit/linuxkit/pull/2940
[linuxkit/linuxkit#2944]: https://github.com/linuxkit/linuxkit/issues/2944
[linuxkit/linuxkit#2950]: https://github.com/linuxkit/linuxkit/issues/2950
[linuxkit/linuxkit#2954]: https://github.com/linuxkit/linuxkit/issues/2954
[linuxkit/linuxkit#2961]: https://github.com/linuxkit/linuxkit/pull/2961
[linuxkit/linuxkit#2964]: https://github.com/linuxkit/linuxkit/issues/2964
[linuxkit/linuxkit#2968]: https://github.com/linuxkit/linuxkit/issues/2968
[linuxkit/linuxkit#2971]: https://github.com/linuxkit/linuxkit/issues/2971
[linuxkit/linuxkit#2972]: https://github.com/linuxkit/linuxkit/issues/2972
[linuxkit/linuxkit#2973]: https://github.com/linuxkit/linuxkit/issues/2973
[moby/tool#202]: https://github.com/moby/tool/issues/202
[moby/tool#210]: https://github.com/moby/tool/pull/210
[@garthy]: https://github.com/garthy
[@mash-graz]: https://github.com/mash-graz
[@SwagMuffinMcYoloPants]: https://github.com/SwagMuffinMcYoloPants
[@jbremmer]: https://github.com/jbremmer
[@nogoegst]: https://github.com/nogoegst
[@eyz]: https://github.com/eyz
[@riyazdf]: https://github.com/riyazdf
[@Sh4d1]: https://github.com/Sh4d1
[@pratikmallya]: https://github.com/pratikmallya
[@ekcasey]: https://github.com/ekcasey
[@borntraeger]: https://github.com/borntraeger
[@rgl]: https://github.com/rgl
[@kojustin]: https://github.com/kojustin
[@zx2c4]: https://github.com/zx2c4
[@arm64b]: https://github.com/arm64b
[@TiejunChina]: https://github.com/TiejunChina
[@pgayvallet]: https://github.com/pgayvallet
[@ernoaapa]: https://github.com/ernoaapa
[@yangm97]: https://github.com/yangm97
[@lohithkc]: https://github.com/lohithkc
[@justincormack]: https://github.com/justincormack
[@cji]: https://github.com/cji
[@alicefr]: https://github.com/alicefr
[@weikinhuang]: https://github.com/weikinhuang
[@rn]: https://github.com/rn
[@functor]: https://github.com/functor
[@deitch]: https://github.com/deitch
[@guillaumerose]: https://github.com/guillaumerose
[@ajeetraina]: https://github.com/ajeetraina
[@djs55]: https://github.com/djs55
[@ijc]: https://github.com/ijc
