# Report for 2018-04-01 to 2018-04-30

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] [moby/tool] repositories. There were 241 contributions (PRs/Issues/Comments) from 27 individual contributors. 57 new PRs were opened and 51 PRs were merged. 23 new issues were opened and 9 issues were closed.

In April we released v0.3 of LinuxKit, our second proper release.

We had the usual slew of Kernel updates, bumped `containerd` to v1.1.0 (via v1.0.3), updated `notary` to v0.6.1, and bumped WireGuard to 0.0.20180420. We added support for USB storage and MPLS routing  to the LinuxKit kernels and added support for read-only SquashFS based root filesystems. 

Kubernetes was updated to v1.10, and CNI to v0.7.1. On the LCOW front, we updated to OpenGCS v0.3.7 and added more tests and benchmarks (including a bunch of improvements to the `rtf` tool).

## Merged PRs:

- Add v0.3 release ([linuxkit/homebrew-linuxkit#13] [@justincormack])

- Linuxkit v0.3 & updated tools in CI ([linuxkit/kubernetes#69] [@ijc] [@rn])
- Update to Kubernetes v1.10 ([linuxkit/kubernetes#70] [@ijc] [@rn])
- Bump to CNI v0.7.1 ([linuxkit/kubernetes#75] [@ijc] [@rn])
- Explicitly specify -iso for 'linuxkit run' ([linuxkit/kubernetes#77] [@rn] [@justincormack] [@ijc])

- Update to latest OpenGCS and kernel ([linuxkit/lcow#23] [@rn] [@justincormack])
- Test improvements and additions ([linuxkit/lcow#24] [@rn] [@justincormack])
- Update OpenGCS (v0.3.7), kernel and rtf build ([linuxkit/lcow#26] [@rn] [@justincormack])
- Convert benchmarks to use the new rt benchmark support ([linuxkit/lcow#27] [@rn] [@ijc])
- tests: Fix root where tests are stored ([linuxkit/lcow#28] [@rn] [@ijc])

- Add March 2018 report ([linuxkit/linuxkit#2978] [@rn] [@justincormack])
- Update kernels to 4.15.15/4.14.32/4.9.92/4.4.126 ([linuxkit/linuxkit#2979] [@rn] [@justincormack])
- Bump to containerd v1.0.3 ([linuxkit/linuxkit#2982] [@ijc] [@rn])
- Use NOTARY_AUTH instead of the expect gymnastics  ([linuxkit/linuxkit#2983] [@rn] [@justincormack])
- Update moby tool vendoring ([linuxkit/linuxkit#2985] [@justincormack] [@rn])
- Clarify s390x support in docs plus others small changes ([linuxkit/linuxkit#2986] [@rn] [@justincormack])
- Remove the kernel version specific namespace tests ([linuxkit/linuxkit#2987] [@rn] [@justincormack])
- kernel: Don't compile -rt kernels on s390x ([linuxkit/linuxkit#2988] [@rn] [@justincormack])
- Final preparation for v0.3 release ([linuxkit/linuxkit#2990] [@rn] [@justincormack])
- Add more local build options and make static non-pie the default ([linuxkit/linuxkit#2991] [@justincormack] [@ijc] [@rn])
- build: Bump version to v0.3+ ([linuxkit/linuxkit#2992] [@rn] [@justincormack])
- pkg: build: do not infer a release if not pushing ([linuxkit/linuxkit#2993] [@ijc] [@rn])
- Update kernels to 4.15.16/4.14.33/4.9.93/4.4.127 and add 4.16.1 ([linuxkit/linuxkit#2995] [@rn] [@justincormack])
- Avoid writing to tty devices which don't actually exist. ([linuxkit/linuxkit#2996] [@ijc] [@rn] [@justincormack])
- Kenrel update to 4.16.2/4.15.17/4.14.34 plus MPLS_ROUTING/IPTUNNEL ([linuxkit/linuxkit#3000] [@rn] [@justincormack])
- Update to kernels to 4.9.94 and 4.4.128 ([linuxkit/linuxkit#3001] [@rn] [@justincormack])
- Support building and running with SquashFS root filesystem ([linuxkit/linuxkit#3002] [@rn] [@justincormack])
- wireguard: upgrade to 0.0.20180413 ([linuxkit/linuxkit#3003] [@zx2c4] [@rn])
- Some kernel builds need openssl binary for key generation ([linuxkit/linuxkit#3004] [@justincormack] [@rn])
- contrib: Notes and build support for crosvm ([linuxkit/linuxkit#3005] [@rn] [@justincormack])
- Add keyutils to packages ([linuxkit/linuxkit#3006] [@justincormack] [@rn])
- containerd v1.1.0-rc.2 ([linuxkit/linuxkit#3007] [@ijc] [@rn])
- Update kernels to 4.16.3/4.15.18/4.14.35 ([linuxkit/linuxkit#3009] [@rn] [@justincormack])
- update -rt to 4.14.34-rt27 ([linuxkit/linuxkit#3010] [@TiejunChina] [@rn])
- wireguard: upgrade to 0.0.20180420 ([linuxkit/linuxkit#3011] [@zx2c4] [@rn])
- Update kernel to 4.9.95 ([linuxkit/linuxkit#3012] [@rn] [@justincormack])
- move pkg config from Dockerfile to build.yml ([linuxkit/linuxkit#3013] [@w9n] [@ijc] [@justincormack] [@rn])
- Containerd v1.1.0 ([linuxkit/linuxkit#3016] [@ijc] [@rn])
- update-component-sha.sh cleanups and fixes. ([linuxkit/linuxkit#3017] [@ijc] [@rn] [@deitch])
- Kernel update to 4.16.4/4.16.5/4.14.36/4.14.37/4.9.96/4.4.129 + EOL 4.15.x ([linuxkit/linuxkit#3021] [@rn] [@justincormack])
- Update to 4.16.6/4.14.38/4.9.97/4.4.130 and enable USB_STORAGE ([linuxkit/linuxkit#3023] [@rn] [@justincormack])

- An assortment of improvements ([linuxkit/rtf#41] [@rn] [@dave-tucker])
- Allow the user to specify the test id, avoiding the need for symlink ([linuxkit/rtf#43] [@ijc] [@rn])
- Make the "latest" symlink relative ([linuxkit/rtf#44] [@ijc] [@rn])
- Introduce a type for returning items for List/Info ([linuxkit/rtf#47] [@rn] [@ijc])

- Default bind mounts to rshared not rprivate if not specified ([moby/tool#210] [@justincormack])
- Update mkimage images based on linuxkit/alpine to latest. ([moby/tool#211] [@rn] [@justincormack])
- Update Notary vendor ([moby/tool#212] [@justincormack] [@rn])
- Add ability to overwrite images used for outputs ([moby/tool#213] [@rn] [@justincormack])
- Add  'kernel+squashfs' output format ([moby/tool#214] [@rn] [@justincormack])
- Move to Go 1.10 ([moby/tool#217] [@justincormack] [@ijc])

## Closed Issues:

- Can not boot with head version of linuxkit on macOS ([linuxkit/kubernetes#76] [@leoh0] [@rn])

- linuxkit run on s390x fails with kernel crash/and or KVM error ([linuxkit/linuxkit#2968] [@rn] [@alicefr] [@borntraeger])
- Kernel panic error ([linuxkit/linuxkit#2980] [@vinoth-rajkumar-lebara] [@deitch] [@rn])
- Switch user not found in postgres linuxkit ([linuxkit/linuxkit#2997] [@sandeep510] [@rn] [@ijc])
- kernel config: enable CONFIG_MPLS_ROUTING and CONFIG_MPLS_IPTUNNEL  ([linuxkit/linuxkit#2998] [@ajones-rvbd] [@rn])
- Move remaining LABEL definitions to build.yml ([linuxkit/linuxkit#2999] [@rn])
- Frankenkit and I don't understand why ([linuxkit/linuxkit#3020] [@orre] [@deitch])
- Building for Raspberry Pi 3 ([linuxkit/linuxkit#3022] [@ns-cweber] [@justincormack] [@rn])

- recent changes broke LinuxKit tests ([linuxkit/rtf#45] [@rn] [@ijc])

## New or updated PRs and Issues (not closed):

- Upgrade kubernetes to v1.10.0 ([linuxkit/kubernetes#68] [@pgayvallet] [@ijc])
- Switch from cli configuration to kubelet.conf ([linuxkit/kubernetes#71] [@ijc])
- Use noTaintMaster in kubeadm.conf ([linuxkit/kubernetes#72] [@ijc])
- Investigate and remove rootfsPropagation workaround ([linuxkit/kubernetes#73] [@ijc])
- Switch to cri as containerd plugin ([linuxkit/kubernetes#74] [@ijc])

- Linux containers [LCOW] not  working after tweaking instructions ([linuxkit/lcow#22] [@lohithkc] [@rn] [@riezebosch])
- USER instruction appears to be ignored for LCOW ([linuxkit/lcow#25] [@solvingj])
- Without hyper-v ([linuxkit/lcow#29] [@strarsis])

- Add scaleway support ([linuxkit/linuxkit#2487] [@yangm97] [@rn] [@justincormack] [@Sh4d1])
- Combining example/docker.yml + example/sshd.yml results in SSHD not working (entropy perhaps) ([linuxkit/linuxkit#2572] [@richardj-bsquare] [@justincormack] [@eyz] [@ijc] [@orre] [@rn])
- NVIDIA driver with LinuxKit host ([linuxkit/linuxkit#2944] [@jbremmer] [@rn] [@justincormack] [@mash-graz])
- Add support for persisted disks in rpi3 ([linuxkit/linuxkit#2964] [@ernoaapa] [@rn])
- Update `linuxkit/extend` to support multiple partitions ([linuxkit/linuxkit#2971] [@ernoaapa] [@justincormack] [@rn])
- i915 console support ([linuxkit/linuxkit#2972] [@mash-graz] [@ijc] [@justincormack] [@rn])
- Superset Customized image issue in linuxkit ([linuxkit/linuxkit#2981] [@sandeep510] [@deitch] [@rn])
- Add `fuse`, `ceph` and `rbd-nbd` to the `linuxkit/alpine` ([linuxkit/linuxkit#2984] [@rn] [@scher200])
- Cross-compiling linuxkit for s390x fails ([linuxkit/linuxkit#2989] [@rn] [@alicefr] [@deitch] [@ijc])
- Kernel builds don't properly track dependencies between 'build' and 'push' targets ([linuxkit/linuxkit#2994] [@kojustin] [@justincormack] [@ijc])
- Serial console on RPi3 is not working with 4.14 kernels ([linuxkit/linuxkit#3008] [@rn])
- golint: fix hosting issue ([linuxkit/linuxkit#3014] [@w9n] [@justincormack])
- Failed to extract root filesystem in linuxkit/kernel:4.9.89  ([linuxkit/linuxkit#3015] [@micemuni] [@justincormack] [@ragurakesh])
- [WIP] Add Scaleway provider to linuxkit ([linuxkit/linuxkit#3018] [@Sh4d1] [@rn] [@lapwat])
- passing env variables in linuxkit ([linuxkit/linuxkit#3019] [@sandeep510] [@rn] [@ijc])

- Add support for creating a `json` output and additional tooling ([linuxkit/rtf#42] [@rn])
- Fix crash when listing tests with groups being skipped ([linuxkit/rtf#46] [@rn])
- Create a JSON summary and add a compare command ([linuxkit/rtf#48] [@rn])
- Add `junit` support ([linuxkit/rtf#49] [@rn] [@dnephin])

- Use GNU tar format ([moby/tool#215] [@justincormack])
- Use PAX tar format ([moby/tool#216] [@justincormack] [@ijc])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/homebrew-linuxkit#13]: https://github.com/linuxkit/homebrew-linuxkit/pull/13
[linuxkit/kubernetes#69]: https://github.com/linuxkit/kubernetes/pull/69
[linuxkit/kubernetes#70]: https://github.com/linuxkit/kubernetes/pull/70
[linuxkit/kubernetes#75]: https://github.com/linuxkit/kubernetes/pull/75
[linuxkit/kubernetes#77]: https://github.com/linuxkit/kubernetes/pull/77
[linuxkit/lcow#23]: https://github.com/linuxkit/lcow/pull/23
[linuxkit/lcow#24]: https://github.com/linuxkit/lcow/pull/24
[linuxkit/lcow#26]: https://github.com/linuxkit/lcow/pull/26
[linuxkit/lcow#27]: https://github.com/linuxkit/lcow/pull/27
[linuxkit/lcow#28]: https://github.com/linuxkit/lcow/pull/28
[linuxkit/linuxkit#2978]: https://github.com/linuxkit/linuxkit/pull/2978
[linuxkit/linuxkit#2979]: https://github.com/linuxkit/linuxkit/pull/2979
[linuxkit/linuxkit#2982]: https://github.com/linuxkit/linuxkit/pull/2982
[linuxkit/linuxkit#2983]: https://github.com/linuxkit/linuxkit/pull/2983
[linuxkit/linuxkit#2985]: https://github.com/linuxkit/linuxkit/pull/2985
[linuxkit/linuxkit#2986]: https://github.com/linuxkit/linuxkit/pull/2986
[linuxkit/linuxkit#2987]: https://github.com/linuxkit/linuxkit/pull/2987
[linuxkit/linuxkit#2988]: https://github.com/linuxkit/linuxkit/pull/2988
[linuxkit/linuxkit#2990]: https://github.com/linuxkit/linuxkit/pull/2990
[linuxkit/linuxkit#2991]: https://github.com/linuxkit/linuxkit/pull/2991
[linuxkit/linuxkit#2992]: https://github.com/linuxkit/linuxkit/pull/2992
[linuxkit/linuxkit#2993]: https://github.com/linuxkit/linuxkit/pull/2993
[linuxkit/linuxkit#2995]: https://github.com/linuxkit/linuxkit/pull/2995
[linuxkit/linuxkit#2996]: https://github.com/linuxkit/linuxkit/pull/2996
[linuxkit/linuxkit#3000]: https://github.com/linuxkit/linuxkit/pull/3000
[linuxkit/linuxkit#3001]: https://github.com/linuxkit/linuxkit/pull/3001
[linuxkit/linuxkit#3002]: https://github.com/linuxkit/linuxkit/pull/3002
[linuxkit/linuxkit#3003]: https://github.com/linuxkit/linuxkit/pull/3003
[linuxkit/linuxkit#3004]: https://github.com/linuxkit/linuxkit/pull/3004
[linuxkit/linuxkit#3005]: https://github.com/linuxkit/linuxkit/pull/3005
[linuxkit/linuxkit#3006]: https://github.com/linuxkit/linuxkit/pull/3006
[linuxkit/linuxkit#3007]: https://github.com/linuxkit/linuxkit/pull/3007
[linuxkit/linuxkit#3009]: https://github.com/linuxkit/linuxkit/pull/3009
[linuxkit/linuxkit#3010]: https://github.com/linuxkit/linuxkit/pull/3010
[linuxkit/linuxkit#3011]: https://github.com/linuxkit/linuxkit/pull/3011
[linuxkit/linuxkit#3012]: https://github.com/linuxkit/linuxkit/pull/3012
[linuxkit/linuxkit#3013]: https://github.com/linuxkit/linuxkit/pull/3013
[linuxkit/linuxkit#3016]: https://github.com/linuxkit/linuxkit/pull/3016
[linuxkit/linuxkit#3017]: https://github.com/linuxkit/linuxkit/pull/3017
[linuxkit/linuxkit#3021]: https://github.com/linuxkit/linuxkit/pull/3021
[linuxkit/linuxkit#3023]: https://github.com/linuxkit/linuxkit/pull/3023
[linuxkit/rtf#41]: https://github.com/linuxkit/rtf/pull/41
[linuxkit/rtf#43]: https://github.com/linuxkit/rtf/pull/43
[linuxkit/rtf#44]: https://github.com/linuxkit/rtf/pull/44
[linuxkit/rtf#47]: https://github.com/linuxkit/rtf/pull/47
[moby/tool#210]: https://github.com/moby/tool/pull/210
[moby/tool#211]: https://github.com/moby/tool/pull/211
[moby/tool#212]: https://github.com/moby/tool/pull/212
[moby/tool#213]: https://github.com/moby/tool/pull/213
[moby/tool#214]: https://github.com/moby/tool/pull/214
[moby/tool#217]: https://github.com/moby/tool/pull/217
[linuxkit/kubernetes#76]: https://github.com/linuxkit/kubernetes/issues/76
[linuxkit/linuxkit#2968]: https://github.com/linuxkit/linuxkit/issues/2968
[linuxkit/linuxkit#2980]: https://github.com/linuxkit/linuxkit/issues/2980
[linuxkit/linuxkit#2997]: https://github.com/linuxkit/linuxkit/issues/2997
[linuxkit/linuxkit#2998]: https://github.com/linuxkit/linuxkit/issues/2998
[linuxkit/linuxkit#2999]: https://github.com/linuxkit/linuxkit/issues/2999
[linuxkit/linuxkit#3020]: https://github.com/linuxkit/linuxkit/issues/3020
[linuxkit/linuxkit#3022]: https://github.com/linuxkit/linuxkit/issues/3022
[linuxkit/rtf#45]: https://github.com/linuxkit/rtf/issues/45
[linuxkit/kubernetes#68]: https://github.com/linuxkit/kubernetes/pull/68
[linuxkit/kubernetes#71]: https://github.com/linuxkit/kubernetes/issues/71
[linuxkit/kubernetes#72]: https://github.com/linuxkit/kubernetes/issues/72
[linuxkit/kubernetes#73]: https://github.com/linuxkit/kubernetes/issues/73
[linuxkit/kubernetes#74]: https://github.com/linuxkit/kubernetes/issues/74
[linuxkit/lcow#22]: https://github.com/linuxkit/lcow/issues/22
[linuxkit/lcow#25]: https://github.com/linuxkit/lcow/issues/25
[linuxkit/lcow#29]: https://github.com/linuxkit/lcow/issues/29
[linuxkit/linuxkit#2487]: https://github.com/linuxkit/linuxkit/issues/2487
[linuxkit/linuxkit#2572]: https://github.com/linuxkit/linuxkit/issues/2572
[linuxkit/linuxkit#2944]: https://github.com/linuxkit/linuxkit/issues/2944
[linuxkit/linuxkit#2964]: https://github.com/linuxkit/linuxkit/issues/2964
[linuxkit/linuxkit#2971]: https://github.com/linuxkit/linuxkit/issues/2971
[linuxkit/linuxkit#2972]: https://github.com/linuxkit/linuxkit/issues/2972
[linuxkit/linuxkit#2981]: https://github.com/linuxkit/linuxkit/issues/2981
[linuxkit/linuxkit#2984]: https://github.com/linuxkit/linuxkit/issues/2984
[linuxkit/linuxkit#2989]: https://github.com/linuxkit/linuxkit/issues/2989
[linuxkit/linuxkit#2994]: https://github.com/linuxkit/linuxkit/issues/2994
[linuxkit/linuxkit#3008]: https://github.com/linuxkit/linuxkit/issues/3008
[linuxkit/linuxkit#3014]: https://github.com/linuxkit/linuxkit/pull/3014
[linuxkit/linuxkit#3015]: https://github.com/linuxkit/linuxkit/issues/3015
[linuxkit/linuxkit#3018]: https://github.com/linuxkit/linuxkit/pull/3018
[linuxkit/linuxkit#3019]: https://github.com/linuxkit/linuxkit/issues/3019
[linuxkit/rtf#42]: https://github.com/linuxkit/rtf/issues/42
[linuxkit/rtf#46]: https://github.com/linuxkit/rtf/pull/46
[linuxkit/rtf#48]: https://github.com/linuxkit/rtf/pull/48
[linuxkit/rtf#49]: https://github.com/linuxkit/rtf/issues/49
[moby/tool#215]: https://github.com/moby/tool/pull/215
[moby/tool#216]: https://github.com/moby/tool/pull/216
[@acetcom]: https://github.com/acetcom
[@justincormack]: https://github.com/justincormack
[@ijc]: https://github.com/ijc
[@Sh4d1]: https://github.com/Sh4d1
[@deitch]: https://github.com/deitch
[@richardj-bsquare]: https://github.com/richardj-bsquare
[@zx2c4]: https://github.com/zx2c4
[@dave-tucker]: https://github.com/dave-tucker
[@lohithkc]: https://github.com/lohithkc
[@dnephin]: https://github.com/dnephin
[@lapwat]: https://github.com/lapwat
[@eyz]: https://github.com/eyz
[@ajones-rvbd]: https://github.com/ajones-rvbd
[@alicefr]: https://github.com/alicefr
[@strarsis]: https://github.com/strarsis
[@w9n]: https://github.com/w9n
[@ernoaapa]: https://github.com/ernoaapa
[@ns-cweber]: https://github.com/ns-cweber
[@yangm97]: https://github.com/yangm97
[@micemuni]: https://github.com/micemuni
[@ragurakesh]: https://github.com/ragurakesh
[@mash-graz]: https://github.com/mash-graz
[@orre]: https://github.com/orre
[@nikovirtala]: https://github.com/nikovirtala
[@leoh0]: https://github.com/leoh0
[@pgayvallet]: https://github.com/pgayvallet
[@sandeep510]: https://github.com/sandeep510
[@scher200]: https://github.com/scher200
[@jbremmer]: https://github.com/jbremmer
[@kojustin]: https://github.com/kojustin
[@vinoth-rajkumar-lebara]: https://github.com/vinoth-rajkumar-lebara
[@solvingj]: https://github.com/solvingj
[@rn]: https://github.com/rn
[@TiejunChina]: https://github.com/TiejunChina
[@borntraeger]: https://github.com/borntraeger
[@riezebosch]: https://github.com/riezebosch
