# Report for 2018-05-01 to 2018-05-31

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] [moby/tool] repositories. There were 154 contributions (PRs/Issues/Comments) from 25 individual contributors. 30 new PRs were opened and 26 PRs were merged. 9 new issues were opened and 6 issues were closed.

In May we released v0.4 of LinuxKit. Kubernetes was updated to v1.10.3 and WireGuard to 0.0.20180531. There was the usual host of Kernel updates, including important security fixed for a new variant of speculative execution security issues. This also required an update to the Intel CPU microcode. We also enabled SCTP in the kernel config and made some improvements to the `rtf` tool and documented the release process.


## Merged PRs:

- Enable SCTP protocol as a default kernel config ([linuxkit/linuxkit#3025] [@acetcom] [@rn])
- Add April 2018 report ([linuxkit/linuxkit#3026] [@rn] [@justincormack])
- Kernel update to 4.16.7/4.14.39/4.9.98/4.4.131 + SCTP fixes and alpine base update ([linuxkit/linuxkit#3027] [@rn] [@ijc])
- Update Intel ucode and kernel update to 4.16.8/4.14.40/4.9.99 ([linuxkit/linuxkit#3033] [@rn] [@justincormack])
- Update to allow the new locations for Docker for Mac socket paths ([linuxkit/linuxkit#3034] [@justincormack] [@rn])
- Remove the containerd config from the example ([linuxkit/linuxkit#3035] [@justincormack] [@deitch] [@rn])
- Preparation for the v0.4 release ([linuxkit/linuxkit#3037] [@rn] [@justincormack])
- Bump version to v0.4+ ([linuxkit/linuxkit#3038] [@rn] [@justincormack])
- docs: Add document on how to do releases ([linuxkit/linuxkit#3039] [@rn] [@justincormack])
- update -rt to 4.14.39-rt29 ([linuxkit/linuxkit#3040] [@TiejunChina] [@rn])
- wireguard: upgrade to 0.0.20180513 ([linuxkit/linuxkit#3041] [@zx2c4] [@rn])
- update -rt to 4.14.40-rt30 ([linuxkit/linuxkit#3042] [@TiejunChina] [@rn])
- Kernel update to 4.16.9/4.14.41/4.9.100/4.4.132 ([linuxkit/linuxkit#3043] [@rn] [@justincormack])
- wireguard: upgrade to 0.0.20180519 ([linuxkit/linuxkit#3045] [@zx2c4] [@rn])
- Add a missing right parenthesis in README.md ([linuxkit/linuxkit#3046] [@mingrammer] [@deitch])
- wireguard: upgrade to 0.0.20180524 ([linuxkit/linuxkit#3047] [@zx2c4] [@rn])
- Update kernels to 4.16.10/4.16.11/4.14.42/4.14.43/4.9.101/4.9.102 ([linuxkit/linuxkit#3048] [@rn] [@justincormack])
- Update kernels to 4.16.12/4.16.13/4.14.44/4.14.46/4.9.103/4.9.104/4.4.133/4.4.134 ([linuxkit/linuxkit#3049] [@rn] [@justincormack])
- wireguard: upgrade to 0.0.20180531 ([linuxkit/linuxkit#3050] [@zx2c4] [@rn])
- tests: Use poweroff instead of halt for wireguard test ([linuxkit/linuxkit#3051] [@rn] [@justincormack])

- Add 0.4 release ([linuxkit/homebrew-linuxkit#14] [@justincormack])
- Fix sha256sum for v0.4 ([linuxkit/homebrew-linuxkit#15] [@justincormack])

- Update to Kube v1.10.3 ([linuxkit/kubernetes#82] [@ijc] [@justincormack])
- Linuxkit v0.4 ([linuxkit/kubernetes#83] [@ijc] [@justincormack])

- Create a JSON summary and add a compare command ([linuxkit/rtf#48] [@rn] [@ijc])
- Wait for stdio goroutines to finish before exiting ([linuxkit/rtf#50] [@ijc] [@rn])


## Closed Issues:

- Kernel panic with "BUG: unable to handle kernel NULL pointer dereference at (null)" ([linuxkit/kubernetes#80] [@leoh0])
- Without hyper-v ([linuxkit/lcow#29] [@strarsis] [@justincormack] [@olljanat])
- passing env variables in linuxkit ([linuxkit/linuxkit#3019] [@sandeep510] [@rn] [@ijc] [@RobbKistler])
- No connectivity from superset to postgres ([linuxkit/linuxkit#3024] [@sandeep510] [@ijc] [@justincormack])
- Instance launch fails in aws ([linuxkit/linuxkit#3036] [@sandeep510])
- Add support for creating a `json` output and additional tooling ([linuxkit/rtf#42] [@rn])


## New or updated PRs and Issues (not closed):

- How to set up a development environment? ([linuxkit/kubernetes#78] [@nikovirtala] [@ijc])
- Use containerd cri plugin from init ([linuxkit/kubernetes#79] [@detiber])
- Update kernel to 4.14.40 for preventing kernel panic ([linuxkit/kubernetes#81] [@leoh0])
- report broken nsenter on busybox ([linuxkit/linuxkit#567] [@justincormack] [@euanh] [@nathanleclaire] [@rn])
- Address Space Layout Randomization and Position Independent Executables ([linuxkit/linuxkit#1902] [@fntlnz] [@justincormack] [@rn] [@joeabbey] [@riyazdf])
- pkg: rngd service support on AArch64 ([linuxkit/linuxkit#2785] [@arm64b] [@ijc] [@rn] [@justincormack] [@deitch])
- Add `fuse`, `ceph` and `rbd-nbd` to the `linuxkit/alpine` ([linuxkit/linuxkit#2984] [@rn] [@scher200])
- Kernel builds don't properly track dependencies between 'build' and 'push' targets ([linuxkit/linuxkit#2994] [@kojustin] [@justincormack] [@ijc])
- Add Scaleway provider to linuxkit ([linuxkit/linuxkit#3018] [@Sh4d1] [@lapwat] [@rn] [@justincormack])
- Unable to join swarm in AWS with build that works locally on HyperKit ([linuxkit/linuxkit#3028] [@dweomer] [@rn])
- Invoking reboot triggers a poweroff instead ([linuxkit/linuxkit#3029] [@kmjohansen])
- Reboot should reboot instead of powering off. ([linuxkit/linuxkit#3030] [@kmjohansen] [@justincormack] [@rn])
- Need to pull log files in Linuxkit based OS ([linuxkit/linuxkit#3031] [@FortuneLenovo])
- boot hang on kernels >= 4.14.36 ([linuxkit/linuxkit#3032] [@kmjohansen] [@rn] [@ijc] [@justincormack])
- Only support long RSA and ed25519 ssh keys ([linuxkit/linuxkit#3044] [@justincormack] [@ijc])
- duplicates of file paths with "linuxkit build -f docker ..."  ([linuxkit/linuxkit#3052] [@w9n])
- Memorizer: remove kasan poison on boot ([linuxkit/linuxkit#3053] [@ndauten] [@rn])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/homebrew-linuxkit#14]: https://github.com/linuxkit/homebrew-linuxkit/pull/14
[linuxkit/homebrew-linuxkit#15]: https://github.com/linuxkit/homebrew-linuxkit/pull/15
[linuxkit/kubernetes#82]: https://github.com/linuxkit/kubernetes/pull/82
[linuxkit/kubernetes#83]: https://github.com/linuxkit/kubernetes/pull/83
[linuxkit/linuxkit#3025]: https://github.com/linuxkit/linuxkit/pull/3025
[linuxkit/linuxkit#3026]: https://github.com/linuxkit/linuxkit/pull/3026
[linuxkit/linuxkit#3027]: https://github.com/linuxkit/linuxkit/pull/3027
[linuxkit/linuxkit#3033]: https://github.com/linuxkit/linuxkit/pull/3033
[linuxkit/linuxkit#3034]: https://github.com/linuxkit/linuxkit/pull/3034
[linuxkit/linuxkit#3035]: https://github.com/linuxkit/linuxkit/pull/3035
[linuxkit/linuxkit#3037]: https://github.com/linuxkit/linuxkit/pull/3037
[linuxkit/linuxkit#3038]: https://github.com/linuxkit/linuxkit/pull/3038
[linuxkit/linuxkit#3039]: https://github.com/linuxkit/linuxkit/pull/3039
[linuxkit/linuxkit#3040]: https://github.com/linuxkit/linuxkit/pull/3040
[linuxkit/linuxkit#3041]: https://github.com/linuxkit/linuxkit/pull/3041
[linuxkit/linuxkit#3042]: https://github.com/linuxkit/linuxkit/pull/3042
[linuxkit/linuxkit#3043]: https://github.com/linuxkit/linuxkit/pull/3043
[linuxkit/linuxkit#3045]: https://github.com/linuxkit/linuxkit/pull/3045
[linuxkit/linuxkit#3046]: https://github.com/linuxkit/linuxkit/pull/3046
[linuxkit/linuxkit#3047]: https://github.com/linuxkit/linuxkit/pull/3047
[linuxkit/linuxkit#3048]: https://github.com/linuxkit/linuxkit/pull/3048
[linuxkit/linuxkit#3049]: https://github.com/linuxkit/linuxkit/pull/3049
[linuxkit/linuxkit#3050]: https://github.com/linuxkit/linuxkit/pull/3050
[linuxkit/linuxkit#3051]: https://github.com/linuxkit/linuxkit/pull/3051
[linuxkit/rtf#48]: https://github.com/linuxkit/rtf/pull/48
[linuxkit/rtf#50]: https://github.com/linuxkit/rtf/pull/50
[linuxkit/kubernetes#80]: https://github.com/linuxkit/kubernetes/issues/80
[linuxkit/lcow#29]: https://github.com/linuxkit/lcow/issues/29
[linuxkit/linuxkit#3019]: https://github.com/linuxkit/linuxkit/issues/3019
[linuxkit/linuxkit#3024]: https://github.com/linuxkit/linuxkit/issues/3024
[linuxkit/linuxkit#3036]: https://github.com/linuxkit/linuxkit/issues/3036
[linuxkit/rtf#42]: https://github.com/linuxkit/rtf/issues/42
[linuxkit/kubernetes#78]: https://github.com/linuxkit/kubernetes/issues/78
[linuxkit/kubernetes#79]: https://github.com/linuxkit/kubernetes/pull/79
[linuxkit/kubernetes#81]: https://github.com/linuxkit/kubernetes/pull/81
[linuxkit/linuxkit#567]: https://github.com/linuxkit/linuxkit/issues/567
[linuxkit/linuxkit#1902]: https://github.com/linuxkit/linuxkit/issues/1902
[linuxkit/linuxkit#2785]: https://github.com/linuxkit/linuxkit/pull/2785
[linuxkit/linuxkit#2984]: https://github.com/linuxkit/linuxkit/issues/2984
[linuxkit/linuxkit#2994]: https://github.com/linuxkit/linuxkit/issues/2994
[linuxkit/linuxkit#3018]: https://github.com/linuxkit/linuxkit/pull/3018
[linuxkit/linuxkit#3028]: https://github.com/linuxkit/linuxkit/issues/3028
[linuxkit/linuxkit#3029]: https://github.com/linuxkit/linuxkit/issues/3029
[linuxkit/linuxkit#3030]: https://github.com/linuxkit/linuxkit/pull/3030
[linuxkit/linuxkit#3031]: https://github.com/linuxkit/linuxkit/issues/3031
[linuxkit/linuxkit#3032]: https://github.com/linuxkit/linuxkit/issues/3032
[linuxkit/linuxkit#3044]: https://github.com/linuxkit/linuxkit/pull/3044
[linuxkit/linuxkit#3052]: https://github.com/linuxkit/linuxkit/issues/3052
[linuxkit/linuxkit#3053]: https://github.com/linuxkit/linuxkit/pull/3053
[@ijc]: https://github.com/ijc
[@justincormack]: https://github.com/justincormack
[@leoh0]: https://github.com/leoh0
[@detiber]: https://github.com/detiber
[@joeabbey]: https://github.com/joeabbey
[@nikovirtala]: https://github.com/nikovirtala
[@riyazdf]: https://github.com/riyazdf
[@Sh4d1]: https://github.com/Sh4d1
[@kojustin]: https://github.com/kojustin
[@FortuneLenovo]: https://github.com/FortuneLenovo
[@arm64b]: https://github.com/arm64b
[@olljanat]: https://github.com/olljanat
[@rn]: https://github.com/rn
[@mingrammer]: https://github.com/mingrammer
[@TiejunChina]: https://github.com/TiejunChina
[@w9n]: https://github.com/w9n
[@nathanleclaire]: https://github.com/nathanleclaire
[@strarsis]: https://github.com/strarsis
[@razaborg]: https://github.com/razaborg
[@fntlnz]: https://github.com/fntlnz
[@scher200]: https://github.com/scher200
[@deitch]: https://github.com/deitch
[@dweomer]: https://github.com/dweomer
[@euanh]: https://github.com/euanh
[@kmjohansen]: https://github.com/kmjohansen
[@lapwat]: https://github.com/lapwat
[@acetcom]: https://github.com/acetcom
[@ndauten]: https://github.com/ndauten
[@zx2c4]: https://github.com/zx2c4
[@sandeep510]: https://github.com/sandeep510
[@RobbKistler]: https://github.com/RobbKistler
