# Report for 2018-06-01 to 2018-06-30

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] [moby/tool] repositories. There were 92 contributions (PRs/Issues/Comments) from 13 individual contributors. 25 new PRs were opened and 27 PRs were merged. 7 new issues were opened and 7 issues were closed.

In June we added new platform support for Scaleway (x86_64 for now) and improved meta/user data handling for GCP and AWS as well as support for security groups on AWS. There were a few bug fixes around poweroff, `binfmt`, and the addition of `restart` and `stop` to the `service` command. Along with the usual kernel updates, `containerd` was updated to v1.1.0-rc.2 and WireGuard to 0.0.20180625.

Notable presentations/blog posts (via Twitter, apologies if we missed some):
- Tiejun Chen talk at LinuxCon China: [PreemptRT-LinuxKit Put Docker into IoT](http://sched.co/ER9r)
- Pierre Yves Aillet and Eric Briand at [Web2day](https://twitter.com/ptibulle/status/1007164838420807680)
- Luke and Justin's DockerCon 2018 talk: [A Vision of Persistence](https://dockercon2018.hubs.vidyard.com/watch/RXqDAs344Xy2ruBqfppMnu) and [slides](https://www.slideshare.net/Docker/a-vision-of-persistence)
- Ajeet's blog: [Running LinuxKit locally on Oracle VirtualBox Platform Made Easy](https://collabnix.com/running-linuxkit-locally-on-oracle-virtualbox-platform-made-easy/)


## Merged PRs:

- Add Scaleway provider to linuxkit ([linuxkit/linuxkit#3018] [@Sh4d1] [@rn] [@justincormack] [@lapwat])
- Reboot should reboot instead of powering off. ([linuxkit/linuxkit#3030] [@kmjohansen] [@justincormack] [@rn])
- Memorizer: remove kasan poison on boot ([linuxkit/linuxkit#3053] [@ndauten] [@rn])
- Bump to containerd v1.1.1-rc.0 ([linuxkit/linuxkit#3054] [@ijc] [@rn])
- tools/alpine: Add sntpc to alpine base ([linuxkit/linuxkit#3056] [@rn] [@ijc])
- kernel: Add 4.17, update 4.14.47/4.9.106/4.4.135, remove 4.16.x for arm64/s390x ([linuxkit/linuxkit#3058] [@rn] [@ijc])
- Add services.linuxkit warning to motd for sshd and getty ([linuxkit/linuxkit#3059] [@deitch] [@ijc] [@rn])
- Stash kernel source and WireGuard source in the package ([linuxkit/linuxkit#3060] [@rn] [@justincormack] [@ijc])
- Add support for userdata on GCP plus custom name ([linuxkit/linuxkit#3061] [@justincormack] [@rn])
- Update kernels to 4.16.14/4.14.48/4.9.10[67]/4.4.136 ([linuxkit/linuxkit#3062] [@rn] [@justincormack])
- Add a restart and stop command to service. ([linuxkit/linuxkit#3063] [@justinbarrick] [@deitch] [@justincormack] [@rn])
- tests: Fix wireguard test shutdown ([linuxkit/linuxkit#3065] [@rn] [@justincormack])
- Update authors ([linuxkit/linuxkit#3066] [@rn] [@justincormack] [@thaJeztah] [@deitch])
- Update kernel to 4.17.1/4.16.15/4.14.49 ([linuxkit/linuxkit#3068] [@rn] [@ijc])
- Add support for aws metadata and security groups in linuxkit run ([linuxkit/linuxkit#3069] [@justincormack] [@rn])
- wireguard: upgrade to 0.0.20180613 ([linuxkit/linuxkit#3070] [@zx2c4] [@rn])
- Containerd v1.1.1-rc.1 ([linuxkit/linuxkit#3073] [@ijc] [@rn])
- Kernel update to 4.17.2/4.16.16/4.14.50/4.9.109 ([linuxkit/linuxkit#3074] [@rn] [@justincormack])
- Binfmt fixes ([linuxkit/linuxkit#3075] [@justincormack] [@rn])
- kernel update to 4.16.17/4.14.51/4.4.137/4.4.138 ([linuxkit/linuxkit#3076] [@rn] [@justincormack])
- wireguard: upgrade to 0.0.20180625 ([linuxkit/linuxkit#3077] [@zx2c4] [@rn])
- Fix dhcpcd hooks config ([linuxkit/linuxkit#3078] [@justincormack] [@rn])
- Use apk --print-arch to discover architecture ([linuxkit/linuxkit#3080] [@alanraison] [@deitch] [@rn])
- Update kernels to 4.17.3/4.16.18/4.14.52/4.9.110 and then remove 4.16.x (EOLed) ([linuxkit/linuxkit#3082] [@rn] [@ijc])
- Containerd v1.1.0-rc.2 ([linuxkit/linuxkit#3084] [@ijc] [@rn])
- Revert "Workaround `rootfsPropagation: shared` brokenness." ([linuxkit/kubernetes#84] [@ijc] [@rn])

## Closed Issues:

- Support Ignition? ([linuxkit/linuxkit#2303] [@kevinschoon] [@SvenDowideit] [@justincormack] [@rn])
- High Level "init" Library? ([linuxkit/linuxkit#2431] [@kevinschoon] [@justincormack])
- Add scaleway support ([linuxkit/linuxkit#2487] [@yangm97] [@rn] [@justincormack] [@Sh4d1])
- qemu-user-static executables from alpine are broken, use debian instead ([linuxkit/linuxkit#2710] [@oflebbe] [@ijc] [@justinbarrick] [@deitch] [@justincormack])
- Invoking reboot triggers a poweroff instead ([linuxkit/linuxkit#3029] [@kmjohansen])
- 404 on pushing image using GCS backend ([linuxkit/linuxkit#3064] [@Gabology] [@justincormack])
- APK Architecture not always reported correctly ([linuxkit/linuxkit#3079] [@alanraison])

## New or updated PRs and Issues (not closed):

- arm64: kernel 4.17 compile fails 'dangerous relocation: unsupported relocation' ([linuxkit/linuxkit#3057] [@rn])
- Kernel 4.14.48 does not accept input on GCE ([linuxkit/linuxkit#3067] [@Gabology])
- Workaround DNS issue with qemu-user-static on alpine by using Debian in the first stage #2710 ([linuxkit/linuxkit#3071] [@justinbarrick] [@justincormack])
- Docker daemon log taking up too much disk space ([linuxkit/linuxkit#3072] [@kevinbrink])
- Update to alpine 3.8 ([linuxkit/linuxkit#3081] [@rn])
- Question: Monitoring linuxkit  ([linuxkit/linuxkit#3083] [@scriptjs] [@hairyhenderson])
- Use noTaintMaster in kubeadm.conf ([linuxkit/kubernetes#72] [@ijc])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/kubernetes#84]: https://github.com/linuxkit/kubernetes/pull/84
[linuxkit/linuxkit#3018]: https://github.com/linuxkit/linuxkit/pull/3018
[linuxkit/linuxkit#3030]: https://github.com/linuxkit/linuxkit/pull/3030
[linuxkit/linuxkit#3053]: https://github.com/linuxkit/linuxkit/pull/3053
[linuxkit/linuxkit#3054]: https://github.com/linuxkit/linuxkit/pull/3054
[linuxkit/linuxkit#3055]: https://github.com/linuxkit/linuxkit/pull/3055
[linuxkit/linuxkit#3056]: https://github.com/linuxkit/linuxkit/pull/3056
[linuxkit/linuxkit#3058]: https://github.com/linuxkit/linuxkit/pull/3058
[linuxkit/linuxkit#3059]: https://github.com/linuxkit/linuxkit/pull/3059
[linuxkit/linuxkit#3060]: https://github.com/linuxkit/linuxkit/pull/3060
[linuxkit/linuxkit#3061]: https://github.com/linuxkit/linuxkit/pull/3061
[linuxkit/linuxkit#3062]: https://github.com/linuxkit/linuxkit/pull/3062
[linuxkit/linuxkit#3063]: https://github.com/linuxkit/linuxkit/pull/3063
[linuxkit/linuxkit#3065]: https://github.com/linuxkit/linuxkit/pull/3065
[linuxkit/linuxkit#3066]: https://github.com/linuxkit/linuxkit/pull/3066
[linuxkit/linuxkit#3068]: https://github.com/linuxkit/linuxkit/pull/3068
[linuxkit/linuxkit#3069]: https://github.com/linuxkit/linuxkit/pull/3069
[linuxkit/linuxkit#3070]: https://github.com/linuxkit/linuxkit/pull/3070
[linuxkit/linuxkit#3073]: https://github.com/linuxkit/linuxkit/pull/3073
[linuxkit/linuxkit#3074]: https://github.com/linuxkit/linuxkit/pull/3074
[linuxkit/linuxkit#3075]: https://github.com/linuxkit/linuxkit/pull/3075
[linuxkit/linuxkit#3076]: https://github.com/linuxkit/linuxkit/pull/3076
[linuxkit/linuxkit#3077]: https://github.com/linuxkit/linuxkit/pull/3077
[linuxkit/linuxkit#3078]: https://github.com/linuxkit/linuxkit/pull/3078
[linuxkit/linuxkit#3080]: https://github.com/linuxkit/linuxkit/pull/3080
[linuxkit/linuxkit#3082]: https://github.com/linuxkit/linuxkit/pull/3082
[linuxkit/linuxkit#3084]: https://github.com/linuxkit/linuxkit/pull/3084
[linuxkit/linuxkit#2303]: https://github.com/linuxkit/linuxkit/issues/2303
[linuxkit/linuxkit#2431]: https://github.com/linuxkit/linuxkit/issues/2431
[linuxkit/linuxkit#2487]: https://github.com/linuxkit/linuxkit/issues/2487
[linuxkit/linuxkit#2710]: https://github.com/linuxkit/linuxkit/issues/2710
[linuxkit/linuxkit#3029]: https://github.com/linuxkit/linuxkit/issues/3029
[linuxkit/linuxkit#3064]: https://github.com/linuxkit/linuxkit/issues/3064
[linuxkit/linuxkit#3079]: https://github.com/linuxkit/linuxkit/issues/3079
[linuxkit/kubernetes#72]: https://github.com/linuxkit/kubernetes/issues/72
[linuxkit/linuxkit#3057]: https://github.com/linuxkit/linuxkit/issues/3057
[linuxkit/linuxkit#3067]: https://github.com/linuxkit/linuxkit/issues/3067
[linuxkit/linuxkit#3071]: https://github.com/linuxkit/linuxkit/pull/3071
[linuxkit/linuxkit#3072]: https://github.com/linuxkit/linuxkit/issues/3072
[linuxkit/linuxkit#3081]: https://github.com/linuxkit/linuxkit/issues/3081
[linuxkit/linuxkit#3083]: https://github.com/linuxkit/linuxkit/issues/3083
[@riyazdf]: https://github.com/riyazdf
[@tippexs]: https://github.com/tippexs
[@yangm97]: https://github.com/yangm97
[@masterzen]: https://github.com/masterzen
[@djs55]: https://github.com/djs55
[@justincormack]: https://github.com/justincormack
[@scriptjs]: https://github.com/scriptjs
[@oflebbe]: https://github.com/oflebbe
[@rn]: https://github.com/rn
[@mat007]: https://github.com/mat007
[@SvenDowideit]: https://github.com/SvenDowideit
[@thaJeztah]: https://github.com/thaJeztah
[@Gabology]: https://github.com/Gabology
[@ndauten]: https://github.com/ndauten
[@lapwat]: https://github.com/lapwat
[@kmjohansen]: https://github.com/kmjohansen
[@kevinbrink]: https://github.com/kevinbrink
[@kevinschoon]: https://github.com/kevinschoon
[@zx2c4]: https://github.com/zx2c4
[@justinbarrick]: https://github.com/justinbarrick
[@ijc]: https://github.com/ijc
[@hairyhenderson]: https://github.com/hairyhenderson
[@acetcom]: https://github.com/acetcom
[@Sh4d1]: https://github.com/Sh4d1
[@razaborg]: https://github.com/razaborg
[@alanraison]: https://github.com/alanraison
[@deitch]: https://github.com/deitch
