# Report for 2018-07-01 to 2018-07-31

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] [moby/tool] repositories. There were 372 contributions (PRs/Issues/Comments) from 23 individual contributors. 42 new PRs were opened and 40 PRs were merged. 26 new issues were opened and 22 issues were closed.

We made two releases in July. The [v0.5 release](https://github.com/linuxkit/linuxkit/releases/tag/v0.5) primarily updated the Alpine Linux based packages to Alpine 3.8 and added much improved logging support and a new provider for Scaleway. The [v0.6 release](https://github.com/linuxkit/linuxkit/releases/tag/v0.6) mostly had improvements to the `linuxkit` tool. We merged the `moby/tool` back into `linuxkit/linuxkit` and added support for private repositories/registries and improved `linuxkit pkg build`.

Along with the usual kernel updates, `containerd` was updated to v1.1.2 and WireGuard to 0.0.20180718.

## Merged PRs:

- Support pluggable logging systems ([linuxkit/linuxkit#3085] [@djs55] [@rn] [@ijc])
- Fix windows build ([linuxkit/linuxkit#3086] [@mat007] [@justincormack] [@rn])
- Update kernel to 4.17.4/4.14.53/4.9.11/4.4.139 ([linuxkit/linuxkit#3088] [@rn] [@justincormack])
- Some FAQ and motd update ([linuxkit/linuxkit#3089] [@masterzen] [@rn])
- June 2018 LinuxKit report ([linuxkit/linuxkit#3090] [@rn] [@justincormack])
- update -rt to 4.14.53-rt34 ([linuxkit/linuxkit#3093] [@TiejunChina] [@rn])
- Support log rotation and logging of /dev/kmsg ([linuxkit/linuxkit#3095] [@djs55] [@rn])
- Update to Alpine 3.8 ([linuxkit/linuxkit#3098] [@rn] [@justincormack])
- wireguard: upgrade to 0.0.20180708 ([linuxkit/linuxkit#3100] [@zx2c4] [@rn])
- Containerd v1.1.1 ([linuxkit/linuxkit#3102] [@ijc] [@rn])
- Update kernel to 4.17.5/4.14.54 ([linuxkit/linuxkit#3103] [@rn] [@justincormack])
- Preparation for v0.5 release ([linuxkit/linuxkit#3104] [@rn] [@justincormack])
- Bump version to v0.5+ ([linuxkit/linuxkit#3105] [@rn] [@ijc])
- Fix typo in CHANGELOG ([linuxkit/linuxkit#3107] [@rn] [@ijc] [@justincormack])
- Add '.log' as file extension to 'pkg/logwrite' files ([linuxkit/linuxkit#3109] [@rn])
- Add packages needed for iovisor/bcc ([linuxkit/linuxkit#3112] [@rn] [@justincormack])
- Update linuxkit/alpine for test cases ([linuxkit/linuxkit#3113] [@rn] [@justincormack])
- Write stderr to /var/log/<name>.log ([linuxkit/linuxkit#3114] [@djs55] [@rn] [@ijc])
- Merge moby tool back into LinuxKit ([linuxkit/linuxkit#3115] [@justincormack] [@rn])
- Update kernels to 4.17.6/4.14.55/4.9.112/4.4.140 + test fixes ([linuxkit/linuxkit#3116] [@rn] [@justincormack])
- Change GCP metadata SSH keys URL ([linuxkit/linuxkit#3117] [@steeve] [@rn])
- Containerd v1.1.2 ([linuxkit/linuxkit#3119] [@ijc] [@justincormack] [@rn])
- Update AUTHORS ([linuxkit/linuxkit#3121] [@rn] [@justincormack])
- Kernel update to 4.17.7/4.14.56/4.9.113/4.4.141 ([linuxkit/linuxkit#3122] [@rn] [@justincormack])
- wireguard: upgrade to 0.0.20180718 ([linuxkit/linuxkit#3124] [@zx2c4] [@rn])
- Enable 'linuxkit build' with private repositories and registries ([linuxkit/linuxkit#3125] [@rn] [@ijc])
- memlogd/logwrite: use the same naming convention as init ([linuxkit/linuxkit#3126] [@djs55] [@rn] [@ijc])
- Update kernels to 4.17.8/4.17.9/4.14.57/4.9.114/4.4.142/4.4.143 ([linuxkit/linuxkit#3132] [@rn] [@ijc] [@justincormack])
- Fix mkimage- builds ([linuxkit/linuxkit#3134] [@rn] [@justincormack])
- Add kernel+iso output ([linuxkit/linuxkit#3135] [@rn] [@ijc])
- Allow external directories for 'linuxkit pkg build' ([linuxkit/linuxkit#3136] [@rn] [@ijc] [@justincormack])
- Kernel update to 4.17.10/4.14.58/4.9.115/4.4.144 ([linuxkit/linuxkit#3137] [@rn] [@justincormack])
- Release prep for v0.6 ([linuxkit/linuxkit#3138] [@rn] [@justincormack])
- Update version to v0.6+ ([linuxkit/linuxkit#3139] [@rn] [@justincormack])
- Fix #3091 enforce all outgoing tar files to use PAX ([linuxkit/linuxkit#3141] [@masterzen] [@justincormack])
- cmd/pkg: Fix symlink handling in pkg build context ([linuxkit/linuxkit#3143] [@rn] [@justincormack])

- Use PAX tar format ([moby/tool#216] [@justincormack] [@ijc] [@rn])

- Update LCOW ([linuxkit/lcow#30] [@rn] [@justincormack])
- Update OpenGCS ([linuxkit/lcow#31] [@rn] [@justincormack])
- Update components and rename 'bootx86.efi' to 'kernel' ([linuxkit/lcow#32] [@rn] [@mat007])

## Closed Issues:

- linuxkit initial make failed on Windows ([linuxkit/linuxkit#1863] [@tippexs])
- arm64: kernel 4.17 compile fails 'dangerous relocation: unsupported relocation' ([linuxkit/linuxkit#3057] [@rn])
- Docker daemon log taking up too much disk space ([linuxkit/linuxkit#3072] [@kevinbrink] [@rn] [@ijc] [@djs55])
- Update to alpine 3.8 ([linuxkit/linuxkit#3081] [@rn] [@justincormack])
- Question: Monitoring linuxkit  ([linuxkit/linuxkit#3083] [@scriptjs] [@hairyhenderson])
- Services containers don't report startup failure ([linuxkit/linuxkit#3087] [@masterzen] [@justincormack])
- linuxkit build cannot encode header ([linuxkit/linuxkit#3091] [@Gabology] [@rn] [@masterzen])
- Very slow boot on hardware without RDRAND support ([linuxkit/linuxkit#3096] [@hairyhenderson] [@justincormack] [@deitch] [@tjfontaine])
- Find alternative for SF trousers archive ([linuxkit/linuxkit#3097] [@rn])
- Review and update packages ([linuxkit/linuxkit#3099] [@rn] [@ijc])
- Improve linuxkit pkg build to be able to use external sources ([linuxkit/linuxkit#3108] [@rn] [@ijc] [@justincormack] [@deitch])
- Unable to connect to sshd on GCP ([linuxkit/linuxkit#3118] [@steeve])
- Kernel panic – linuxkit/kernel:4.14.55 ([linuxkit/linuxkit#3123] [@scriptjs] [@rn])
- Add base ISO output to 'linuxkit build' ([linuxkit/linuxkit#3133] [@rn] [@justincormack])
- linuxkit pkg build fails when it encounters broken symlinks ([linuxkit/linuxkit#3142] [@djs55] [@ijc] [@rn])

- Investigate and remove rootfsPropagation workaround ([linuxkit/kubernetes#73] [@ijc])

- cannot allocate memory error during build ([moby/tool#19] [@dave-tucker] [@justincormack] [@rn])
- ability to pull private images? ([moby/tool#104] [@djs55] [@justincormack])
- do not use OCI types in moby struct definition ([moby/tool#139] [@justincormack])
- gometalinter broken ([moby/tool#196] [@rn] [@justincormack] [@ijc])
- Enable 'moby build' for private repos ([moby/tool#202] [@rn] [@djs55])
- PAX tar format is not enforced for all files added to the final image ([moby/tool#218] [@masterzen] [@rn])

## New or updated PRs and Issues (not closed):

- Kernel 4.4.75/4.9.35 crash "unable to handle kernel paging request" in "sk_filter_uncharge" ([linuxkit/linuxkit#2156] [@rn] [@ijc] [@perlun] [@harryge00])
- boot hang on kernels >= 4.14.36 ([linuxkit/linuxkit#3032] [@kmjohansen] [@rn] [@ijc] [@justincormack] [@justinbarrick] [@hairyhenderson])
- Enable Wireless extensions in base kernel configs ([linuxkit/linuxkit#3092] [@singe])
- Run tests on baremetal linux ([linuxkit/linuxkit#3094] [@harryge00] [@rn])
- Enable building of bcc in kernel build ([linuxkit/linuxkit#3101] [@kmjohansen] [@justincormack] [@rn])
- Additional packages requested for alpine base ([linuxkit/linuxkit#3106] [@kmjohansen] [@rn])
- Command validation failing to throw error ([linuxkit/linuxkit#3110] [@scriptjs] [@justincormack] [@ijc])
- Improve logging ([linuxkit/linuxkit#3111] [@rn] [@justincormack] [@ijc])
- lcow: Slower pull times with newer kernels ([linuxkit/linuxkit#3120] [@rn] [@kmjohansen])
- Allow building with custom containerd repo ([linuxkit/linuxkit#3127] [@hairyhenderson])
- SMTP connection error with Linuxkit ([linuxkit/linuxkit#3128] [@sandeep510] [@justincormack])
- linuxkit run vmware -data and -data-file support ([linuxkit/linuxkit#3129] [@scriptjs] [@justincormack])
- linuxkit run vmware multiple -disk support  ([linuxkit/linuxkit#3130] [@scriptjs])
- DigitalOcean Support ([linuxkit/linuxkit#3131] [@Immortalin] [@justincormack] [@Sh4d1])
- Linuxkit virtualbox doesn't work with extra disks ([linuxkit/linuxkit#3140] [@masterzen])
- HTTP Error 404 running image in GCloud ([linuxkit/linuxkit#3144] [@bryonbaker])
- Cannot detect usable init system ([linuxkit/linuxkit#3145] [@bryonbaker] [@justincormack])
- Expose provider, url, retries and timeout as metadata options ([linuxkit/linuxkit#3146] [@scriptjs])
- raw-bios format creates incorrect partition type ([linuxkit/linuxkit#3147] [@medic15] [@deitch])
- Fix #218 enforce all outgoing tar files to use PAX ([moby/tool#219] [@masterzen])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/lcow#30]: https://github.com/linuxkit/lcow/pull/30
[linuxkit/lcow#31]: https://github.com/linuxkit/lcow/pull/31
[linuxkit/lcow#32]: https://github.com/linuxkit/lcow/pull/32
[linuxkit/linuxkit#3085]: https://github.com/linuxkit/linuxkit/pull/3085
[linuxkit/linuxkit#3086]: https://github.com/linuxkit/linuxkit/pull/3086
[linuxkit/linuxkit#3088]: https://github.com/linuxkit/linuxkit/pull/3088
[linuxkit/linuxkit#3089]: https://github.com/linuxkit/linuxkit/pull/3089
[linuxkit/linuxkit#3090]: https://github.com/linuxkit/linuxkit/pull/3090
[linuxkit/linuxkit#3093]: https://github.com/linuxkit/linuxkit/pull/3093
[linuxkit/linuxkit#3095]: https://github.com/linuxkit/linuxkit/pull/3095
[linuxkit/linuxkit#3098]: https://github.com/linuxkit/linuxkit/pull/3098
[linuxkit/linuxkit#3100]: https://github.com/linuxkit/linuxkit/pull/3100
[linuxkit/linuxkit#3102]: https://github.com/linuxkit/linuxkit/pull/3102
[linuxkit/linuxkit#3103]: https://github.com/linuxkit/linuxkit/pull/3103
[linuxkit/linuxkit#3104]: https://github.com/linuxkit/linuxkit/pull/3104
[linuxkit/linuxkit#3105]: https://github.com/linuxkit/linuxkit/pull/3105
[linuxkit/linuxkit#3107]: https://github.com/linuxkit/linuxkit/pull/3107
[linuxkit/linuxkit#3109]: https://github.com/linuxkit/linuxkit/pull/3109
[linuxkit/linuxkit#3112]: https://github.com/linuxkit/linuxkit/pull/3112
[linuxkit/linuxkit#3113]: https://github.com/linuxkit/linuxkit/pull/3113
[linuxkit/linuxkit#3114]: https://github.com/linuxkit/linuxkit/pull/3114
[linuxkit/linuxkit#3115]: https://github.com/linuxkit/linuxkit/pull/3115
[linuxkit/linuxkit#3116]: https://github.com/linuxkit/linuxkit/pull/3116
[linuxkit/linuxkit#3117]: https://github.com/linuxkit/linuxkit/pull/3117
[linuxkit/linuxkit#3119]: https://github.com/linuxkit/linuxkit/pull/3119
[linuxkit/linuxkit#3121]: https://github.com/linuxkit/linuxkit/pull/3121
[linuxkit/linuxkit#3122]: https://github.com/linuxkit/linuxkit/pull/3122
[linuxkit/linuxkit#3124]: https://github.com/linuxkit/linuxkit/pull/3124
[linuxkit/linuxkit#3125]: https://github.com/linuxkit/linuxkit/pull/3125
[linuxkit/linuxkit#3126]: https://github.com/linuxkit/linuxkit/pull/3126
[linuxkit/linuxkit#3132]: https://github.com/linuxkit/linuxkit/pull/3132
[linuxkit/linuxkit#3134]: https://github.com/linuxkit/linuxkit/pull/3134
[linuxkit/linuxkit#3135]: https://github.com/linuxkit/linuxkit/pull/3135
[linuxkit/linuxkit#3136]: https://github.com/linuxkit/linuxkit/pull/3136
[linuxkit/linuxkit#3137]: https://github.com/linuxkit/linuxkit/pull/3137
[linuxkit/linuxkit#3138]: https://github.com/linuxkit/linuxkit/pull/3138
[linuxkit/linuxkit#3139]: https://github.com/linuxkit/linuxkit/pull/3139
[linuxkit/linuxkit#3141]: https://github.com/linuxkit/linuxkit/pull/3141
[linuxkit/linuxkit#3143]: https://github.com/linuxkit/linuxkit/pull/3143
[moby/tool#216]: https://github.com/moby/tool/pull/216
[linuxkit/kubernetes#73]: https://github.com/linuxkit/kubernetes/issues/73
[linuxkit/linuxkit#1863]: https://github.com/linuxkit/linuxkit/issues/1863
[linuxkit/linuxkit#3057]: https://github.com/linuxkit/linuxkit/issues/3057
[linuxkit/linuxkit#3072]: https://github.com/linuxkit/linuxkit/issues/3072
[linuxkit/linuxkit#3081]: https://github.com/linuxkit/linuxkit/issues/3081
[linuxkit/linuxkit#3083]: https://github.com/linuxkit/linuxkit/issues/3083
[linuxkit/linuxkit#3087]: https://github.com/linuxkit/linuxkit/issues/3087
[linuxkit/linuxkit#3091]: https://github.com/linuxkit/linuxkit/issues/3091
[linuxkit/linuxkit#3096]: https://github.com/linuxkit/linuxkit/issues/3096
[linuxkit/linuxkit#3097]: https://github.com/linuxkit/linuxkit/issues/3097
[linuxkit/linuxkit#3099]: https://github.com/linuxkit/linuxkit/issues/3099
[linuxkit/linuxkit#3108]: https://github.com/linuxkit/linuxkit/issues/3108
[linuxkit/linuxkit#3118]: https://github.com/linuxkit/linuxkit/issues/3118
[linuxkit/linuxkit#3123]: https://github.com/linuxkit/linuxkit/issues/3123
[linuxkit/linuxkit#3133]: https://github.com/linuxkit/linuxkit/issues/3133
[linuxkit/linuxkit#3142]: https://github.com/linuxkit/linuxkit/issues/3142
[moby/tool#19]: https://github.com/moby/tool/issues/19
[moby/tool#104]: https://github.com/moby/tool/issues/104
[moby/tool#139]: https://github.com/moby/tool/issues/139
[moby/tool#196]: https://github.com/moby/tool/issues/196
[moby/tool#202]: https://github.com/moby/tool/issues/202
[moby/tool#218]: https://github.com/moby/tool/issues/218
[linuxkit/linuxkit#2156]: https://github.com/linuxkit/linuxkit/issues/2156
[linuxkit/linuxkit#3032]: https://github.com/linuxkit/linuxkit/issues/3032
[linuxkit/linuxkit#3092]: https://github.com/linuxkit/linuxkit/issues/3092
[linuxkit/linuxkit#3094]: https://github.com/linuxkit/linuxkit/issues/3094
[linuxkit/linuxkit#3101]: https://github.com/linuxkit/linuxkit/pull/3101
[linuxkit/linuxkit#3106]: https://github.com/linuxkit/linuxkit/issues/3106
[linuxkit/linuxkit#3110]: https://github.com/linuxkit/linuxkit/issues/3110
[linuxkit/linuxkit#3111]: https://github.com/linuxkit/linuxkit/issues/3111
[linuxkit/linuxkit#3120]: https://github.com/linuxkit/linuxkit/issues/3120
[linuxkit/linuxkit#3127]: https://github.com/linuxkit/linuxkit/pull/3127
[linuxkit/linuxkit#3128]: https://github.com/linuxkit/linuxkit/issues/3128
[linuxkit/linuxkit#3129]: https://github.com/linuxkit/linuxkit/issues/3129
[linuxkit/linuxkit#3130]: https://github.com/linuxkit/linuxkit/issues/3130
[linuxkit/linuxkit#3131]: https://github.com/linuxkit/linuxkit/issues/3131
[linuxkit/linuxkit#3140]: https://github.com/linuxkit/linuxkit/issues/3140
[linuxkit/linuxkit#3144]: https://github.com/linuxkit/linuxkit/issues/3144
[linuxkit/linuxkit#3145]: https://github.com/linuxkit/linuxkit/issues/3145
[linuxkit/linuxkit#3146]: https://github.com/linuxkit/linuxkit/issues/3146
[linuxkit/linuxkit#3147]: https://github.com/linuxkit/linuxkit/issues/3147
[moby/tool#219]: https://github.com/moby/tool/pull/219
[@sandeep510]: https://github.com/sandeep510
[@perlun]: https://github.com/perlun
[@justinbarrick]: https://github.com/justinbarrick
[@spgennard]: https://github.com/spgennard
[@justincormack]: https://github.com/justincormack
[@richardj-bsquare]: https://github.com/richardj-bsquare
[@Ricordel]: https://github.com/Ricordel
[@bryonbaker]: https://github.com/bryonbaker
[@zx2c4]: https://github.com/zx2c4
[@hairyhenderson]: https://github.com/hairyhenderson
[@Immortalin]: https://github.com/Immortalin
[@medic15]: https://github.com/medic15
[@TiejunChina]: https://github.com/TiejunChina
[@alanraison]: https://github.com/alanraison
[@pnik073]: https://github.com/pnik073
[@scriptjs]: https://github.com/scriptjs
[@Gabology]: https://github.com/Gabology
[@harryge00]: https://github.com/harryge00
[@ijc]: https://github.com/ijc
[@mat007]: https://github.com/mat007
[@logicminds]: https://github.com/logicminds
[@kmjohansen]: https://github.com/kmjohansen
[@steeve]: https://github.com/steeve
[@arm64b]: https://github.com/arm64b
[@dave-tucker]: https://github.com/dave-tucker
[@deitch]: https://github.com/deitch
[@Sh4d1]: https://github.com/Sh4d1
[@eyz]: https://github.com/eyz
[@tjfontaine]: https://github.com/tjfontaine
[@kevinbrink]: https://github.com/kevinbrink
[@singe]: https://github.com/singe
[@tippexs]: https://github.com/tippexs
[@solvingj]: https://github.com/solvingj
[@rn]: https://github.com/rn
[@djs55]: https://github.com/djs55
[@masterzen]: https://github.com/masterzen
