# Report for 2018-08-01 to 2018-08-31

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] repositories. There were 122 contributions (PRs/Issues/Comments) from 24 individual contributors. 19 new PRs were opened and 17 PRs were merged. 8 new issues were opened and 4 issues were closed.

August was relatively slow on the development side due to summer holidays. Nevertheless, we merged support for the BCC eBPF tools and tweaked the kernel configuration to improve container startup times for 4.14.x and newer kernels. We also added support for the recently released 4.18 kernels. The kernel updates and Intel ucode updates include important mitigations to yet more speculation issues (L1TF in this case). `containerd` was updated to v1.1.3, the `-rt` kernels to 4.14.63-rt40, WireGuard to 0.0.20180809, and the Docker DinD sample to 18.06.0-ce. The VirtualBox now supports multiple disks and network adapters.

## Merged PRs:

- Enable building of bcc in kernel build ([linuxkit/linuxkit#3101] [@kmjohansen] [@rn] [@justincormack])
- Enhance `run vbox` to support multiple disks and network adapters ([linuxkit/linuxkit#3148] [@masterzen] [@justincormack])
- update -rt to 4.14.59-rt37 ([linuxkit/linuxkit#3149] [@TiejunChina] [@rn])
- Update the vendoring of virtsock ([linuxkit/linuxkit#3150] [@djs55] [@justincormack] [@rn])
- wireguard: upgrade to 0.0.20180802 ([linuxkit/linuxkit#3151] [@zx2c4] [@rn])
- Update kernels up to 4.17.14/414/62/4.9.119/4.4.147 ([linuxkit/linuxkit#3155] [@rn] [@justincormack])
- July 2018 report ([linuxkit/linuxkit#3156] [@rn] [@justincormack])
- wireguard: upgrade to 0.0.20180809 ([linuxkit/linuxkit#3157] [@zx2c4] [@rn])
- Update all uses of DinD to 18.06.0-ce ([linuxkit/linuxkit#3158] [@rn] [@thaJeztah] [@justincormack])
- Improve docker container startup times on 4.14, 4.17, and 4.18 ([linuxkit/linuxkit#3160] [@kmjohansen] [@rn])
- Update and fix compose project ([linuxkit/linuxkit#3162] [@deitch] [@rn])
- Update kernels, Intel ucode and add 4.18.x kernels ([linuxkit/linuxkit#3163] [@rn] [@ijc])
- Fix typo in examples/docker-for-mac.md ([linuxkit/linuxkit#3164] [@l0rd] [@rn])
- Update docker for mac sample to use iso-efi format ([linuxkit/linuxkit#3166] [@l0rd] [@rn])
- update -rt to 4.14.63-rt40 ([linuxkit/linuxkit#3169] [@TiejunChina] [@rn])
- Containerd v1.1.3 ([linuxkit/linuxkit#3171] [@ijc] [@justincormack] [@rn])

- Describe how to register Hyper-V socket GUIDs on Windows ([linuxkit/virtsock#62] [@djs55] [@justincormack] [@ijc])

## Closed Issues:

- Linuxkit virtualbox doesn't work with extra disks ([linuxkit/linuxkit#3140] [@masterzen])
- AWS support on Win2016 server ([linuxkit/linuxkit#3152] [@pnik073] [@rn] [@justincormack])
- Fail to run examples/docker-for-mac ([linuxkit/linuxkit#3165] [@l0rd] [@rn])
- Linuxkit getty password login is not working  ([linuxkit/linuxkit#3167] [@micemuni] [@deitch])

## New or updated PRs and Issues (not closed):

- USER instruction appears to be ignored for LCOW ([linuxkit/lcow#25] [@solvingj] [@spgennard])

- improve handling of ISO boot media ([linuxkit/linuxkit#2375] [@justincormack] [@deitch] [@arm64b] [@rn] [@logicminds])
- How best to share docker service with getty service (my solution: is it good practice)? ([linuxkit/linuxkit#2570] [@richardj-bsquare] [@justincormack] [@eyz])
- Switch kernel build to `linuxkit pkg` ([linuxkit/linuxkit#2583] [@ijc] [@rn])
- Failed to extract root filesystem in linuxkit/kernel:4.9.89  ([linuxkit/linuxkit#3015] [@micemuni] [@rn] [@justincormack] [@ragurakesh])
- boot hang on kernels >= 4.14.36 ([linuxkit/linuxkit#3032] [@kmjohansen] [@ijc] [@justincormack] [@justinbarrick] [@hairyhenderson] [@rn])
- lcow: Slower pull times with newer kernels ([linuxkit/linuxkit#3120] [@rn] [@kmjohansen])
- DigitalOcean Support ([linuxkit/linuxkit#3131] [@Immortalin] [@Sh4d1] [@justincormack])
- Cannot detect usable init system ([linuxkit/linuxkit#3145] [@bryonbaker] [@justincormack])
- raw-bios format creates incorrect partition type ([linuxkit/linuxkit#3147] [@medic15] [@deitch])
- Incorrect initrd when one of "init" images contains a `/lib` that is a symlink ([linuxkit/linuxkit#3153] [@Ricordel] [@justincormack])
- cannot boot from usb iso image on bare metal  ([linuxkit/linuxkit#3154] [@logicminds] [@rn] [@ijc] [@tjfontaine])
- linuxkit pkg build --force is falling in mac os ([linuxkit/linuxkit#3159] [@eddytrex] [@justincormack] [@rn])
- ceph and rbd-nbd packages broken ([linuxkit/linuxkit#3161] [@ebriney])
- Use containerd restart manager to monitor services ([linuxkit/linuxkit#3168] [@kkroo] [@ijc])
- Update kernels up to 4.18.5/4,17.19/4.14.67/4.9.124/4.4.152 ([linuxkit/linuxkit#3170] [@rn] [@justincormack])
- Enable network CAN flag (SocketCAN) ([linuxkit/linuxkit#3172] [@duraki])
- Enable CAN networking subsystem ([linuxkit/linuxkit#3173] [@duraki] [@hartkopp])

- Fix #218 enforce all outgoing tar files to use PAX ([moby/tool#219] [@masterzen])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/linuxkit#3101]: https://github.com/linuxkit/linuxkit/pull/3101
[linuxkit/linuxkit#3148]: https://github.com/linuxkit/linuxkit/pull/3148
[linuxkit/linuxkit#3149]: https://github.com/linuxkit/linuxkit/pull/3149
[linuxkit/linuxkit#3150]: https://github.com/linuxkit/linuxkit/pull/3150
[linuxkit/linuxkit#3151]: https://github.com/linuxkit/linuxkit/pull/3151
[linuxkit/linuxkit#3155]: https://github.com/linuxkit/linuxkit/pull/3155
[linuxkit/linuxkit#3156]: https://github.com/linuxkit/linuxkit/pull/3156
[linuxkit/linuxkit#3157]: https://github.com/linuxkit/linuxkit/pull/3157
[linuxkit/linuxkit#3158]: https://github.com/linuxkit/linuxkit/pull/3158
[linuxkit/linuxkit#3160]: https://github.com/linuxkit/linuxkit/pull/3160
[linuxkit/linuxkit#3162]: https://github.com/linuxkit/linuxkit/pull/3162
[linuxkit/linuxkit#3163]: https://github.com/linuxkit/linuxkit/pull/3163
[linuxkit/linuxkit#3164]: https://github.com/linuxkit/linuxkit/pull/3164
[linuxkit/linuxkit#3166]: https://github.com/linuxkit/linuxkit/pull/3166
[linuxkit/linuxkit#3169]: https://github.com/linuxkit/linuxkit/pull/3169
[linuxkit/linuxkit#3171]: https://github.com/linuxkit/linuxkit/pull/3171
[linuxkit/virtsock#62]: https://github.com/linuxkit/virtsock/pull/62
[linuxkit/linuxkit#3140]: https://github.com/linuxkit/linuxkit/issues/3140
[linuxkit/linuxkit#3152]: https://github.com/linuxkit/linuxkit/issues/3152
[linuxkit/linuxkit#3165]: https://github.com/linuxkit/linuxkit/issues/3165
[linuxkit/linuxkit#3167]: https://github.com/linuxkit/linuxkit/issues/3167
[linuxkit/lcow#25]: https://github.com/linuxkit/lcow/issues/25
[linuxkit/linuxkit#2375]: https://github.com/linuxkit/linuxkit/issues/2375
[linuxkit/linuxkit#2570]: https://github.com/linuxkit/linuxkit/issues/2570
[linuxkit/linuxkit#2583]: https://github.com/linuxkit/linuxkit/issues/2583
[linuxkit/linuxkit#3015]: https://github.com/linuxkit/linuxkit/issues/3015
[linuxkit/linuxkit#3032]: https://github.com/linuxkit/linuxkit/issues/3032
[linuxkit/linuxkit#3120]: https://github.com/linuxkit/linuxkit/issues/3120
[linuxkit/linuxkit#3131]: https://github.com/linuxkit/linuxkit/issues/3131
[linuxkit/linuxkit#3145]: https://github.com/linuxkit/linuxkit/issues/3145
[linuxkit/linuxkit#3147]: https://github.com/linuxkit/linuxkit/issues/3147
[linuxkit/linuxkit#3153]: https://github.com/linuxkit/linuxkit/issues/3153
[linuxkit/linuxkit#3154]: https://github.com/linuxkit/linuxkit/issues/3154
[linuxkit/linuxkit#3159]: https://github.com/linuxkit/linuxkit/issues/3159
[linuxkit/linuxkit#3161]: https://github.com/linuxkit/linuxkit/issues/3161
[linuxkit/linuxkit#3168]: https://github.com/linuxkit/linuxkit/pull/3168
[linuxkit/linuxkit#3170]: https://github.com/linuxkit/linuxkit/pull/3170
[linuxkit/linuxkit#3172]: https://github.com/linuxkit/linuxkit/issues/3172
[linuxkit/linuxkit#3173]: https://github.com/linuxkit/linuxkit/pull/3173
[moby/tool#219]: https://github.com/moby/tool/pull/219
[@rn]: https://github.com/rn
[@hartkopp]: https://github.com/hartkopp
[@justincormack]: https://github.com/justincormack
[@w9n]: https://github.com/w9n
[@Sh4d1]: https://github.com/Sh4d1
[@eyz]: https://github.com/eyz
[@ijc]: https://github.com/ijc
[@TiejunChina]: https://github.com/TiejunChina
[@justinbarrick]: https://github.com/justinbarrick
[@medic15]: https://github.com/medic15
[@duraki]: https://github.com/duraki
[@masterzen]: https://github.com/masterzen
[@asbjornenge]: https://github.com/asbjornenge
[@scriptjs]: https://github.com/scriptjs
[@kmjohansen]: https://github.com/kmjohansen
[@deitch]: https://github.com/deitch
[@eddytrex]: https://github.com/eddytrex
[@ragurakesh]: https://github.com/ragurakesh
[@richardj-bsquare]: https://github.com/richardj-bsquare
[@arm64b]: https://github.com/arm64b
[@l0rd]: https://github.com/l0rd
[@hairyhenderson]: https://github.com/hairyhenderson
[@bryonbaker]: https://github.com/bryonbaker
[@kkroo]: https://github.com/kkroo
[@thaJeztah]: https://github.com/thaJeztah
[@zx2c4]: https://github.com/zx2c4
[@pnik073]: https://github.com/pnik073
[@logicminds]: https://github.com/logicminds
[@micemuni]: https://github.com/micemuni
[@Immortalin]: https://github.com/Immortalin
[@solvingj]: https://github.com/solvingj
[@spgennard]: https://github.com/spgennard
[@djs55]: https://github.com/djs55
[@ebriney]: https://github.com/ebriney
[@tjfontaine]: https://github.com/tjfontaine
[@Ricordel]: https://github.com/Ricordel
