# Report for 2018-09-01 to 2018-09-30

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] repositories. There were 71 contributions (PRs/Issues/Comments) from 18 individual contributors. 15 new PRs were opened and 13 PRs were merged. 4 new issues were opened and 6 issues were closed.

Apart from the usual kernel updates, we updated `containerd` to v1.1.4 an WireGuard to 0.0.20180918. There were also some fixes to the `linuxkit` tooling for Windows.

## Merged PRs:

- Update kernels up to 4.18.5/4,17.19/4.14.67/4.9.124/4.4.152 ([linuxkit/linuxkit#3170] [@rn] [@justincormack])
- EOL 4.17.x, update to 4.4.153, fix BCC build ([linuxkit/linuxkit#3175] [@rn] [@justincormack])
- Add August 2018 development report ([linuxkit/linuxkit#3176] [@rn] [@justincormack])
- wireguard: upgrade to 0.0.20180904 ([linuxkit/linuxkit#3177] [@zx2c4] [@justincormack] [@rn])
- Update kernels to 4.18.6/4.14.68/4.9.125/4.4.154 ([linuxkit/linuxkit#3182] [@rn] [@justincormack])
- Fix relative path under Windows ([linuxkit/linuxkit#3183] [@mat007] [@justincormack] [@ijc])
- Fix path separator on Windows ([linuxkit/linuxkit#3184] [@mat007] [@rn])
- wireguard: upgrade to 0.0.20180910 ([linuxkit/linuxkit#3185] [@zx2c4] [@rn])
- Update kernels to 4.18.8/4.14.70/4.9.127/4.4.156 ([linuxkit/linuxkit#3186] [@rn] [@justincormack])
- wireguard: upgrade to 0.0.20180918 ([linuxkit/linuxkit#3187] [@zx2c4] [@rn])
- Update kernels to 4.18.9/4.14.71/4.9.128/4.4.157 ([linuxkit/linuxkit#3189] [@rn] [@justincormack])
- Containerd v1.1.4 ([linuxkit/linuxkit#3190] [@ijc] [@justincormack])
- Kernel update to 4.18.10/4.14.72/4.9.129/4.4.158 ([linuxkit/linuxkit#3191] [@rn] [@ijc])

## Closed Issues:

- Use non-hub images ([linuxkit/kubernetes#85] [@dnascimento])

- switch to Alpine Edge again? ([linuxkit/linuxkit#2922] [@justincormack] [@rn])
- Building an image with with a private repository fails with `Error response from daemon: unknown: User UserId` ([linuxkit/linuxkit#2954] [@kojustin] [@rn])
- Additional packages requested for alpine base ([linuxkit/linuxkit#3106] [@kmjohansen] [@rn])
- ceph and rbd-nbd packages broken ([linuxkit/linuxkit#3161] [@ebriney] [@rn])
- private docker repo (non-hub repo) ([linuxkit/linuxkit#3188] [@dnascimento] [@justincormack] [@hairyhenderson])

## New or updated PRs and Issues (not closed):

- Add scaleway support ([linuxkit/linuxkit#2487] [@yangm97] [@rn] [@justincormack] [@Sh4d1])
- TLS Handshake fails from docker container on gce ([linuxkit/linuxkit#2496] [@w9n] [@justincormack] [@asbjornenge])
- Need to pull log files in Linuxkit based OS ([linuxkit/linuxkit#3031] [@FortuneLenovo] [@rn])
- Kernel 4.14.48 does not accept input on GCE ([linuxkit/linuxkit#3067] [@Gabology] [@rn])
- DigitalOcean Support ([linuxkit/linuxkit#3131] [@Immortalin] [@justincormack] [@Sh4d1] [@douglasmiranda] [@SvenDowideit] [@gianarb])
- Cannot detect usable init system ([linuxkit/linuxkit#3145] [@bryonbaker] [@justincormack] [@asbjornenge])
- Incorrect initrd when one of "init" images contains a `/lib` that is a symlink ([linuxkit/linuxkit#3153] [@Ricordel] [@justincormack] [@rn])
- cannot boot from usb iso image on bare metal  ([linuxkit/linuxkit#3154] [@logicminds] [@jcudit] [@rn] [@ijc] [@tjfontaine] [@8837726])
- linuxkit pkg build --force is falling in mac os ([linuxkit/linuxkit#3159] [@eddytrex] [@justincormack] [@rn])
- Enable CAN networking subsystem ([linuxkit/linuxkit#3173] [@duraki] [@hartkopp])
- 4.9.x: backport multicast fixes ([linuxkit/linuxkit#3174] [@djs55] [@rn])
- Remove the Qemu in Docker functionality ([linuxkit/linuxkit#3178] [@justincormack])
- [WIP] Add TPM2 random number generator support ([linuxkit/linuxkit#3179] [@justincormack])
- remove linuxkit output type for aws and qcow-bios ([linuxkit/linuxkit#3180] [@justincormack])
- Occasionally `linuxkit build` builds fail to contact notary.docker.io ([linuxkit/linuxkit#3181] [@kojustin] [@rn] [@justincormack])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/linuxkit#3170]: https://github.com/linuxkit/linuxkit/pull/3170
[linuxkit/linuxkit#3175]: https://github.com/linuxkit/linuxkit/pull/3175
[linuxkit/linuxkit#3176]: https://github.com/linuxkit/linuxkit/pull/3176
[linuxkit/linuxkit#3177]: https://github.com/linuxkit/linuxkit/pull/3177
[linuxkit/linuxkit#3182]: https://github.com/linuxkit/linuxkit/pull/3182
[linuxkit/linuxkit#3183]: https://github.com/linuxkit/linuxkit/pull/3183
[linuxkit/linuxkit#3184]: https://github.com/linuxkit/linuxkit/pull/3184
[linuxkit/linuxkit#3185]: https://github.com/linuxkit/linuxkit/pull/3185
[linuxkit/linuxkit#3186]: https://github.com/linuxkit/linuxkit/pull/3186
[linuxkit/linuxkit#3187]: https://github.com/linuxkit/linuxkit/pull/3187
[linuxkit/linuxkit#3189]: https://github.com/linuxkit/linuxkit/pull/3189
[linuxkit/linuxkit#3190]: https://github.com/linuxkit/linuxkit/pull/3190
[linuxkit/linuxkit#3191]: https://github.com/linuxkit/linuxkit/pull/3191
[linuxkit/kubernetes#85]: https://github.com/linuxkit/kubernetes/issues/85
[linuxkit/linuxkit#2922]: https://github.com/linuxkit/linuxkit/issues/2922
[linuxkit/linuxkit#2954]: https://github.com/linuxkit/linuxkit/issues/2954
[linuxkit/linuxkit#3106]: https://github.com/linuxkit/linuxkit/issues/3106
[linuxkit/linuxkit#3161]: https://github.com/linuxkit/linuxkit/issues/3161
[linuxkit/linuxkit#3188]: https://github.com/linuxkit/linuxkit/issues/3188
[linuxkit/linuxkit#2487]: https://github.com/linuxkit/linuxkit/issues/2487
[linuxkit/linuxkit#2496]: https://github.com/linuxkit/linuxkit/issues/2496
[linuxkit/linuxkit#3031]: https://github.com/linuxkit/linuxkit/issues/3031
[linuxkit/linuxkit#3067]: https://github.com/linuxkit/linuxkit/issues/3067
[linuxkit/linuxkit#3131]: https://github.com/linuxkit/linuxkit/issues/3131
[linuxkit/linuxkit#3145]: https://github.com/linuxkit/linuxkit/issues/3145
[linuxkit/linuxkit#3153]: https://github.com/linuxkit/linuxkit/issues/3153
[linuxkit/linuxkit#3154]: https://github.com/linuxkit/linuxkit/issues/3154
[linuxkit/linuxkit#3159]: https://github.com/linuxkit/linuxkit/issues/3159
[linuxkit/linuxkit#3173]: https://github.com/linuxkit/linuxkit/pull/3173
[linuxkit/linuxkit#3174]: https://github.com/linuxkit/linuxkit/pull/3174
[linuxkit/linuxkit#3178]: https://github.com/linuxkit/linuxkit/pull/3178
[linuxkit/linuxkit#3179]: https://github.com/linuxkit/linuxkit/pull/3179
[linuxkit/linuxkit#3180]: https://github.com/linuxkit/linuxkit/issues/3180
[linuxkit/linuxkit#3181]: https://github.com/linuxkit/linuxkit/issues/3181
[@KumarShrawan]: https://github.com/KumarShrawan
[@Gabology]: https://github.com/Gabology
[@singe]: https://github.com/singe
[@mat007]: https://github.com/mat007
[@Sh4d1]: https://github.com/Sh4d1
[@gianarb]: https://github.com/gianarb
[@harryge00]: https://github.com/harryge00
[@FortuneLenovo]: https://github.com/FortuneLenovo
[@tjfontaine]: https://github.com/tjfontaine
[@yangm97]: https://github.com/yangm97
[@dnascimento]: https://github.com/dnascimento
[@kmjohansen]: https://github.com/kmjohansen
[@w9n]: https://github.com/w9n
[@medic15]: https://github.com/medic15
[@hartkopp]: https://github.com/hartkopp
[@douglasmiranda]: https://github.com/douglasmiranda
[@8837726]: https://github.com/8837726
[@jcudit]: https://github.com/jcudit
[@SvenDowideit]: https://github.com/SvenDowideit
[@ebriney]: https://github.com/ebriney
[@hairyhenderson]: https://github.com/hairyhenderson
[@justincormack]: https://github.com/justincormack
[@logicminds]: https://github.com/logicminds
[@scriptjs]: https://github.com/scriptjs
[@rn]: https://github.com/rn
[@zx2c4]: https://github.com/zx2c4
[@duraki]: https://github.com/duraki
[@deitch]: https://github.com/deitch
[@Immortalin]: https://github.com/Immortalin
[@kojustin]: https://github.com/kojustin
[@scher200]: https://github.com/scher200
[@justinbarrick]: https://github.com/justinbarrick
[@ijc]: https://github.com/ijc
[@djs55]: https://github.com/djs55
[@asbjornenge]: https://github.com/asbjornenge
[@bryonbaker]: https://github.com/bryonbaker
[@Ricordel]: https://github.com/Ricordel
[@eddytrex]: https://github.com/eddytrex
