# Report for 2018-10-01 to 2018-10-31

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] [moby/tool] repositories. There were 99 contributions (PRs/Issues/Comments) from 25 individual contributors. 19 new PRs were opened and 17 PRs were merged. 9 new issues were opened and 22 issues were closed.

We added initial support for 4.19 kernels, which are slated to become the next LTS kernel. Support for the 4.18.x kernels was removed for arm64 and s390x. `containerd` was updated to v1.2.0 and WireGuard to 0.0.20181018. There were also a number of fixes for the GCP support and some minor improvements to `linuxkit build`.

We closed/archived the [moby/tool] repository as the code has been moved to [linuxkit/linuxkit].

## Merged PRs:

- September 2018 development report ([linuxkit/linuxkit#3192] [@rn] [@justincormack])
- Kernel update to 4.18.11/4.14.73/4.9.130/4.4.159 ([linuxkit/linuxkit#3193] [@rn] [@justincormack])
- Kernel update to 4.18.12/4.14.74/4.9.131 ([linuxkit/linuxkit#3194] [@rn] [@justincormack])
- wireguard: upgrade to 0.0.20181006 ([linuxkit/linuxkit#3196] [@zx2c4] [@rn])
- update -rt ([linuxkit/linuxkit#3198] [@TiejunChina] [@rn])
- README: add the LinuxKit Nix project ([linuxkit/linuxkit#3199] [@zimbatm] [@justincormack])
- GCP: validate project name ([linuxkit/linuxkit#3202] [@ebriand] [@rn] [@justincormack])
- Fix golint on circleci and GCP testing ([linuxkit/linuxkit#3203] [@justincormack] [@rn])
- wireguard: upgrade to 0.0.20181018 ([linuxkit/linuxkit#3206] [@zx2c4] [@rn])
- Update Authors ([linuxkit/linuxkit#3208] [@justincormack] [@rn])
- Kernel update to 4.18.16/4.14.78/4.9.135/4.4.162 ([linuxkit/linuxkit#3210] [@rn] [@justincormack])
- Add 4.19 kernels (and remove 4.18 for arm64 and s390x) ([linuxkit/linuxkit#3211] [@rn] [@ijc] [@justincormack])
- containerd v1.2.0 ([linuxkit/linuxkit#3212] [@ijc] [@rn] [@justincormack])
- build: Don't create empty kernel/cmdline files ([linuxkit/linuxkit#3213] [@rn] [@justincormack])
- Update crosvm ([linuxkit/linuxkit#3214] [@rn] [@justincormack])
- Archive this repository as now merged into LinuxKit ([moby/tool#221] [@justincormack] [@cpuguy83] [@thaJeztah])
- Add 0.6 release ([linuxkit/homebrew-linuxkit#16] [@ebriand] [@justincormack])

## Closed Issues:

- Failed to extract root filesystem in linuxkit/kernel:4.9.89  ([linuxkit/linuxkit#3015] [@micemuni] [@justincormack] [@ragurakesh] [@rn])
- Unable to connect to nginx in linuxkit  ([linuxkit/linuxkit#3195] [@jayakumarn] [@rn])

- Selection of architecture in config ([moby/tool#38] [@mor1] [@justincormack])
- generate an error of trust section list packages not used ([moby/tool#50] [@rn] [@riyazdf])
- generate ISOs directly from Go ([moby/tool#52] [@justincormack])
- trust key pinning ([moby/tool#63] [@riyazdf] [@justincormack])
- trust failure has unhelpful message ([moby/tool#64] [@justincormack] [@riyazdf])
- Composition patterns for Moby tool ([moby/tool#92] [@deitch] [@justincormack] [@richardj-bsquare])
- ability to override the images in a configuration file ([moby/tool#95] [@dave-tucker] [@justincormack] [@MagnusS])
- [RFC] Add support for an option .mobytags file ([moby/tool#101] [@rn] [@riyazdf] [@justincormack] [@deitch] [@dave-tucker])
- [RFC] indicate moby version in yml and image ([moby/tool#106] [@deitch] [@justincormack] [@ijc])
- Add Windows CI ([moby/tool#118] [@justincormack])
- Add support for efi disk ([moby/tool#121] [@deitch] [@justincormack] [@ijc])
- build without docker ([moby/tool#127] [@justincormack])
- the output config does not include info from image ([moby/tool#131] [@justincormack])
- Optionally add `vmlinux` to output ([moby/tool#133] [@rn] [@justincormack])
- support multi arch properly ([moby/tool#136] [@justincormack] [@rn])
- moby licenses cli option ([moby/tool#147] [@justincormack] [@ijc])
- Create docker image for moby tool ([moby/tool#148] [@seemethere] [@justincormack] [@xtuc])
- Custom /etc/hosts and /etc/resolv.conf files ([moby/tool#161] [@xtuc] [@justincormack])
- Ability to use variables in Linuxkit configuration? ([moby/tool#163] [@xtuc] [@ijc] [@mmariani] [@justincormack])
- Archive this repo with link to linuxkit? ([moby/tool#220] [@AkihiroSuda] [@thaJeztah] [@cpuguy83] [@justincormack])

## New or updated PRs and Issues (not closed):

- Address Space Layout Randomization and Position Independent Executables ([linuxkit/linuxkit#1902] [@fntlnz] [@rn] [@joeabbey] [@riyazdf] [@justincormack])
- boot hang on kernels >= 4.14.36 ([linuxkit/linuxkit#3032] [@kmjohansen] [@ijc] [@justincormack] [@justinbarrick] [@hairyhenderson] [@scriptjs] [@rn])
- Very slow boot on hardware without RDRAND support ([linuxkit/linuxkit#3096] [@hairyhenderson] [@KumarShrawan] [@justincormack] [@deitch] [@tjfontaine])
- cannot boot from usb iso image on bare metal  ([linuxkit/linuxkit#3154] [@logicminds] [@rn] [@ijc] [@tjfontaine] [@8837726] [@jcudit])
- linuxkit pkg build --force is falling in mac os ([linuxkit/linuxkit#3159] [@eddytrex] [@rn] [@justincormack] [@monsterzz])
- GCP PUSH: Fix typo and add error message when project is missing ([linuxkit/linuxkit#3197] [@pyaillet] [@justincormack] [@rn])
- Stdout from linuxkit not having EOF ([linuxkit/linuxkit#3200] [@jayakumarn] [@justincormack])
- Create a bpftrace package ([linuxkit/linuxkit#3201] [@rn])
- why linuxkit VM machine is asking to init swarm after reboot ([linuxkit/linuxkit#3204] [@micemuni] [@justincormack])
- Missing s390x in the switch for qemu Dockerfile ([linuxkit/linuxkit#3205] [@alicefr])
- Cannot build LCOW image on Windows with nightly Docker installed ([linuxkit/linuxkit#3207] [@Iristyle] [@justincormack])
- Run LinuxKit in Hyper-V nested in Windows 10 VMware ([linuxkit/linuxkit#3209] [@StefanScherer] [@robrich] [@embusalacchi] [@justincormack] [@rn])
- And an option to extract a uncompress linux kernel image ([linuxkit/linuxkit#3215] [@rn])
- go get fails ([linuxkit/linuxkit#3216] [@montao] [@justincormack])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/homebrew-linuxkit#16]: https://github.com/linuxkit/homebrew-linuxkit/pull/16
[linuxkit/linuxkit#3192]: https://github.com/linuxkit/linuxkit/pull/3192
[linuxkit/linuxkit#3193]: https://github.com/linuxkit/linuxkit/pull/3193
[linuxkit/linuxkit#3194]: https://github.com/linuxkit/linuxkit/pull/3194
[linuxkit/linuxkit#3196]: https://github.com/linuxkit/linuxkit/pull/3196
[linuxkit/linuxkit#3198]: https://github.com/linuxkit/linuxkit/pull/3198
[linuxkit/linuxkit#3199]: https://github.com/linuxkit/linuxkit/pull/3199
[linuxkit/linuxkit#3202]: https://github.com/linuxkit/linuxkit/pull/3202
[linuxkit/linuxkit#3203]: https://github.com/linuxkit/linuxkit/pull/3203
[linuxkit/linuxkit#3206]: https://github.com/linuxkit/linuxkit/pull/3206
[linuxkit/linuxkit#3208]: https://github.com/linuxkit/linuxkit/pull/3208
[linuxkit/linuxkit#3210]: https://github.com/linuxkit/linuxkit/pull/3210
[linuxkit/linuxkit#3211]: https://github.com/linuxkit/linuxkit/pull/3211
[linuxkit/linuxkit#3212]: https://github.com/linuxkit/linuxkit/pull/3212
[linuxkit/linuxkit#3213]: https://github.com/linuxkit/linuxkit/pull/3213
[linuxkit/linuxkit#3214]: https://github.com/linuxkit/linuxkit/pull/3214
[moby/tool#221]: https://github.com/moby/tool/pull/221
[linuxkit/linuxkit#3015]: https://github.com/linuxkit/linuxkit/issues/3015
[linuxkit/linuxkit#3195]: https://github.com/linuxkit/linuxkit/issues/3195
[moby/tool#38]: https://github.com/moby/tool/issues/38
[moby/tool#50]: https://github.com/moby/tool/issues/50
[moby/tool#52]: https://github.com/moby/tool/issues/52
[moby/tool#63]: https://github.com/moby/tool/issues/63
[moby/tool#64]: https://github.com/moby/tool/issues/64
[moby/tool#92]: https://github.com/moby/tool/issues/92
[moby/tool#95]: https://github.com/moby/tool/issues/95
[moby/tool#101]: https://github.com/moby/tool/issues/101
[moby/tool#106]: https://github.com/moby/tool/issues/106
[moby/tool#118]: https://github.com/moby/tool/issues/118
[moby/tool#121]: https://github.com/moby/tool/issues/121
[moby/tool#127]: https://github.com/moby/tool/issues/127
[moby/tool#131]: https://github.com/moby/tool/issues/131
[moby/tool#133]: https://github.com/moby/tool/issues/133
[moby/tool#136]: https://github.com/moby/tool/issues/136
[moby/tool#147]: https://github.com/moby/tool/issues/147
[moby/tool#148]: https://github.com/moby/tool/issues/148
[moby/tool#161]: https://github.com/moby/tool/issues/161
[moby/tool#163]: https://github.com/moby/tool/issues/163
[moby/tool#220]: https://github.com/moby/tool/issues/220
[linuxkit/linuxkit#1902]: https://github.com/linuxkit/linuxkit/issues/1902
[linuxkit/linuxkit#3032]: https://github.com/linuxkit/linuxkit/issues/3032
[linuxkit/linuxkit#3096]: https://github.com/linuxkit/linuxkit/issues/3096
[linuxkit/linuxkit#3154]: https://github.com/linuxkit/linuxkit/issues/3154
[linuxkit/linuxkit#3159]: https://github.com/linuxkit/linuxkit/issues/3159
[linuxkit/linuxkit#3197]: https://github.com/linuxkit/linuxkit/pull/3197
[linuxkit/linuxkit#3200]: https://github.com/linuxkit/linuxkit/issues/3200
[linuxkit/linuxkit#3201]: https://github.com/linuxkit/linuxkit/issues/3201
[linuxkit/linuxkit#3204]: https://github.com/linuxkit/linuxkit/issues/3204
[linuxkit/linuxkit#3205]: https://github.com/linuxkit/linuxkit/pull/3205
[linuxkit/linuxkit#3207]: https://github.com/linuxkit/linuxkit/issues/3207
[linuxkit/linuxkit#3209]: https://github.com/linuxkit/linuxkit/issues/3209
[linuxkit/linuxkit#3215]: https://github.com/linuxkit/linuxkit/issues/3215
[linuxkit/linuxkit#3216]: https://github.com/linuxkit/linuxkit/issues/3216
[@alicefr]: https://github.com/alicefr
[@TiejunChina]: https://github.com/TiejunChina
[@robrich]: https://github.com/robrich
[@Iristyle]: https://github.com/Iristyle
[@micemuni]: https://github.com/micemuni
[@scriptjs]: https://github.com/scriptjs
[@MagnusS]: https://github.com/MagnusS
[@zimbatm]: https://github.com/zimbatm
[@pyaillet]: https://github.com/pyaillet
[@embusalacchi]: https://github.com/embusalacchi
[@fntlnz]: https://github.com/fntlnz
[@joeabbey]: https://github.com/joeabbey
[@ragurakesh]: https://github.com/ragurakesh
[@justinbarrick]: https://github.com/justinbarrick
[@8837726]: https://github.com/8837726
[@mmariani]: https://github.com/mmariani
[@rvs]: https://github.com/rvs
[@ebriand]: https://github.com/ebriand
[@jayakumarn]: https://github.com/jayakumarn
[@hairyhenderson]: https://github.com/hairyhenderson
[@jcudit]: https://github.com/jcudit
[@deitch]: https://github.com/deitch
[@ijc]: https://github.com/ijc
[@rn]: https://github.com/rn
[@justincormack]: https://github.com/justincormack
[@thaJeztah]: https://github.com/thaJeztah
[@StefanScherer]: https://github.com/StefanScherer
[@riyazdf]: https://github.com/riyazdf
[@monsterzz]: https://github.com/monsterzz
[@AkihiroSuda]: https://github.com/AkihiroSuda
[@xtuc]: https://github.com/xtuc
[@richardj-bsquare]: https://github.com/richardj-bsquare
[@seemethere]: https://github.com/seemethere
[@zx2c4]: https://github.com/zx2c4
[@eddytrex]: https://github.com/eddytrex
[@logicminds]: https://github.com/logicminds
[@tjfontaine]: https://github.com/tjfontaine
[@dave-tucker]: https://github.com/dave-tucker
[@mor1]: https://github.com/mor1
[@kmjohansen]: https://github.com/kmjohansen
[@KumarShrawan]: https://github.com/KumarShrawan
[@cpuguy83]: https://github.com/cpuguy83
[@montao]: https://github.com/montao
