# Report for 2018-11-01 to 2018-11-30

This report covers the development in the [linuxkit/linuxkit]
[linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock]
[linuxkit/rtf] [linuxkit/homebrew-linuxkit] repositories. There were
148 contributions (PRs/Issues/Comments) from 22 individual
contributors. 20 new PRs were opened and 14 PRs were merged. 4 new
issues were opened and 6 issues were closed.

Along the regular kernel updates, WireGuard was updated to
0.0.20181119 and the `-rt` kernel to 4.14.78-rt47. The LinuxKit tool
was extended to create uncompressed kernels (which can be used with
`crosvm` and the recently announced [Firecracker
VMM](https://github.com/firecracker-microvm/firecracker)).

We created another pre-release of `linuxkit/lcow`
([v4.14.35-v0.3.9](https://github.com/linuxkit/lcow/releases/tag/v4.14.35-v0.3.9))
to accommodate newer versions of Docker and Windows.

We also added a new `ADOPTERS.md` file to track where LinuxKit is
used. Please submit PRs to add your use case if it is missing.

## Merged PRs:

- October 2018 development report ([linuxkit/linuxkit#3218] [@rn] [@justincormack])
- Update kernel to 4.19.1/4.18.17/4.14.79 ([linuxkit/linuxkit#3222] [@rn] [@justincormack])
- Kernel update to 4.18.18/4.14.80/4.9.136/4.4.163 ([linuxkit/linuxkit#3223] [@rn] [@justincormack])
- Add experimental support for building uncompressed kernels ([linuxkit/linuxkit#3225] [@rn] [@justincormack] [@ijc])
- Add incomplete ADOPTERS file ([linuxkit/linuxkit#3226] [@justincormack] [@deitch])
- wireguard: upgrade to 0.0.20181115 ([linuxkit/linuxkit#3227] [@zx2c4] [@rn])
- Update ADOPTERS.md ([linuxkit/linuxkit#3228] [@asbjornenge] [@rn])
- Kernel update to 4.19.2/14.18.19/4.14.81/4.9.137 ([linuxkit/linuxkit#3229] [@rn] [@ijc] [@justincormack])
- update -rt to 4.14.78-rt47 ([linuxkit/linuxkit#3231] [@TiejunChina] [@rn])
- wireguard: upgrade to 0.0.20181119 ([linuxkit/linuxkit#3232] [@zx2c4] [@rn])
- Update kernels to 4.19.3/4.18.20/4.14.82/4.9.138/4.4.164 ([linuxkit/linuxkit#3234] [@rn] [@justincormack])

- Remove moby formula from homebrew ([linuxkit/homebrew-linuxkit#17] [@justincormack] [@rn])

- Use Kubelet config ([linuxkit/kubernetes#86] [@ernoaapa] [@ijc])

- Update to OpenGCS v0.3.9 (and other minor update) ([linuxkit/lcow#33] [@rn] [@justincormack])

## Closed Issues:

- Switch from cli configuration to kubelet.conf ([linuxkit/kubernetes#71] [@ijc])

- permissions on docker.sock ([linuxkit/linuxkit#298] [@justincormack] [@nathanleclaire])
- And an option to extract a uncompress linux kernel image ([linuxkit/linuxkit#3215] [@rn])
- go get fails ([linuxkit/linuxkit#3216] [@montao] [@justincormack])
- Add utility to VM ([linuxkit/linuxkit#3220] [@montao] [@rn])
- Broken cache for pkg build ([linuxkit/linuxkit#3221] [@guillaumerose] [@ijc])

## New or updated PRs and Issues (not closed):

- SSH? ([linuxkit/linuxkit#123] [@nathanleclaire] [@justincormack] [@rn] [@friism] [@stevvooe] [@dhiltgen] [@shykes] [@bryanhuntesl])
- Using user namespace features via system containerd fails ([linuxkit/linuxkit#2842] [@estesp] [@JakeWarner] [@justincormack])
- [vmware] Is there any examples on how to mount the hgfs shared folder in fusion/workstation ([linuxkit/linuxkit#2973] [@weikinhuang] [@rn] [@tjfontaine])
- Use containerd restart manager to monitor services ([linuxkit/linuxkit#3168] [@kkroo] [@ijc])
- Create a bpftrace package ([linuxkit/linuxkit#3201] [@rn] [@simar7])
- Run LinuxKit in Hyper-V nested in Windows 10 VMware ([linuxkit/linuxkit#3209] [@StefanScherer] [@rn] [@robrich] [@embusalacchi] [@justincormack])
- Allowing modprobe modules to load firmware if needed ([linuxkit/linuxkit#3217] [@rvs])
- Create README.md ([linuxkit/linuxkit#3219] [@montao] [@rn])
- VMware support broken in linuxkit-0.6 for windows ([linuxkit/linuxkit#3224] [@RudiScholz] [@rn])
- pkg/bpftrace: Add bpftrace as a core pkg ([linuxkit/linuxkit#3230] [@simar7] [@tjfontaine] [@justincormack] [@rn])
- Add qemu USB device pass through ([linuxkit/linuxkit#3235] [@kkroo])
- Enable containerd restart plugin for improved system service availability ([linuxkit/linuxkit#3236] [@kkroo])
- add support for named pipes to init ([linuxkit/linuxkit#3237] [@kppk] [@justincormack] [@tjfontaine])
- Add support for named pipes to init ([linuxkit/linuxkit#3238] [@kppk] [@justincormack])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/homebrew-linuxkit#17]: https://github.com/linuxkit/homebrew-linuxkit/pull/17
[linuxkit/kubernetes#86]: https://github.com/linuxkit/kubernetes/pull/86
[linuxkit/lcow#33]: https://github.com/linuxkit/lcow/pull/33
[linuxkit/linuxkit#3218]: https://github.com/linuxkit/linuxkit/pull/3218
[linuxkit/linuxkit#3222]: https://github.com/linuxkit/linuxkit/pull/3222
[linuxkit/linuxkit#3223]: https://github.com/linuxkit/linuxkit/pull/3223
[linuxkit/linuxkit#3225]: https://github.com/linuxkit/linuxkit/pull/3225
[linuxkit/linuxkit#3226]: https://github.com/linuxkit/linuxkit/pull/3226
[linuxkit/linuxkit#3227]: https://github.com/linuxkit/linuxkit/pull/3227
[linuxkit/linuxkit#3228]: https://github.com/linuxkit/linuxkit/pull/3228
[linuxkit/linuxkit#3229]: https://github.com/linuxkit/linuxkit/pull/3229
[linuxkit/linuxkit#3231]: https://github.com/linuxkit/linuxkit/pull/3231
[linuxkit/linuxkit#3232]: https://github.com/linuxkit/linuxkit/pull/3232
[linuxkit/linuxkit#3234]: https://github.com/linuxkit/linuxkit/pull/3234
[linuxkit/kubernetes#71]: https://github.com/linuxkit/kubernetes/issues/71
[linuxkit/linuxkit#298]: https://github.com/linuxkit/linuxkit/issues/298
[linuxkit/linuxkit#3215]: https://github.com/linuxkit/linuxkit/issues/3215
[linuxkit/linuxkit#3216]: https://github.com/linuxkit/linuxkit/issues/3216
[linuxkit/linuxkit#3220]: https://github.com/linuxkit/linuxkit/issues/3220
[linuxkit/linuxkit#3221]: https://github.com/linuxkit/linuxkit/issues/3221
[linuxkit/linuxkit#123]: https://github.com/linuxkit/linuxkit/issues/123
[linuxkit/linuxkit#2842]: https://github.com/linuxkit/linuxkit/issues/2842
[linuxkit/linuxkit#2973]: https://github.com/linuxkit/linuxkit/issues/2973
[linuxkit/linuxkit#3168]: https://github.com/linuxkit/linuxkit/pull/3168
[linuxkit/linuxkit#3201]: https://github.com/linuxkit/linuxkit/issues/3201
[linuxkit/linuxkit#3209]: https://github.com/linuxkit/linuxkit/issues/3209
[linuxkit/linuxkit#3217]: https://github.com/linuxkit/linuxkit/pull/3217
[linuxkit/linuxkit#3219]: https://github.com/linuxkit/linuxkit/pull/3219
[linuxkit/linuxkit#3224]: https://github.com/linuxkit/linuxkit/issues/3224
[linuxkit/linuxkit#3230]: https://github.com/linuxkit/linuxkit/pull/3230
[linuxkit/linuxkit#3235]: https://github.com/linuxkit/linuxkit/pull/3235
[linuxkit/linuxkit#3236]: https://github.com/linuxkit/linuxkit/pull/3236
[linuxkit/linuxkit#3237]: https://github.com/linuxkit/linuxkit/issues/3237
[linuxkit/linuxkit#3238]: https://github.com/linuxkit/linuxkit/pull/3238
[@guillaumerose]: https://github.com/guillaumerose
[@ernoaapa]: https://github.com/ernoaapa
[@weikinhuang]: https://github.com/weikinhuang
[@rn]: https://github.com/rn
[@zx2c4]: https://github.com/zx2c4
[@RudiScholz]: https://github.com/RudiScholz
[@kppk]: https://github.com/kppk
[@estesp]: https://github.com/estesp
[@JakeWarner]: https://github.com/JakeWarner
[@montao]: https://github.com/montao
[@robrich]: https://github.com/robrich
[@friism]: https://github.com/friism
[@TiejunChina]: https://github.com/TiejunChina
[@deitch]: https://github.com/deitch
[@kmjohansen]: https://github.com/kmjohansen
[@asbjornenge]: https://github.com/asbjornenge
[@StefanScherer]: https://github.com/StefanScherer
[@dhiltgen]: https://github.com/dhiltgen
[@simar7]: https://github.com/simar7
[@rvs]: https://github.com/rvs
[@embusalacchi]: https://github.com/embusalacchi
[@stevvooe]: https://github.com/stevvooe
[@justincormack]: https://github.com/justincormack
[@kkroo]: https://github.com/kkroo
[@ijc]: https://github.com/ijc
[@bryanhuntesl]: https://github.com/bryanhuntesl
[@tjfontaine]: https://github.com/tjfontaine
[@nathanleclaire]: https://github.com/nathanleclaire
[@shykes]: https://github.com/shykes
