# Report for 2018-12-01 to 2018-12-31

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] repositories. There were 156 contributions (PRs/Issues/Comments) from 16 individual contributors. 14 new PRs were opened and 15 PRs were merged. 5 new issues were opened and 6 issues were closed.

In December we added initial support for reproducible `linuxkit build`s, a new `bpftrace` package, and enabled USB device passthrough for the `qemu` backend. Apart from the regular kernel updates, WireGuard was update to 0.0.20181218 and the InfluxDB example to 1.7.

## Merged PRs:

- Missing s390x in the switch for qemu Dockerfile ([linuxkit/linuxkit#3205] [@alicefr] [@rn])
- pkg/bpftrace: Add bpftrace as a core pkg ([linuxkit/linuxkit#3230] [@simar7] [@justincormack] [@rn] [@tjfontaine])
- Add qemu USB device pass through ([linuxkit/linuxkit#3235] [@kkroo] [@rn])
- Update kernels up to 4.19.6/4.14.85/4.9.142/4.4.166 ([linuxkit/linuxkit#3239] [@rn] [@justincormack])
- November 2018 development report ([linuxkit/linuxkit#3240] [@rn] [@justincormack])
- Update kernels to 4.19.7/4.14.86/4.9.143 ([linuxkit/linuxkit#3242] [@rn] [@justincormack])
- Kernel update to 4.19.8/4.14.87/4.9.144 ([linuxkit/linuxkit#3243] [@rn] [@justincormack])
- Update kernel to 4.19.9/4.14.88/4.9.145/4.4.167 ([linuxkit/linuxkit#3244] [@rn] [@ijc])
- Update InfluxDB example to 1.7 ([linuxkit/linuxkit#3246] [@fntlnz] [@justincormack] [@rn])
- wireguard: upgrade to 0.0.20181218 ([linuxkit/linuxkit#3247] [@zx2c4] [@rn])
- Update kernels to 4.9.11/4.14.89/4.9.146/4.4.168 ([linuxkit/linuxkit#3248] [@rn] [@justincormack])
- Update kernels to 4.19.12/4.14.90/4.9.147/4.4.169 ([linuxkit/linuxkit#3252] [@rn] [@justincormack])
- Initial support for reproducible builds ([linuxkit/linuxkit#3255] [@rn] [@justincormack])
- Update kernels to 4.19.13/4.14.91/4.9.148 ([linuxkit/linuxkit#3256] [@rn] [@justincormack])
- Enable CAN networking subsystem ([linuxkit/linuxkit#3173] [@duraki] [@hartkopp] [@rn])

## Closed Issues:

- Linux containers [LCOW] not  working after tweaking instructions ([linuxkit/lcow#22] [@lohithkc] [@rn] [@riezebosch] [@JensNordenbro] [@lahma])

- new linuxkit pkg push throws non-fatal .docker/config.json warning ([linuxkit/linuxkit#2590] [@eyz] [@ijc] [@rn])
- Need to pull log files in Linuxkit based OS ([linuxkit/linuxkit#3031] [@FortuneLenovo] [@rn])
- Occasionally `linuxkit build` builds fail to contact notary.docker.io ([linuxkit/linuxkit#3181] [@kojustin] [@rn] [@justincormack])
- Create a bpftrace package ([linuxkit/linuxkit#3201] [@rn] [@simar7])
- why linuxkit VM machine is asking to init swarm after reboot ([linuxkit/linuxkit#3204] [@micemuni] [@justincormack] [@rn])

## New or updated PRs and Issues (not closed):

- How to boot automatically ? ([linuxkit/kubernetes#87] [@borag] [@ijc])
- Enable network CAN flag (SocketCAN) ([linuxkit/linuxkit#3172] [@duraki] [@rn])
- mkimage errors during building aws images are swallowed ([linuxkit/linuxkit#3241] [@munkyboy])
- Mounting an encrypted filesystem ([linuxkit/linuxkit#3245] [@chriswue] [@justincormack])
- Adding support to mount an encrypted filesystem  ([linuxkit/linuxkit#3249] [@chriswue] [@deitch] [@rn])
- Remove 4.4.x kernels? ([linuxkit/linuxkit#3250] [@rn] [@justincormack])
- Add support for Amazon A1 instances ([linuxkit/linuxkit#3251] [@rn] [@justincormack])
- Add s390x support to binfmt_misc ([linuxkit/linuxkit#3253] [@johanneswuerbach])
- Add runtime.envFromFiles ([linuxkit/linuxkit#3254] [@errordeveloper] [@justincormack])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[linuxkit/linuxkit#3173]: https://github.com/linuxkit/linuxkit/pull/3173
[linuxkit/linuxkit#3205]: https://github.com/linuxkit/linuxkit/pull/3205
[linuxkit/linuxkit#3230]: https://github.com/linuxkit/linuxkit/pull/3230
[linuxkit/linuxkit#3235]: https://github.com/linuxkit/linuxkit/pull/3235
[linuxkit/linuxkit#3239]: https://github.com/linuxkit/linuxkit/pull/3239
[linuxkit/linuxkit#3240]: https://github.com/linuxkit/linuxkit/pull/3240
[linuxkit/linuxkit#3242]: https://github.com/linuxkit/linuxkit/pull/3242
[linuxkit/linuxkit#3243]: https://github.com/linuxkit/linuxkit/pull/3243
[linuxkit/linuxkit#3244]: https://github.com/linuxkit/linuxkit/pull/3244
[linuxkit/linuxkit#3246]: https://github.com/linuxkit/linuxkit/pull/3246
[linuxkit/linuxkit#3247]: https://github.com/linuxkit/linuxkit/pull/3247
[linuxkit/linuxkit#3248]: https://github.com/linuxkit/linuxkit/pull/3248
[linuxkit/linuxkit#3252]: https://github.com/linuxkit/linuxkit/pull/3252
[linuxkit/linuxkit#3255]: https://github.com/linuxkit/linuxkit/pull/3255
[linuxkit/linuxkit#3256]: https://github.com/linuxkit/linuxkit/pull/3256
[linuxkit/lcow#22]: https://github.com/linuxkit/lcow/issues/22
[linuxkit/linuxkit#2590]: https://github.com/linuxkit/linuxkit/issues/2590
[linuxkit/linuxkit#3031]: https://github.com/linuxkit/linuxkit/issues/3031
[linuxkit/linuxkit#3181]: https://github.com/linuxkit/linuxkit/issues/3181
[linuxkit/linuxkit#3201]: https://github.com/linuxkit/linuxkit/issues/3201
[linuxkit/linuxkit#3204]: https://github.com/linuxkit/linuxkit/issues/3204
[linuxkit/kubernetes#87]: https://github.com/linuxkit/kubernetes/issues/87
[linuxkit/linuxkit#3172]: https://github.com/linuxkit/linuxkit/issues/3172
[linuxkit/linuxkit#3241]: https://github.com/linuxkit/linuxkit/issues/3241
[linuxkit/linuxkit#3245]: https://github.com/linuxkit/linuxkit/issues/3245
[linuxkit/linuxkit#3249]: https://github.com/linuxkit/linuxkit/pull/3249
[linuxkit/linuxkit#3250]: https://github.com/linuxkit/linuxkit/issues/3250
[linuxkit/linuxkit#3251]: https://github.com/linuxkit/linuxkit/issues/3251
[linuxkit/linuxkit#3253]: https://github.com/linuxkit/linuxkit/pull/3253
[linuxkit/linuxkit#3254]: https://github.com/linuxkit/linuxkit/pull/3254
[@deitch]: https://github.com/deitch
[@zx2c4]: https://github.com/zx2c4
[@montao]: https://github.com/montao
[@scriptjs]: https://github.com/scriptjs
[@lahma]: https://github.com/lahma
[@kevinbrink]: https://github.com/kevinbrink
[@kojustin]: https://github.com/kojustin
[@riezebosch]: https://github.com/riezebosch
[@rn]: https://github.com/rn
[@errordeveloper]: https://github.com/errordeveloper
[@hartkopp]: https://github.com/hartkopp
[@rvs]: https://github.com/rvs
[@simar7]: https://github.com/simar7
[@micemuni]: https://github.com/micemuni
[@munkyboy]: https://github.com/munkyboy
[@keyki]: https://github.com/keyki
[@johanneswuerbach]: https://github.com/johanneswuerbach
[@alicefr]: https://github.com/alicefr
[@kppk]: https://github.com/kppk
[@FortuneLenovo]: https://github.com/FortuneLenovo
[@duraki]: https://github.com/duraki
[@kkroo]: https://github.com/kkroo
[@tjfontaine]: https://github.com/tjfontaine
[@JensNordenbro]: https://github.com/JensNordenbro
[@w9n]: https://github.com/w9n
[@riyazdf]: https://github.com/riyazdf
[@djs55]: https://github.com/djs55
[@RudiScholz]: https://github.com/RudiScholz
[@eyz]: https://github.com/eyz
[@lohithkc]: https://github.com/lohithkc
[@teeg82]: https://github.com/teeg82
[@borag]: https://github.com/borag
[@justincormack]: https://github.com/justincormack
[@chriswue]: https://github.com/chriswue
[@fntlnz]: https://github.com/fntlnz
[@ijc]: https://github.com/ijc
[@TheOriginalAlex]: https://github.com/TheOriginalAlex
