# Report for 2019-01-01 to 2019-01-31

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] repositories. There were 75 contributions (PRs/Issues/Comments) from 16 individual contributors. 19 new PRs were opened and 16 PRs were merged. 5 new issues were opened and 6 issues were closed.

This month, we switch LinuxKit to use the 4.19.x kernels as the default. We also added support for 4.20.x kernels and removed support for 4.4.x kernel. `containerd` was updated to v1.2.2 and WireGuard to 0.0.20190123.

There is new support for encrypted flesystems and improved error handling as well as an update to the ZFS packages.

## Merged PRs:

- Adding support to mount an encrypted filesystem  ([linuxkit/linuxkit#3249] [@chriswue] [@deitch] [@rn])
- log the actual error message when creating the Docker API client ([linuxkit/linuxkit#3257] [@keyki] [@justincormack])
- Remove 4.4.x kernels, add 4.20.x kernels ([linuxkit/linuxkit#3258] [@rn] [@justincormack])
- December 2018 development report ([linuxkit/linuxkit#3259] [@rn] [@justincormack])
- update -rt to 4.14.87-rt49 ([linuxkit/linuxkit#3260] [@TiejunChina] [@rn])
- Containerd v1.2.2 ([linuxkit/linuxkit#3262] [@ijc] [@rn])
- Update kernels to 4.20.1/4.19.14/4.14.92/4.9.149 ([linuxkit/linuxkit#3265] [@rn] [@ijc])
- Fix link to ADOPTERS.md ([linuxkit/linuxkit#3266] [@bensallen] [@rn])
- update -rt to 4.14.87-rt50 ([linuxkit/linuxkit#3267] [@TiejunChina] [@rn])
- Switch the default kernel to 4.19.x ([linuxkit/linuxkit#3269] [@rn] [@justincormack])
- Update kernel to 4.20.2/4.19.15/4.14.93/4.9.150 ([linuxkit/linuxkit#3271] [@rn] [@justincormack])
- Update kernels to 4.20.3/4.19.16/4.14.94/4.9.151 ([linuxkit/linuxkit#3272] [@rn] [@ijc])
- Use latest stable release of ZFS ([linuxkit/linuxkit#3273] [@errordeveloper] [@rn])
- wireguard: upgrade to 0.0.20190123 ([linuxkit/linuxkit#3276] [@zx2c4] [@rn])
- Update kernels to 4.20.4/4.19.17/4.14.95/4.9.152 ([linuxkit/linuxkit#3277] [@rn] [@justincormack])
- Kernel update to 4.20.5/4.19.18/4.14.96/4.9.153 ([linuxkit/linuxkit#3279] [@rn] [@ijc])

## Closed Issues:

- zfs does not build on 4.14 ([linuxkit/linuxkit#2950] [@justincormack] [@errordeveloper])
- Mounting an encrypted filesystem ([linuxkit/linuxkit#3245] [@chriswue] [@justincormack])
- Remove 4.4.x kernels? ([linuxkit/linuxkit#3250] [@rn] [@justincormack])
- Building Linuxkit image with criu installed to use with Docker for mac ([linuxkit/linuxkit#3263] [@arashd] [@rn] [@justincormack])
- Kernel panic with simple Python Alpine base image ([linuxkit/linuxkit#3264] [@mattdodge] [@rn])
- Switch to 4.19 kernel as the default LinuxKit kernel ([linuxkit/linuxkit#3268] [@rn] [@justincormack])

## New or updated PRs and Issues (not closed):

- binfmt: arm: go: runtime: failed to create new OS thread ([linuxkit/linuxkit#1348] [@djs55] [@justincormack] [@rogaha] [@agowa338])
- Investigate using LinuxKit system containerd for examples/docker.yml via dockerd --containerd option ([linuxkit/linuxkit#2841] [@eyz] [@justincormack] [@pwFoo])
- Docker daemon log taking up too much disk space ([linuxkit/linuxkit#3072] [@kevinbrink] [@rn] [@ijc] [@djs55] [@teeg82])
- cannot boot from usb iso image on bare metal  ([linuxkit/linuxkit#3154] [@logicminds] [@jcudit] [@errordeveloper] [@rn] [@ijc] [@tjfontaine] [@8837726])
- Feature/logging compression ([linuxkit/linuxkit#3261] [@teeg82])
- remove 4.14.x kernel support for arm64/s390x ([linuxkit/linuxkit#3270] [@rn])
- [OpenStack] Support os-client-config usage for authentication ([linuxkit/linuxkit#3274] [@yankcrime])
- Investigate ZFS userspace Vs kernel module version parity ([linuxkit/linuxkit#3275] [@errordeveloper] [@justincormack])
- Add rsync in sshd package ([linuxkit/linuxkit#3278] [@errordeveloper])
- Extend CDROM provider to support any common type of disk/partition with ISO format ([linuxkit/linuxkit#3280] [@errordeveloper])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/linuxkit#3249]: https://github.com/linuxkit/linuxkit/pull/3249
[linuxkit/linuxkit#3257]: https://github.com/linuxkit/linuxkit/pull/3257
[linuxkit/linuxkit#3258]: https://github.com/linuxkit/linuxkit/pull/3258
[linuxkit/linuxkit#3259]: https://github.com/linuxkit/linuxkit/pull/3259
[linuxkit/linuxkit#3260]: https://github.com/linuxkit/linuxkit/pull/3260
[linuxkit/linuxkit#3262]: https://github.com/linuxkit/linuxkit/pull/3262
[linuxkit/linuxkit#3265]: https://github.com/linuxkit/linuxkit/pull/3265
[linuxkit/linuxkit#3266]: https://github.com/linuxkit/linuxkit/pull/3266
[linuxkit/linuxkit#3267]: https://github.com/linuxkit/linuxkit/pull/3267
[linuxkit/linuxkit#3269]: https://github.com/linuxkit/linuxkit/pull/3269
[linuxkit/linuxkit#3271]: https://github.com/linuxkit/linuxkit/pull/3271
[linuxkit/linuxkit#3272]: https://github.com/linuxkit/linuxkit/pull/3272
[linuxkit/linuxkit#3273]: https://github.com/linuxkit/linuxkit/pull/3273
[linuxkit/linuxkit#3276]: https://github.com/linuxkit/linuxkit/pull/3276
[linuxkit/linuxkit#3277]: https://github.com/linuxkit/linuxkit/pull/3277
[linuxkit/linuxkit#3279]: https://github.com/linuxkit/linuxkit/pull/3279
[linuxkit/linuxkit#2950]: https://github.com/linuxkit/linuxkit/issues/2950
[linuxkit/linuxkit#3245]: https://github.com/linuxkit/linuxkit/issues/3245
[linuxkit/linuxkit#3250]: https://github.com/linuxkit/linuxkit/issues/3250
[linuxkit/linuxkit#3263]: https://github.com/linuxkit/linuxkit/issues/3263
[linuxkit/linuxkit#3264]: https://github.com/linuxkit/linuxkit/issues/3264
[linuxkit/linuxkit#3268]: https://github.com/linuxkit/linuxkit/issues/3268
[linuxkit/linuxkit#1348]: https://github.com/linuxkit/linuxkit/issues/1348
[linuxkit/linuxkit#2841]: https://github.com/linuxkit/linuxkit/issues/2841
[linuxkit/linuxkit#3072]: https://github.com/linuxkit/linuxkit/issues/3072
[linuxkit/linuxkit#3154]: https://github.com/linuxkit/linuxkit/issues/3154
[linuxkit/linuxkit#3261]: https://github.com/linuxkit/linuxkit/pull/3261
[linuxkit/linuxkit#3270]: https://github.com/linuxkit/linuxkit/issues/3270
[linuxkit/linuxkit#3274]: https://github.com/linuxkit/linuxkit/pull/3274
[linuxkit/linuxkit#3275]: https://github.com/linuxkit/linuxkit/issues/3275
[linuxkit/linuxkit#3278]: https://github.com/linuxkit/linuxkit/pull/3278
[linuxkit/linuxkit#3280]: https://github.com/linuxkit/linuxkit/pull/3280
[@eyz]: https://github.com/eyz
[@kevinbrink]: https://github.com/kevinbrink
[@rn]: https://github.com/rn
[@bensallen]: https://github.com/bensallen
[@johanneswuerbach]: https://github.com/johanneswuerbach
[@djs55]: https://github.com/djs55
[@arashd]: https://github.com/arashd
[@mattdodge]: https://github.com/mattdodge
[@teeg82]: https://github.com/teeg82
[@deitch]: https://github.com/deitch
[@yankcrime]: https://github.com/yankcrime
[@logicminds]: https://github.com/logicminds
[@tjfontaine]: https://github.com/tjfontaine
[@pwFoo]: https://github.com/pwFoo
[@ijc]: https://github.com/ijc
[@errordeveloper]: https://github.com/errordeveloper
[@zx2c4]: https://github.com/zx2c4
[@jcudit]: https://github.com/jcudit
[@agowa338]: https://github.com/agowa338
[@rogaha]: https://github.com/rogaha
[@justincormack]: https://github.com/justincormack
[@chriswue]: https://github.com/chriswue
[@TiejunChina]: https://github.com/TiejunChina
[@keyki]: https://github.com/keyki
[@8837726]: https://github.com/8837726
