# Report for 2019-02-01 to 2019-02-28

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] repositories. There were 38 contributions (PRs/Issues/Comments) from 8 individual contributors. 9 new PRs were opened and 10 PRs were merged. 5 new issues were opened and 2 issues were closed.

We updated `containerd` to v1.2.4 and WireGuard to 0.0.20190227 and added `binfmt` support for s390x and named pipe support for `init` containers.

## Merged PRs:

- Add support for named pipes to init ([linuxkit/linuxkit#3238] [@kppk] [@rn] [@justincormack])
- Add s390x support to binfmt_misc ([linuxkit/linuxkit#3253] [@johanneswuerbach] [@rn])
- Update kernels to 4.20.6/4.19.19/4.14.97/4.9.154 ([linuxkit/linuxkit#3281] [@rn] [@ijc])
- Update Authors ([linuxkit/linuxkit#3283] [@rn] [@deitch])
- January 2019 development report ([linuxkit/linuxkit#3284] [@rn] [@justincormack])
- Kernel update to 4.20.7/4.19.20/4.14.98/4.9.155 ([linuxkit/linuxkit#3285] [@rn] [@justincormack])
- Containerd v1.2.3 ([linuxkit/linuxkit#3286] [@ijc] [@justincormack])
- Containerd v1.2.4 ([linuxkit/linuxkit#3290] [@ijc] [@rn])
- Update kernels to 4.20.12/4.19.25/4.14.103/4.9.160 ([linuxkit/linuxkit#3292] [@rn] [@justincormack])
- wireguard: upgrade to 0.0.20190227 ([linuxkit/linuxkit#3293] [@zx2c4] [@rn])

## Closed Issues:

- containerised kubelet going away ([linuxkit/kubernetes#88] [@justincormack] [@deitch])

- add support for named pipes to init ([linuxkit/linuxkit#3237] [@kppk] [@justincormack] [@tjfontaine])

## New or updated PRs and Issues (not closed):

- Setup the bond interfaces with proper default routes ([linuxkit/linuxkit#2479] [@TheOriginalAlex] [@justincormack])
- linuxkit bake ([linuxkit/linuxkit#2648] [@w9n] [@ijc] [@rn])
- Create README.md ([linuxkit/linuxkit#3219] [@montao] [@rn])
- Feature/logging compression ([linuxkit/linuxkit#3261] [@teeg82] [@djs55])
- Update to Alpine 3.9 and cut a release ([linuxkit/linuxkit#3282] [@rn] [@masterzen])
- testing CI: DO NOT MERGE ([linuxkit/linuxkit#3287] [@justincormack])
- CI logs are listing thousands of kprobes ([linuxkit/linuxkit#3288] [@justincormack] [@rn])
- linuxkit run failing recently with d4m edge/stable on high sierra and mojave ([linuxkit/linuxkit#3289] [@dweomer] [@justincormack])
- "sidecar" containers ([linuxkit/linuxkit#3291] [@justincormack])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/linuxkit#3238]: https://github.com/linuxkit/linuxkit/pull/3238
[linuxkit/linuxkit#3253]: https://github.com/linuxkit/linuxkit/pull/3253
[linuxkit/linuxkit#3281]: https://github.com/linuxkit/linuxkit/pull/3281
[linuxkit/linuxkit#3283]: https://github.com/linuxkit/linuxkit/pull/3283
[linuxkit/linuxkit#3284]: https://github.com/linuxkit/linuxkit/pull/3284
[linuxkit/linuxkit#3285]: https://github.com/linuxkit/linuxkit/pull/3285
[linuxkit/linuxkit#3286]: https://github.com/linuxkit/linuxkit/pull/3286
[linuxkit/linuxkit#3290]: https://github.com/linuxkit/linuxkit/pull/3290
[linuxkit/linuxkit#3292]: https://github.com/linuxkit/linuxkit/pull/3292
[linuxkit/linuxkit#3293]: https://github.com/linuxkit/linuxkit/pull/3293
[linuxkit/kubernetes#88]: https://github.com/linuxkit/kubernetes/issues/88
[linuxkit/linuxkit#3237]: https://github.com/linuxkit/linuxkit/issues/3237
[linuxkit/linuxkit#2479]: https://github.com/linuxkit/linuxkit/pull/2479
[linuxkit/linuxkit#2648]: https://github.com/linuxkit/linuxkit/pull/2648
[linuxkit/linuxkit#3219]: https://github.com/linuxkit/linuxkit/pull/3219
[linuxkit/linuxkit#3261]: https://github.com/linuxkit/linuxkit/pull/3261
[linuxkit/linuxkit#3282]: https://github.com/linuxkit/linuxkit/issues/3282
[linuxkit/linuxkit#3287]: https://github.com/linuxkit/linuxkit/pull/3287
[linuxkit/linuxkit#3288]: https://github.com/linuxkit/linuxkit/issues/3288
[linuxkit/linuxkit#3289]: https://github.com/linuxkit/linuxkit/issues/3289
[linuxkit/linuxkit#3291]: https://github.com/linuxkit/linuxkit/issues/3291
[@TheOriginalAlex]: https://github.com/TheOriginalAlex
[@TiejunChina]: https://github.com/TiejunChina
[@rn]: https://github.com/rn
[@johanneswuerbach]: https://github.com/johanneswuerbach
[@deitch]: https://github.com/deitch
[@w9n]: https://github.com/w9n
[@montao]: https://github.com/montao
[@tjfontaine]: https://github.com/tjfontaine
[@dwrightpulse]: https://github.com/dwrightpulse
[@justincormack]: https://github.com/justincormack
[@zx2c4]: https://github.com/zx2c4
[@ijc]: https://github.com/ijc
[@jstarks]: https://github.com/jstarks
[@hemeda3]: https://github.com/hemeda3
[@teeg82]: https://github.com/teeg82
[@errordeveloper]: https://github.com/errordeveloper
[@StefanScherer]: https://github.com/StefanScherer
[@robrich]: https://github.com/robrich
[@embusalacchi]: https://github.com/embusalacchi
[@masterzen]: https://github.com/masterzen
[@dweomer]: https://github.com/dweomer
[@tracker1]: https://github.com/tracker1
[@danrzs]: https://github.com/danrzs
[@djs55]: https://github.com/djs55
[@kppk]: https://github.com/kppk
