# Report for 2019-03-01 to 2019-03-31

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] repositories. There were 135 contributions (PRs/Issues/Comments) from 22 individual contributors. 18 new PRs were opened and 13 PRs were merged. 18 new issues were opened and 10 issues were closed.

On the kernel side, we moved the real-time kernel support from 4.14.x
to 4.19.x and added support for the new 5.x kernel series. We removed
support for 4.14.x kernels for arm64 and s390x.

We updated the Alpine base image, used for all LinuxKit packages, to
Alpine 3.9. `containerd` was updated to v1.2.5 and we and updated the
minimum required Docker API version to accommodate building on
LinuxKit images on Windows.

The `lcow` project was update to the latest kernels and latest `runc`.


## Merged PRs:

- Update kernels to 4.20.13/4.19.26/4.14.104/4.9.161 ([linuxkit/linuxkit#3294] [@rn] [@justincormack])
- Update to Alpine Linux 3.9 (plus cadvisor and linux-firmware update) ([linuxkit/linuxkit#3297] [@rn] [@justincormack])
- Enable Preempt-RT Linux 4.19.x into Linuxkit ([linuxkit/linuxkit#3298] [@TiejunChina] [@rn])
- Update kernel to 4.20.14/4.19.27/4,14.105/4.9.162 ([linuxkit/linuxkit#3303] [@rn] [@justincormack])
- February 2019 report ([linuxkit/linuxkit#3304] [@rn] [@justincormack])
- Add support for 5.0.x kernels and update to 4.20.15/4.19.28 ([linuxkit/linuxkit#3305] [@rn] [@justincormack])
- Containerd v1.2.5 ([linuxkit/linuxkit#3306] [@ijc] [@justincormack])
- Updated Compose and Docker versions. ([linuxkit/linuxkit#3307] [@jmccoy555] [@rn])
- Update example link ([linuxkit/linuxkit#3310] [@sethp] [@rn])
- Update kernels up to 5.0.4/4.19.31/4.14.108/4.9.165 ([linuxkit/linuxkit#3314] [@rn] [@justincormack])
- Add static IP example ([linuxkit/linuxkit#3315] [@jmccoy555] [@rn])
- Update Docker API version ([linuxkit/linuxkit#3317] [@justincormack] [@rn])
- Update kernel/opengcs/runc ([linuxkit/lcow#41] [@rn] [@jhowardmsft] [@justincormack])

## Closed Issues:

- Update to Alpine 3.9 ([linuxkit/linuxkit#3282] [@rn] [@masterzen])
- linuxkit run failing recently with d4m edge/stable on high sierra and mojave ([linuxkit/linuxkit#3289] [@dweomer] [@justincormack] [@rn] [@ijc])
- Mac + QEMU: no init or containerd output on the console ([linuxkit/linuxkit#3301] [@djs55] [@justincormack])
- remove 4.14.x kernels for arm64 and s390x ([linuxkit/linuxkit#3302] [@rn])
- enable BFQ in 5.x kernel config ([linuxkit/linuxkit#3308] [@rn])
- FATAL: API 1.23 not compatible (Docker) ([linuxkit/linuxkit#3316] [@joaquinito01] [@justincormack])
- Latest version - Linux container not running ([linuxkit/lcow#35] [@tracker1] [@SquallHalle])
- Kernel is extremely out of date ([linuxkit/lcow#37] [@jhowardmsft] [@justincormack])
- Microsoft/opengcs is extremely out of date ([linuxkit/lcow#38] [@jhowardmsft] [@rn])
- (I suspect) the runc vendored in here is pre-recent CVE ([linuxkit/lcow#39] [@jhowardmsft])


## New or updated PRs and Issues (not closed):

- ./ssh_into_kubelet.sh <masterIP> gives  /root/.ssh/config: terminating, 1 bad configuration options  ([linuxkit/kubernetes#89] [@hemeda3])

- File ULIMITs for Linux containers ([linuxkit/lcow#34] [@dwrightpulse] [@justincormack] [@jstarks] [@jhowardmsft])
- Pass host docker named pipe to linux container docker socket ([linuxkit/lcow#36] [@tracker1])
-  Getting "The request is not supported" while trying to execute docker run ([linuxkit/lcow#40] [@maksim36ua])
- Typo artefact -> artifact ([linuxkit/lcow#42] [@oneoneonepig])

- Run LinuxKit in Hyper-V nested in Windows 10 VMware ([linuxkit/linuxkit#3209] [@StefanScherer] [@rn] [@robrich] [@embusalacchi] [@justincormack])
- Add rsync in sshd package ([linuxkit/linuxkit#3278] [@errordeveloper])
- coreos grub compile fails with Alpine 3.9 tool chain ([linuxkit/linuxkit#3295] [@rn] [@deitch] [@justincormack])
- Package bpftrace does not compile with alpine 3.9 ([linuxkit/linuxkit#3296] [@rn])
- `perf` build fails with Alpine 3.9 tool chain ([linuxkit/linuxkit#3299] [@rn])
- Removed fixed size arg from mkimage-gcp script. ([linuxkit/linuxkit#3300] [@danrzs])
- Build linuxkit/grub off of master ([linuxkit/linuxkit#3309] [@deitch] [@rn] [@justincormack])
- IGNORE testing DCO bot ([linuxkit/linuxkit#3311] [@justincormack])
- Add support for Xen Hypervisors - XCP-ng / Xen Server ([linuxkit/linuxkit#3312] [@jmccoy555] [@deitch] [@rn])
- Cut a release ([linuxkit/linuxkit#3313] [@rn] [@deitch])
- Please, add a CloudSigma and a DigitalOcean provider ([linuxkit/linuxkit#3318] [@joaquinito01] [@rn] [@ajeetraina])
- Kernel update to 5.0.5/4.19.32/4.14.109/4.9.166 ([linuxkit/linuxkit#3319] [@rn] [@justincormack])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/lcow#41]: https://github.com/linuxkit/lcow/pull/41
[linuxkit/linuxkit#3294]: https://github.com/linuxkit/linuxkit/pull/3294
[linuxkit/linuxkit#3297]: https://github.com/linuxkit/linuxkit/pull/3297
[linuxkit/linuxkit#3298]: https://github.com/linuxkit/linuxkit/pull/3298
[linuxkit/linuxkit#3303]: https://github.com/linuxkit/linuxkit/pull/3303
[linuxkit/linuxkit#3304]: https://github.com/linuxkit/linuxkit/pull/3304
[linuxkit/linuxkit#3305]: https://github.com/linuxkit/linuxkit/pull/3305
[linuxkit/linuxkit#3306]: https://github.com/linuxkit/linuxkit/pull/3306
[linuxkit/linuxkit#3307]: https://github.com/linuxkit/linuxkit/pull/3307
[linuxkit/linuxkit#3310]: https://github.com/linuxkit/linuxkit/pull/3310
[linuxkit/linuxkit#3314]: https://github.com/linuxkit/linuxkit/pull/3314
[linuxkit/linuxkit#3315]: https://github.com/linuxkit/linuxkit/pull/3315
[linuxkit/linuxkit#3317]: https://github.com/linuxkit/linuxkit/pull/3317
[linuxkit/lcow#35]: https://github.com/linuxkit/lcow/issues/35
[linuxkit/lcow#37]: https://github.com/linuxkit/lcow/issues/37
[linuxkit/lcow#38]: https://github.com/linuxkit/lcow/issues/38
[linuxkit/lcow#39]: https://github.com/linuxkit/lcow/issues/39
[linuxkit/linuxkit#3282]: https://github.com/linuxkit/linuxkit/issues/3282
[linuxkit/linuxkit#3289]: https://github.com/linuxkit/linuxkit/issues/3289
[linuxkit/linuxkit#3301]: https://github.com/linuxkit/linuxkit/issues/3301
[linuxkit/linuxkit#3302]: https://github.com/linuxkit/linuxkit/issues/3302
[linuxkit/linuxkit#3308]: https://github.com/linuxkit/linuxkit/issues/3308
[linuxkit/linuxkit#3316]: https://github.com/linuxkit/linuxkit/issues/3316
[linuxkit/kubernetes#89]: https://github.com/linuxkit/kubernetes/issues/89
[linuxkit/lcow#34]: https://github.com/linuxkit/lcow/issues/34
[linuxkit/lcow#36]: https://github.com/linuxkit/lcow/issues/36
[linuxkit/lcow#40]: https://github.com/linuxkit/lcow/issues/40
[linuxkit/lcow#42]: https://github.com/linuxkit/lcow/pull/42
[linuxkit/linuxkit#3209]: https://github.com/linuxkit/linuxkit/issues/3209
[linuxkit/linuxkit#3278]: https://github.com/linuxkit/linuxkit/pull/3278
[linuxkit/linuxkit#3295]: https://github.com/linuxkit/linuxkit/issues/3295
[linuxkit/linuxkit#3296]: https://github.com/linuxkit/linuxkit/issues/3296
[linuxkit/linuxkit#3299]: https://github.com/linuxkit/linuxkit/issues/3299
[linuxkit/linuxkit#3300]: https://github.com/linuxkit/linuxkit/pull/3300
[linuxkit/linuxkit#3309]: https://github.com/linuxkit/linuxkit/pull/3309
[linuxkit/linuxkit#3311]: https://github.com/linuxkit/linuxkit/pull/3311
[linuxkit/linuxkit#3312]: https://github.com/linuxkit/linuxkit/issues/3312
[linuxkit/linuxkit#3313]: https://github.com/linuxkit/linuxkit/issues/3313
[linuxkit/linuxkit#3318]: https://github.com/linuxkit/linuxkit/issues/3318
[linuxkit/linuxkit#3319]: https://github.com/linuxkit/linuxkit/pull/3319
[@justincormack]: https://github.com/justincormack
[@jmccoy555]: https://github.com/jmccoy555
[@oneoneonepig]: https://github.com/oneoneonepig
[@robrich]: https://github.com/robrich
[@tracker1]: https://github.com/tracker1
[@hemeda3]: https://github.com/hemeda3
[@rn]: https://github.com/rn
[@jhowardmsft]: https://github.com/jhowardmsft
[@kmjohansen]: https://github.com/kmjohansen
[@joaquinito01]: https://github.com/joaquinito01
[@maksim36ua]: https://github.com/maksim36ua
[@ijc]: https://github.com/ijc
[@jstarks]: https://github.com/jstarks
[@TiejunChina]: https://github.com/TiejunChina
[@danrzs]: https://github.com/danrzs
[@dweomer]: https://github.com/dweomer
[@djs55]: https://github.com/djs55
[@SquallHalle]: https://github.com/SquallHalle
[@deitch]: https://github.com/deitch
[@masterzen]: https://github.com/masterzen
[@sethp]: https://github.com/sethp
[@Iristyle]: https://github.com/Iristyle
[@ajeetraina]: https://github.com/ajeetraina
[@StefanScherer]: https://github.com/StefanScherer
[@dwrightpulse]: https://github.com/dwrightpulse
[@errordeveloper]: https://github.com/errordeveloper
[@dapopescu]: https://github.com/dapopescu
[@mt-inside]: https://github.com/mt-inside
[@embusalacchi]: https://github.com/embusalacchi
