# Report for 2019-04-01 to 2019-04-30

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] repositories. There were 100 contributions (PRs/Issues/Comments) from 18 individual contributors. 16 new PRs were opened and 15 PRs were merged. 9 new issues were opened and 9 issues were closed.

We had the first LinuxKit release in quite a while and released v0.7. See the [release notes](https://github.com/linuxkit/linuxkit/releases/tag/v0.7) for details.

Apart from the usual kernel updates, `containerd` was bumped to v1.2.6, the grub build was improved, and the firmware for the RPi was updated to the latest.

## Merged PRs:

- Update OpenGCS, Alpine, kernel and runc ([linuxkit/lcow#45] [@rn] [@justincormack])

- Kernel update to 5.0.5/4.19.32/4.14.109/4.9.166 ([linuxkit/linuxkit#3319] [@rn] [@justincormack])
- March 2019 development report ([linuxkit/linuxkit#3322] [@rn] [@justincormack])
- Update kernels to 5.0.6/4.19.33/4.14.110/4.9.167 ([linuxkit/linuxkit#3323] [@rn] [@justincormack])
- Update kernels to 5.0.7/4.19.34/4.14.111/4.9.168 ([linuxkit/linuxkit#3326] [@rn] [@justincormack])
- Update containerd to v1.2.6 ([linuxkit/linuxkit#3327] [@rn] [@thaJeztah] [@justincormack])
- Move coreos-grub build to its own image ([linuxkit/linuxkit#3328] [@deitch] [@rn])
- Release v0.7 ([linuxkit/linuxkit#3329] [@rn] [@justincormack])
- Build coreos grub off of alpine:3.9 and separate build steps for caching ([linuxkit/linuxkit#3330] [@deitch] [@rn])
- Bump version to v0.7+ ([linuxkit/linuxkit#3331] [@rn] [@justincormack])
- Kernel update to 5.0.8/4.19.35/4.14.112/4.9.169 ([linuxkit/linuxkit#3332] [@rn] [@justincormack])
- Update kernels to 5.0.9/4.19.36/4.14.113/4.9.170 ([linuxkit/linuxkit#3334] [@rn] [@justincormack])
- Update RPi firmware ([linuxkit/linuxkit#3335] [@nakato] [@rn])
- Update kernel to 5.0.10/4.19.37/4.14.114/4.9.171 ([linuxkit/linuxkit#3337] [@rn] [@justincormack])

- sysinfo: add macOS Mojave ([linuxkit/rtf#51] [@russellcardullo] [@rn])

## Closed Issues:

- named volume does not work ([linuxkit/lcow#46] [@thanhy] [@rn])

- lcow: Slower pull times with newer kernels ([linuxkit/linuxkit#3120] [@rn] [@kmjohansen] [@jhowardmsft])
- Cannot build LCOW image on Windows with nightly Docker installed ([linuxkit/linuxkit#3207] [@Iristyle] [@justincormack])
- coreos grub compile fails with Alpine 3.9 tool chain ([linuxkit/linuxkit#3295] [@rn] [@deitch] [@justincormack])
- Cut a release ([linuxkit/linuxkit#3313] [@rn] [@deitch])
- Cross compilation for arm64 ([linuxkit/linuxkit#3321] [@dapopescu] [@rn])
- Unclear documentation about booting on Raspberry Pi ([linuxkit/linuxkit#3324] [@dapopescu] [@rn] [@nakato])
- Priviledged containers are not possible or lack documentation ([linuxkit/linuxkit#3325] [@pojntfx] [@justincormack])
- make kconfig doesn't work as per manual ([linuxkit/linuxkit#3333] [@alekslitvinenk] [@tjfontaine] [@rn])

## New or updated PRs and Issues (not closed):

- Typo artefact -> artifact ([linuxkit/lcow#42] [@oneoneonepig])
- Update openssl to 1.1.1 series (if not already) ([linuxkit/lcow#43] [@jhowardmsft] [@justincormack])
- (maint) Remove note about old kernel ([linuxkit/lcow#44] [@Iristyle])

- Run LinuxKit in Hyper-V nested in Windows 10 VMware ([linuxkit/linuxkit#3209] [@StefanScherer] [@rn] [@robrich] [@embusalacchi] [@justincormack] [@danacon01])
- Add support for Xen Hypervisors - XCP-ng / Xen Server ([linuxkit/linuxkit#3312] [@jmccoy555] [@rn] [@deitch])
- Hang at tsc setup during boot in qemu 3.1 OS X ([linuxkit/linuxkit#3320] [@mt-inside])
- Adding new target - Rock64 ([linuxkit/linuxkit#3336] [@nakato] [@justincormack])
- Update opencontainers/runc to v1.0.0-rc8 ([linuxkit/linuxkit#3338] [@jterry75])
- Testing new Docker buildx got me Java error on build ([linuxkit/linuxkit#3339] [@carlosedp] [@rn] [@w9n])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/lcow#45]: https://github.com/linuxkit/lcow/pull/45
[linuxkit/linuxkit#3319]: https://github.com/linuxkit/linuxkit/pull/3319
[linuxkit/linuxkit#3322]: https://github.com/linuxkit/linuxkit/pull/3322
[linuxkit/linuxkit#3323]: https://github.com/linuxkit/linuxkit/pull/3323
[linuxkit/linuxkit#3326]: https://github.com/linuxkit/linuxkit/pull/3326
[linuxkit/linuxkit#3327]: https://github.com/linuxkit/linuxkit/pull/3327
[linuxkit/linuxkit#3328]: https://github.com/linuxkit/linuxkit/pull/3328
[linuxkit/linuxkit#3329]: https://github.com/linuxkit/linuxkit/pull/3329
[linuxkit/linuxkit#3330]: https://github.com/linuxkit/linuxkit/pull/3330
[linuxkit/linuxkit#3331]: https://github.com/linuxkit/linuxkit/pull/3331
[linuxkit/linuxkit#3332]: https://github.com/linuxkit/linuxkit/pull/3332
[linuxkit/linuxkit#3334]: https://github.com/linuxkit/linuxkit/pull/3334
[linuxkit/linuxkit#3335]: https://github.com/linuxkit/linuxkit/pull/3335
[linuxkit/linuxkit#3337]: https://github.com/linuxkit/linuxkit/pull/3337
[linuxkit/rtf#51]: https://github.com/linuxkit/rtf/pull/51
[linuxkit/lcow#46]: https://github.com/linuxkit/lcow/issues/46
[linuxkit/linuxkit#3120]: https://github.com/linuxkit/linuxkit/issues/3120
[linuxkit/linuxkit#3207]: https://github.com/linuxkit/linuxkit/issues/3207
[linuxkit/linuxkit#3295]: https://github.com/linuxkit/linuxkit/issues/3295
[linuxkit/linuxkit#3313]: https://github.com/linuxkit/linuxkit/issues/3313
[linuxkit/linuxkit#3321]: https://github.com/linuxkit/linuxkit/issues/3321
[linuxkit/linuxkit#3324]: https://github.com/linuxkit/linuxkit/issues/3324
[linuxkit/linuxkit#3325]: https://github.com/linuxkit/linuxkit/issues/3325
[linuxkit/linuxkit#3333]: https://github.com/linuxkit/linuxkit/issues/3333
[linuxkit/lcow#42]: https://github.com/linuxkit/lcow/pull/42
[linuxkit/lcow#43]: https://github.com/linuxkit/lcow/issues/43
[linuxkit/lcow#44]: https://github.com/linuxkit/lcow/pull/44
[linuxkit/linuxkit#3209]: https://github.com/linuxkit/linuxkit/issues/3209
[linuxkit/linuxkit#3312]: https://github.com/linuxkit/linuxkit/issues/3312
[linuxkit/linuxkit#3320]: https://github.com/linuxkit/linuxkit/issues/3320
[linuxkit/linuxkit#3336]: https://github.com/linuxkit/linuxkit/issues/3336
[linuxkit/linuxkit#3338]: https://github.com/linuxkit/linuxkit/pull/3338
[linuxkit/linuxkit#3339]: https://github.com/linuxkit/linuxkit/issues/3339
[@pojntfx]: https://github.com/pojntfx
[@deitch]: https://github.com/deitch
[@russellcardullo]: https://github.com/russellcardullo
[@gaahrdner]: https://github.com/gaahrdner
[@jmccoy555]: https://github.com/jmccoy555
[@StefanScherer]: https://github.com/StefanScherer
[@mt-inside]: https://github.com/mt-inside
[@HurricanKai]: https://github.com/HurricanKai
[@thaJeztah]: https://github.com/thaJeztah
[@Iristyle]: https://github.com/Iristyle
[@ijc]: https://github.com/ijc
[@yankcrime]: https://github.com/yankcrime
[@jhowardmsft]: https://github.com/jhowardmsft
[@justincormack]: https://github.com/justincormack
[@rn]: https://github.com/rn
[@kmjohansen]: https://github.com/kmjohansen
[@tjfontaine]: https://github.com/tjfontaine
[@dapopescu]: https://github.com/dapopescu
[@embusalacchi]: https://github.com/embusalacchi
[@danacon01]: https://github.com/danacon01
[@thanhy]: https://github.com/thanhy
[@oneoneonepig]: https://github.com/oneoneonepig
[@w9n]: https://github.com/w9n
[@alekslitvinenk]: https://github.com/alekslitvinenk
[@robrich]: https://github.com/robrich
[@nakato]: https://github.com/nakato
[@carlosedp]: https://github.com/carlosedp
[@jterry75]: https://github.com/jterry75
