# Report for 2019-05-01 to 2019-05-31

This report covers the development in the [linuxkit/linuxkit] [linuxkit/lcow] [linuxkit/kubernetes] [linuxkit/virtsock] [linuxkit/rtf] [linuxkit/homebrew-linuxkit] [moby/tool] repositories. There were 78 contributions (PRs/Issues/Comments) from 24 individual contributors. 15 new PRs were opened and 8 PRs were merged. 10 new issues were opened and 7 issues were closed.

Along with the usual updates to the kernel and WireGuard, this months has seen a bunch of changes to support the Raspberry Pi Model 3b+.

## Merged PRs:

- Fix issue wherein multiple files named kernel in the tar break various mkimage utils ([linuxkit/linuxkit#3341] [@deitch] [@rn] [@ijc])
- Update kernels to 5.0.12/4.9.39/4.14.116/4.9.173 ([linuxkit/linuxkit#3344] [@rn] [@justincormack])
- Update kernels to 5.0.15/4.19.42/4.14.118/4.9.175 and add 5.1.1 kernel ([linuxkit/linuxkit#3347] [@rn] [@justincormack])
- April 2019 report and authors update ([linuxkit/linuxkit#3348] [@rn] [@ijc])
- kernel: Include lan78xx kernel module for use with rpi3b+ ([linuxkit/linuxkit#3350] [@schrotthaufen] [@rn])
- Update referenced Raspberry Pi firmware ([linuxkit/linuxkit#3351] [@riconnon] [@rn])
- Update to WireGuard  0.0.20190406 ([linuxkit/linuxkit#3355] [@rn] [@justincormack])
- Upte kernels to 5.1.5/5.0.19/4.19.46/4.14.122/4.9.179 ([linuxkit/linuxkit#3358] [@rn] [@justincormack])

## Closed Issues:

- Linuxkit/Kubernetes & Raspberry Pi ([linuxkit/kubernetes#90] [@HurricanKai])

- bug in `mkimage-raw-efi` choking on kernel file and directory ([linuxkit/linuxkit#3340] [@gaahrdner] [@deitch])
- RPi3 image eth0 does not exist ([linuxkit/linuxkit#3343] [@dapopescu] [@rn])
- WireGuard kernel module does not compile on 5.1.x ([linuxkit/linuxkit#3346] [@rn] [@zx2c4])
- No hotplug detection of virtual disks on Openstack ([linuxkit/linuxkit#3353] [@helander])
- Different cmdline needed for baremetal and qemu ([linuxkit/linuxkit#3354] [@pwFoo] [@justincormack])
- Custom kernel compilation fails because of missing openssl/bio.h ([linuxkit/linuxkit#3356] [@dapopescu] [@rn])

## New or updated PRs and Issues (not closed):

- File ULIMITs for Linux containers ([linuxkit/lcow#34] [@dwrightpulse] [@justincormack] [@jstarks] [@jhowardmsft])
- Latest dependency bump of OpenGCS, Alpine, kernel, runc doesn't work ([linuxkit/lcow#47] [@Iristyle] [@jhowardmsft])
- sudo: pam_open_session: Permission denied  ([linuxkit/lcow#48] [@solvingj])

- Add support for Xen Hypervisors - XCP-ng / Xen Server ([linuxkit/linuxkit#3312] [@jmccoy555] [@rn] [@deitch])
- Testing new Docker buildx got me Java error on build ([linuxkit/linuxkit#3339] [@carlosedp] [@rn] [@w9n])
- Fetch Qemu v4.0.0 from Fedora ([linuxkit/linuxkit#3342] [@carlosedp])
- rngd exits after being stopped and resumed ([linuxkit/linuxkit#3345] [@kmjohansen] [@justincormack])
- Update GCP metadata provider ([linuxkit/linuxkit#3349] [@ptone])
- Difficult to modify or extend the `mkimage` process ([linuxkit/linuxkit#3352] [@riconnon] [@deitch])
- Support for dynamic selection of Raspberry Pi DTB ([linuxkit/linuxkit#3357] [@riconnon])
- update -rt to 4.19.37-rt20 ([linuxkit/linuxkit#3359] [@TiejunChina] [@rn])
- Extract method that launch runc service ([linuxkit/linuxkit#3360] [@guillaumerose])
- Update to latest linuxkit/runc:c1f0db2 ([linuxkit/linuxkit#3361] [@jterry75] [@rn])

[linuxkit/linuxkit]: https://github.com/linuxkit/linuxkit
[linuxkit/lcow]: https://github.com/linuxkit/lcow
[linuxkit/kubernetes]: https://github.com/linuxkit/kubernetes
[linuxkit/virtsock]: https://github.com/linuxkit/virtsock
[linuxkit/rtf]: https://github.com/linuxkit/rtf
[linuxkit/homebrew-linuxkit]: https://github.com/linuxkit/homebrew-linuxkit
[moby/tool]: https://github.com/moby/tool
[linuxkit/linuxkit#3341]: https://github.com/linuxkit/linuxkit/pull/3341
[linuxkit/linuxkit#3344]: https://github.com/linuxkit/linuxkit/pull/3344
[linuxkit/linuxkit#3347]: https://github.com/linuxkit/linuxkit/pull/3347
[linuxkit/linuxkit#3348]: https://github.com/linuxkit/linuxkit/pull/3348
[linuxkit/linuxkit#3350]: https://github.com/linuxkit/linuxkit/pull/3350
[linuxkit/linuxkit#3351]: https://github.com/linuxkit/linuxkit/pull/3351
[linuxkit/linuxkit#3355]: https://github.com/linuxkit/linuxkit/pull/3355
[linuxkit/linuxkit#3358]: https://github.com/linuxkit/linuxkit/pull/3358
[linuxkit/kubernetes#90]: https://github.com/linuxkit/kubernetes/issues/90
[linuxkit/linuxkit#3340]: https://github.com/linuxkit/linuxkit/issues/3340
[linuxkit/linuxkit#3343]: https://github.com/linuxkit/linuxkit/issues/3343
[linuxkit/linuxkit#3346]: https://github.com/linuxkit/linuxkit/issues/3346
[linuxkit/linuxkit#3353]: https://github.com/linuxkit/linuxkit/issues/3353
[linuxkit/linuxkit#3354]: https://github.com/linuxkit/linuxkit/issues/3354
[linuxkit/linuxkit#3356]: https://github.com/linuxkit/linuxkit/issues/3356
[linuxkit/lcow#34]: https://github.com/linuxkit/lcow/issues/34
[linuxkit/lcow#47]: https://github.com/linuxkit/lcow/issues/47
[linuxkit/lcow#48]: https://github.com/linuxkit/lcow/issues/48
[linuxkit/linuxkit#3312]: https://github.com/linuxkit/linuxkit/issues/3312
[linuxkit/linuxkit#3339]: https://github.com/linuxkit/linuxkit/issues/3339
[linuxkit/linuxkit#3342]: https://github.com/linuxkit/linuxkit/pull/3342
[linuxkit/linuxkit#3345]: https://github.com/linuxkit/linuxkit/pull/3345
[linuxkit/linuxkit#3349]: https://github.com/linuxkit/linuxkit/pull/3349
[linuxkit/linuxkit#3352]: https://github.com/linuxkit/linuxkit/issues/3352
[linuxkit/linuxkit#3357]: https://github.com/linuxkit/linuxkit/pull/3357
[linuxkit/linuxkit#3359]: https://github.com/linuxkit/linuxkit/pull/3359
[linuxkit/linuxkit#3360]: https://github.com/linuxkit/linuxkit/pull/3360
[linuxkit/linuxkit#3361]: https://github.com/linuxkit/linuxkit/pull/3361
[@mat007]: https://github.com/mat007
[@riconnon]: https://github.com/riconnon
[@schrotthaufen]: https://github.com/schrotthaufen
[@HurricanKai]: https://github.com/HurricanKai
[@ijc]: https://github.com/ijc
[@djs55]: https://github.com/djs55
[@rn]: https://github.com/rn
[@ptone]: https://github.com/ptone
[@TiejunChina]: https://github.com/TiejunChina
[@helander]: https://github.com/helander
[@gaahrdner]: https://github.com/gaahrdner
[@w9n]: https://github.com/w9n
[@psftw]: https://github.com/psftw
[@guillaumerose]: https://github.com/guillaumerose
[@dapopescu]: https://github.com/dapopescu
[@zx2c4]: https://github.com/zx2c4
[@jstarks]: https://github.com/jstarks
[@justincormack]: https://github.com/justincormack
[@lpottier]: https://github.com/lpottier
[@carlosedp]: https://github.com/carlosedp
[@kmjohansen]: https://github.com/kmjohansen
[@rogaha]: https://github.com/rogaha
[@pwFoo]: https://github.com/pwFoo
[@jmccoy555]: https://github.com/jmccoy555
[@jhowardmsft]: https://github.com/jhowardmsft
[@dwrightpulse]: https://github.com/dwrightpulse
[@yankcrime]: https://github.com/yankcrime
[@nakato]: https://github.com/nakato
[@agowa338]: https://github.com/agowa338
[@solvingj]: https://github.com/solvingj
[@Iristyle]: https://github.com/Iristyle
[@jterry75]: https://github.com/jterry75
[@deitch]: https://github.com/deitch
[@helmuthva]: https://github.com/helmuthva
